== Changelog ==

= 17.7.0 =

## Changelog


### Enhancements

- Improve translators comments for wp.date.setSettings in compat file. ([58488](https://github.com/WordPress/gutenberg/pull/58488))
- Interactive Template: Use viewScriptModule. ([58211](https://github.com/WordPress/gutenberg/pull/58211))

#### Components

- Adding `constrainTabbing` prop to `useDialog` hook. ([57962](https://github.com/WordPress/gutenberg/pull/57962))
- Allow limiting the number of maximum visible Snackbars. ([58559](https://github.com/WordPress/gutenberg/pull/58559))
- ConfirmDialog: Add `__next40pxDefaultSize` to buttons. ([58421](https://github.com/WordPress/gutenberg/pull/58421))
- Expand theming support in COLORS. ([58097](https://github.com/WordPress/gutenberg/pull/58097))
- FocalPointPicker: Apply modern styling. ([58459](https://github.com/WordPress/gutenberg/pull/58459))
- Implement Tabs in widget editor settings. ([57886](https://github.com/WordPress/gutenberg/pull/57886))
- Implement `Tabs` in site-editor settings. ([56959](https://github.com/WordPress/gutenberg/pull/56959))
- Implementing `useCompositeState` with Ariakit. ([57304](https://github.com/WordPress/gutenberg/pull/57304))
- InputBase: Add `isBorderless` prop. ([58750](https://github.com/WordPress/gutenberg/pull/58750))
- Replace `TabPanel` with `Tabs` in the editor Document Overview sidebar. ([57082](https://github.com/WordPress/gutenberg/pull/57082))
- SearchControl: Refactor to use InputControl internally. ([56524](https://github.com/WordPress/gutenberg/pull/56524))
- Show borders for disabled secondary buttons. ([58606](https://github.com/WordPress/gutenberg/pull/58606))

#### Data Views

- Add outline to template preview in table layout. ([58738](https://github.com/WordPress/gutenberg/pull/58738))
- Add: Delete bulk action to patterns. ([58747](https://github.com/WordPress/gutenberg/pull/58747))
- Add: Selection and bulk actions to grid view. ([58144](https://github.com/WordPress/gutenberg/pull/58144))
- DataViews: Add primary filter API. ([58427](https://github.com/WordPress/gutenberg/pull/58427))
- DataViews: In patterns page, show sync status filter by default. ([58367](https://github.com/WordPress/gutenberg/pull/58367))
- DataViews: Redesign of filters. ([58569](https://github.com/WordPress/gutenberg/pull/58569))
- Remove min-width style on table cells. ([58204](https://github.com/WordPress/gutenberg/pull/58204))
- Update 'Rows per page' view option label to account for Grid layout. ([58457](https://github.com/WordPress/gutenberg/pull/58457))
- Update dataviews search input placeholder. ([58742](https://github.com/WordPress/gutenberg/pull/58742))
- Update spacing around title in grid layout. ([58739](https://github.com/WordPress/gutenberg/pull/58739))

#### Interactivity API

- Add `block supports` for `clientNavigation` and `interactive` properties on `block.json` schema. ([58132](https://github.com/WordPress/gutenberg/pull/58132))
- Image block: Refactor and remove `data-wp-body`. ([58835](https://github.com/WordPress/gutenberg/pull/58835))
- Interactivity Router: Fix initial page cache. ([58496](https://github.com/WordPress/gutenberg/pull/58496))
- Interactivity Router: Move ARIA live region and loading bar to the Interactivity Router. ([58377](https://github.com/WordPress/gutenberg/pull/58377))
- Limit the exported APIs. ([58864](https://github.com/WordPress/gutenberg/pull/58864))
- Mark all core block stores as private. ([58722](https://github.com/WordPress/gutenberg/pull/58722))
- Server Directive Processor for `data-wp-each`. ([58498](https://github.com/WordPress/gutenberg/pull/58498))
- Support setting a namespace using a string in `data-wp-interactive`. ([58743](https://github.com/WordPress/gutenberg/pull/58743))
- Allow global configs for namespaces. ([58749](https://github.com/WordPress/gutenberg/pull/58749))

#### Block Library

- Follow up on the Post navigation link taxonomy filters. ([57949](https://github.com/WordPress/gutenberg/pull/57949))
- Home Link: Render Home text if there is no attribute label present. ([58387](https://github.com/WordPress/gutenberg/pull/58387))
- Organize gallery controls. ([58407](https://github.com/WordPress/gutenberg/pull/58407))
- Pattern: Use the '__experimentalLabel' method to get a title. ([58646](https://github.com/WordPress/gutenberg/pull/58646))
- Social Icons: Update Patreon icon. ([56951](https://github.com/WordPress/gutenberg/pull/56951))
- Try: Disable text selection for post content placeholder block. ([58169](https://github.com/WordPress/gutenberg/pull/58169))
- Update pattern block copy in light of pattern overrides. ([58231](https://github.com/WordPress/gutenberg/pull/58231))
- Add shadow support for column, columns and image. ([57982](https://github.com/WordPress/gutenberg/pull/57982))

#### Global Styles

- Add style engine support for nested at-rules. ([58867](https://github.com/WordPress/gutenberg/pull/58867))
- Move Shadow controls to Border panel. ([58466](https://github.com/WordPress/gutenberg/pull/58466))
- Shadow: Update shadow support to allow explicit skipping of serialization. ([58306](https://github.com/WordPress/gutenberg/pull/58306))
- Try: Remove shadow preset overflow. ([58663](https://github.com/WordPress/gutenberg/pull/58663))
- Update return values from getGlobalStylesChanges(). ([58707](https://github.com/WordPress/gutenberg/pull/58707))
- Add support for transform and letter spacing controls in Global Styles > Typography > Elements. ([58142](https://github.com/WordPress/gutenberg/pull/58142))

#### Block Editor

- Drag and drop: Allow dragging from inserter or desktop to template parts. ([58589](https://github.com/WordPress/gutenberg/pull/58589))
- Drag and drop: Allow dropping within template parts. ([58423](https://github.com/WordPress/gutenberg/pull/58423))
- Implement "Add block" UI for Nav block Link UI. ([57756](https://github.com/WordPress/gutenberg/pull/57756))
- Implementing new UX for invoking rich text Link UI. ([57986](https://github.com/WordPress/gutenberg/pull/57986))
- Remove open in new tab from link preview. ([58744](https://github.com/WordPress/gutenberg/pull/58744))
- Use consistent labels, remove additional settings, and copySmall icon LinkControl. ([58183](https://github.com/WordPress/gutenberg/pull/58183))

#### Site Editor

- Apply 40px across summary panel. ([58730](https://github.com/WordPress/gutenberg/pull/58730))
- Apply custom scroll style to fixed header block toolbar. ([57444](https://github.com/WordPress/gutenberg/pull/57444))
- Improve SiteIcon display and transition. ([58472](https://github.com/WordPress/gutenberg/pull/58472))
- Only show 'Back' button when user came from an editor canvas. ([58710](https://github.com/WordPress/gutenberg/pull/58710))
- Update "focus mode" to consistently use the Document Bar's Back button. ([58528](https://github.com/WordPress/gutenberg/pull/58528))

#### Patterns

- Add a confirmation dialog when a user tries to delete a synced pattern with overrides. ([58796](https://github.com/WordPress/gutenberg/pull/58796))
- Add the block name to the pattern content data. ([58715](https://github.com/WordPress/gutenberg/pull/58715))
- Flash editable block outlines instead of always showing them. ([58159](https://github.com/WordPress/gutenberg/pull/58159))

#### Design Tools

- Background image support: Add background position controls. ([58592](https://github.com/WordPress/gutenberg/pull/58592))
- Tweak metrics and labels for background size controls. ([58854](https://github.com/WordPress/gutenberg/pull/58854))

#### Post Editor

- Editor: Limit visible Snackbars from the consumers. ([58598](https://github.com/WordPress/gutenberg/pull/58598))
- Save entities panel: Update styles. ([58706](https://github.com/WordPress/gutenberg/pull/58706))

#### Font Library

- Add sanitize from schema util. ([58571](https://github.com/WordPress/gutenberg/pull/58571))
- Font Collections: Update registration function signature and add caching. ([58363](https://github.com/WordPress/gutenberg/pull/58363))
- Font Library: Show 'Add fonts' button when there are no fonts installed. ([58580](https://github.com/WordPress/gutenberg/pull/58580))

#### Inspector Controls

- Tweak FocalPointPicker inspector controls. ([58448](https://github.com/WordPress/gutenberg/pull/58448))
- Tweak Media & Text inspector controls. ([58447](https://github.com/WordPress/gutenberg/pull/58447))

#### Custom Fields

- Block Bindings: Ensure to pass bound attributes. ([58844](https://github.com/WordPress/gutenberg/pull/58844))

#### Commands

- Try debouncing search for post-type navigation. ([58810](https://github.com/WordPress/gutenberg/pull/58810))

#### Document Settings

- Tweak revisions panel for improved scanning. ([58751](https://github.com/WordPress/gutenberg/pull/58751))

#### Synced Patterns

- Support button's link settings for Pattern Overrides. ([58587](https://github.com/WordPress/gutenberg/pull/58587))

#### Block API

- Block Hooks: Set ignoredHookedBlocks metada attr upon insertion. ([58553](https://github.com/WordPress/gutenberg/pull/58553))

#### List View

- Add keyboard clipboard events for cut, copy, paste. ([57838](https://github.com/WordPress/gutenberg/pull/57838))


### New APIs

#### Block API

- Blocks: Add handling for block.json viewScriptModule. ([58731](https://github.com/WordPress/gutenberg/pull/58731))


### Bug Fixes

- Core data: useEntityBlockEditor: Fix parsed blocks cache. ([58841](https://github.com/WordPress/gutenberg/pull/58841))
- Footnotes: Fix anchor order replacing. ([58791](https://github.com/WordPress/gutenberg/pull/58791))

#### Block Editor

- Block Switcher: Use consistent labels. ([58240](https://github.com/WordPress/gutenberg/pull/58240))
- Don't move focus within the toolbar if it is already focused. ([58570](https://github.com/WordPress/gutenberg/pull/58570))
- Don't show Link preview when no selection. ([58771](https://github.com/WordPress/gutenberg/pull/58771))
- Fix Link UI popover anchor in rich text. ([58282](https://github.com/WordPress/gutenberg/pull/58282))
- Fix empty link preview after creating link from empty selection. ([58863](https://github.com/WordPress/gutenberg/pull/58863))
- Hide the 'Content' panel for locked blocks when there's no content. ([58259](https://github.com/WordPress/gutenberg/pull/58259))
- ImageURLInputUI: Fix focus loss when settings are changed. ([58647](https://github.com/WordPress/gutenberg/pull/58647))
- Link UI: Polish lightbox pieces. ([58666](https://github.com/WordPress/gutenberg/pull/58666))
- Media Replace Flow: Vertically align the URL. ([58621](https://github.com/WordPress/gutenberg/pull/58621))
- MediaReplaceFlow: Restore popover width. ([58597](https://github.com/WordPress/gutenberg/pull/58597))
- Rich Text: Only apply focus to elements, not selection. ([58745](https://github.com/WordPress/gutenberg/pull/58745))
- Rich text: Preserve white space should strip \r. ([58805](https://github.com/WordPress/gutenberg/pull/58805))
- Settings may be undefined. ([58658](https://github.com/WordPress/gutenberg/pull/58658))
- useOnBlockDrop: Fix the Gallery block check. ([58711](https://github.com/WordPress/gutenberg/pull/58711))

#### Components

- Add a timezone offset value for display purposes. ([56682](https://github.com/WordPress/gutenberg/pull/56682))
- Fix Placeholder component padding when body text font size is changed. ([58323](https://github.com/WordPress/gutenberg/pull/58323))
- Fix URLPopover preview overflow. ([58741](https://github.com/WordPress/gutenberg/pull/58741))
- Fix the Snackbar auto-dismissal timers. ([58604](https://github.com/WordPress/gutenberg/pull/58604))
- Popover: Add `box-sizing` reset style. ([58871](https://github.com/WordPress/gutenberg/pull/58871))
- Set post editor sidebar tabs to manual activation. ([58041](https://github.com/WordPress/gutenberg/pull/58041))
- Tabs: Delay `activeId` updates until focus can be properly detected. ([58625](https://github.com/WordPress/gutenberg/pull/58625))
- Tabs: Fix infinite loop in useEffect. ([58861](https://github.com/WordPress/gutenberg/pull/58861))
- Tabs: Improve Controlled Mode Focus Handling. ([57696](https://github.com/WordPress/gutenberg/pull/57696))
- Try: Fix lightbox URL popover position. ([58600](https://github.com/WordPress/gutenberg/pull/58600))

#### Block Library

- Fix [#54352](https://github.com/WordPress/gutenberg/issues/54352) prevents php 8.1 fatal when template parts are not found in non-debug environments. ([54354](https://github.com/WordPress/gutenberg/pull/54354))
- Fix Query pagination not working in template parts and patterns. ([58602](https://github.com/WordPress/gutenberg/pull/58602))
- Fix URL escaping for array parameters in Navigation links. ([58068](https://github.com/WordPress/gutenberg/pull/58068))
- Fix missing data in email submissions. ([55691](https://github.com/WordPress/gutenberg/pull/55691))
- Fix: Removing footnotes from the allowed blocks does not remove footnotes. ([58855](https://github.com/WordPress/gutenberg/pull/58855))
- Navigation Link: Use get_block_type_variations to register variations. ([58389](https://github.com/WordPress/gutenberg/pull/58389))
- Prevent usage of `gutenberg_url` in block-library. ([58242](https://github.com/WordPress/gutenberg/pull/58242))
- Template Part: Reflect name updates without saving changes. ([58644](https://github.com/WordPress/gutenberg/pull/58644))
- Try: Make gallery randomization work when nested. ([58733](https://github.com/WordPress/gutenberg/pull/58733))

#### Data Views

- DataViews: Fix applied default layout props. ([58400](https://github.com/WordPress/gutenberg/pull/58400))
- DataViews: Fix nested buttons and placeholder text in list layout. ([58304](https://github.com/WordPress/gutenberg/pull/58304))
- DataViews: Fix some small issues with featured image. ([58371](https://github.com/WordPress/gutenberg/pull/58371))
- DataViews: Make it possible to toggle Author field in templates and template parts. ([58609](https://github.com/WordPress/gutenberg/pull/58609))
- DataViews: Remove test artifact (status filter was set as primary). ([58682](https://github.com/WordPress/gutenberg/pull/58682))
- DataViews: Use chips for filter summary. ([58816](https://github.com/WordPress/gutenberg/pull/58816))
- Fix double scrollbar in grid layout. ([58536](https://github.com/WordPress/gutenberg/pull/58536))
- Fix: Dataviews selection on patterns grid view. ([58726](https://github.com/WordPress/gutenberg/pull/58726))

#### Site Editor

- Add context for the All translatable string and enforce l10n best practices. ([58196](https://github.com/WordPress/gutenberg/pull/58196))
- Break long URL in page sidebar. ([58763](https://github.com/WordPress/gutenberg/pull/58763))
- Editor: Fix block context defined for template parts. ([58807](https://github.com/WordPress/gutenberg/pull/58807))
- Fix line-height in block card. ([58246](https://github.com/WordPress/gutenberg/pull/58246))
- Hide export button if non-block-based theme. ([58346](https://github.com/WordPress/gutenberg/pull/58346))
- Mobile site editor header toolbar button bugfix. ([58852](https://github.com/WordPress/gutenberg/pull/58852))

#### Post Editor

- Editor: Don't hide authors' Combobox if the current author is missing. ([58719](https://github.com/WordPress/gutenberg/pull/58719))
- Fix permalink input field text overflow ellipsis for Firefox. ([57310](https://github.com/WordPress/gutenberg/pull/57310))
- Fix the position and size of the Options menu,. ([57515](https://github.com/WordPress/gutenberg/pull/57515))
- Fix: Use old template panel if user doesn’t have access to view templates. ([58485](https://github.com/WordPress/gutenberg/pull/58485))
- Template editing: Update fullscreen WP back functionality. ([58534](https://github.com/WordPress/gutenberg/pull/58534))

#### Interactivity API

- Add `supports.interactivity` to the Query block. ([58316](https://github.com/WordPress/gutenberg/pull/58316))
- Fix state intialization for asynchronous private stores. ([58754](https://github.com/WordPress/gutenberg/pull/58754))
- Remove non-default suffix data wp context processing. ([58664](https://github.com/WordPress/gutenberg/pull/58664))
- Use compat versions of HTML APIs. ([58846](https://github.com/WordPress/gutenberg/pull/58846))

#### Global Styles

- Block Styles: Fix block style variation selector generation. ([58051](https://github.com/WordPress/gutenberg/pull/58051))
- Fix Global styles text settings bleeding into placeholder component. ([58303](https://github.com/WordPress/gutenberg/pull/58303))
- Global styles revisions: Fix is-selected rules from affecting other areas of the editor. ([58228](https://github.com/WordPress/gutenberg/pull/58228))
- Site Editor: Prevent classic theme from accessing global style menu. ([58345](https://github.com/WordPress/gutenberg/pull/58345))

#### List View

- Fix error when switching between template preview modes. ([58533](https://github.com/WordPress/gutenberg/pull/58533))
- Navigation Submenu Block: Make block name affect list view. ([58296](https://github.com/WordPress/gutenberg/pull/58296))
- Template Part: Fix site editor error when loading with list view set to always display. ([58868](https://github.com/WordPress/gutenberg/pull/58868))

#### Font Library

- Avoid mutating fontface data. ([58473](https://github.com/WordPress/gutenberg/pull/58473))
- Avoid running init functions when font library is available in core. ([58793](https://github.com/WordPress/gutenberg/pull/58793))
- Fix size of demo text. ([58849](https://github.com/WordPress/gutenberg/pull/58849))

#### Typography

- Fix font library modal dialog translatable strings. ([58256](https://github.com/WordPress/gutenberg/pull/58256))
- Font Library: Change referenced tab name on Google Fonts confirmation dialog. ([58584](https://github.com/WordPress/gutenberg/pull/58584))
- Font size: Allow for custom font size handling. ([58422](https://github.com/WordPress/gutenberg/pull/58422))

#### Script Modules API

- Add import map polyfill. ([58263](https://github.com/WordPress/gutenberg/pull/58263))
- Import Maps: Only emit CDATA wrappers for inline scripts for JavaScript. ([58818](https://github.com/WordPress/gutenberg/pull/58818))

#### Extensibility

- Fix broken list markup in navigation block when 3rd party blocks are used as decendants of navigation block. ([55551](https://github.com/WordPress/gutenberg/pull/55551))
- Navigation block: Check Block Hooks API callback hasn't already been added. ([58772](https://github.com/WordPress/gutenberg/pull/58772))

#### Synced Patterns

- Disable overriding links of images inside pattern instances. ([58660](https://github.com/WordPress/gutenberg/pull/58660))
- Fix nested pattern overrides and disable editing inner pattern. ([58541](https://github.com/WordPress/gutenberg/pull/58541))

#### Inspector Controls

- Add missing PanelBody title for the columns block inspector. ([58452](https://github.com/WordPress/gutenberg/pull/58452))
- Add spacing between input controls with custom values. ([58410](https://github.com/WordPress/gutenberg/pull/58410))

#### Custom Fields

- Block Bindings: Update bindings registry with latest changes. ([58843](https://github.com/WordPress/gutenberg/pull/58843))

#### History

- Columns: Batch vertical alignment updates. ([58801](https://github.com/WordPress/gutenberg/pull/58801))

#### Document Settings

- Editor: Ensure the current author is included in the dropdown. ([58716](https://github.com/WordPress/gutenberg/pull/58716))

#### Rich Text

- Add aria-readonly attribute to Rich Text component. ([58687](https://github.com/WordPress/gutenberg/pull/58687))

#### Navigation Menus

- Navigation: Update the fallback block list to avoid a PHP Warning. ([58588](https://github.com/WordPress/gutenberg/pull/58588))

#### Patterns

- Update the bindings attribs of blocks added during experimental phase. ([58483](https://github.com/WordPress/gutenberg/pull/58483))

#### Distraction Free

- Add default restoration of UI when exiting distraction free mode. ([58455](https://github.com/WordPress/gutenberg/pull/58455))


### Accessibility

- Escape as Select/Edit mode Toggle. ([58637](https://github.com/WordPress/gutenberg/pull/58637))
- Global styles revisions: Update text color contrast. ([58340](https://github.com/WordPress/gutenberg/pull/58340))

#### Components

- CustomSelect: Disable `virtualFocus` to fix issue for screenreaders. ([58585](https://github.com/WordPress/gutenberg/pull/58585))
- Font Library modal: Try to improve checkbox labelling. ([58339](https://github.com/WordPress/gutenberg/pull/58339))
- PaletteEdit: Fix palette item accessibility. ([58214](https://github.com/WordPress/gutenberg/pull/58214))

#### Font Library

- Buttons position and accessibility. ([58212](https://github.com/WordPress/gutenberg/pull/58212))
- Fix focus loss when update/install button is pressed. ([58364](https://github.com/WordPress/gutenberg/pull/58364))
- Removed and elements from Font Library Modal. ([58221](https://github.com/WordPress/gutenberg/pull/58221))

#### Block Library

- Fix image link preset suggestions arrow key navigation. ([58615](https://github.com/WordPress/gutenberg/pull/58615))

#### CSS & Styling

- Font Library: Fix font preview vertical alignment and respect reduce motion preference. ([58451](https://github.com/WordPress/gutenberg/pull/58451))

#### Widgets Editor

- Widget Editor: Don't disable the Save button. ([58365](https://github.com/WordPress/gutenberg/pull/58365))

#### Typography

- Fix fonts modal dialog buttons accessibility. ([58309](https://github.com/WordPress/gutenberg/pull/58309))

#### Commands

- Fix labeling of the command palette. ([56718](https://github.com/WordPress/gutenberg/pull/56718))


### Performance

- Block editor: Optimise getGlobalBlockCount/getClientIdsWithDescendants. ([58356](https://github.com/WordPress/gutenberg/pull/58356))
- Block editor: Prevent isSubtreeDisabled call if not needed. ([58349](https://github.com/WordPress/gutenberg/pull/58349))
- Block editor: Reduce appender sync! subscriptions. ([58556](https://github.com/WordPress/gutenberg/pull/58556))
- Block editor: selectors: Avoid has() or double get() on Maps. ([58372](https://github.com/WordPress/gutenberg/pull/58372))
- Block preview: Prevent recalculating editor styles if additional styles is empty. ([58244](https://github.com/WordPress/gutenberg/pull/58244))
- Image block: Remove a block editor store sub. ([57232](https://github.com/WordPress/gutenberg/pull/57232))
- Inner blocks: Don't re-render list when controlled blocks change. ([58575](https://github.com/WordPress/gutenberg/pull/58575))
- InnerBlocks: Fix continuous re-rendering on inner blocks change. ([58348](https://github.com/WordPress/gutenberg/pull/58348))
- Navigation: Fix performance regression. ([58513](https://github.com/WordPress/gutenberg/pull/58513))
- Post template: Don't fetch taxonomies if not needed. ([58245](https://github.com/WordPress/gutenberg/pull/58245))
- Site editor: Add pattern/template load performance test with TT4. ([58734](https://github.com/WordPress/gutenberg/pull/58734))
- Site editor: Avoid double post content parse (alternative). ([58146](https://github.com/WordPress/gutenberg/pull/58146))
- Unmemoize Block component selectors. ([58355](https://github.com/WordPress/gutenberg/pull/58355))
- core-data: Memoize `getEntitiesConfig` selector. ([58393](https://github.com/WordPress/gutenberg/pull/58393))
- getBlockSettings: Avoid memoized selector with clientId. ([58405](https://github.com/WordPress/gutenberg/pull/58405))
- useSettings: Extract selector. ([58354](https://github.com/WordPress/gutenberg/pull/58354))

#### Font Library

- Font Collections: Lazy load json configuration for better performance. ([58530](https://github.com/WordPress/gutenberg/pull/58530))

#### List View

- Unmemo recursive getEnabledClientIdsTree. ([58525](https://github.com/WordPress/gutenberg/pull/58525))

#### Block Editor

- Optimize the 'useBlockDisplayTitle' hook. ([58250](https://github.com/WordPress/gutenberg/pull/58250))

#### Interactivity API

- Break up long hydration task in interactivity init. ([58227](https://github.com/WordPress/gutenberg/pull/58227))


### Experiments

#### Data Views

- Update styling details in list item layout. ([58397](https://github.com/WordPress/gutenberg/pull/58397))

#### Synced Patterns

- Add a control per block to reset pattern overrides. ([57907](https://github.com/WordPress/gutenberg/pull/57907))


### Documentation

- Add video embed documentation and grammar fixes in the Block Editor Handbook. ([58029](https://github.com/WordPress/gutenberg/pull/58029))
- Block API: Add `viewStyle` property support to `block.json`. ([55492](https://github.com/WordPress/gutenberg/pull/55492))
- CheckboxControl: Add custom label example to Storybook. ([58438](https://github.com/WordPress/gutenberg/pull/58438))
- Docs: Copy and formatting edits for the "Markup representation of a block" guide. ([58688](https://github.com/WordPress/gutenberg/pull/58688))
- Docs: Copy and formatting edits for the "Registration of a block" guide. ([58709](https://github.com/WordPress/gutenberg/pull/58709))
- Docs: Copy and formatting edits for the "Static or Dynamic rendering" guide. ([58681](https://github.com/WordPress/gutenberg/pull/58681))
- Docs: Copy and formatting edits for the "The block in the Editor" guide. ([58697](https://github.com/WordPress/gutenberg/pull/58697))
- Docs: Copy and formatting edits for the "The block wrapper" guide. ([58704](https://github.com/WordPress/gutenberg/pull/58704))
- Docs: Copy and formatting edits for the "Working with Javascript for the Block Editor" guide. ([58651](https://github.com/WordPress/gutenberg/pull/58651))
- Docs: Copy and formatting edits for the "block.json" guide. ([58732](https://github.com/WordPress/gutenberg/pull/58732))
- Docs: Copy edits and list formatting for main Block Editor Handbook readme. ([58652](https://github.com/WordPress/gutenberg/pull/58652))
- Docs: Fix list formatting and some grammar in the Entities explanation doc. ([58655](https://github.com/WordPress/gutenberg/pull/58655))
- Docs: Fix list markup in the Fundamentals of Block Development section. ([58226](https://github.com/WordPress/gutenberg/pull/58226))
- Docs: Fix mistake in viewScriptModule documentation. ([58815](https://github.com/WordPress/gutenberg/pull/58815))
- Docs: Formatting and copy edits for the File structure of a block guide. ([58635](https://github.com/WordPress/gutenberg/pull/58635))
- Docs: Minor copy edits for the Block Development Environment page. ([58614](https://github.com/WordPress/gutenberg/pull/58614))
- Docs: Remove duplicate content and update links. ([58358](https://github.com/WordPress/gutenberg/pull/58358))
- Docs: Update link to the correct Fundamentals doc. ([58352](https://github.com/WordPress/gutenberg/pull/58352))
- Docs: Update list formatting and descriptions in the Fundamentals of Block Development doc. ([58630](https://github.com/WordPress/gutenberg/pull/58630))
- Docs: Update the Getting Started readme in the Block Editor Handbook. ([58624](https://github.com/WordPress/gutenberg/pull/58624))
- Reference Gutenberg in PHP documentation from main documentation. ([58453](https://github.com/WordPress/gutenberg/pull/58453))
- Removed extra parenthesis from document. ([58662](https://github.com/WordPress/gutenberg/pull/58662))
- Restructure the FAQs to work with the new TOC design in the Block Editor Handbook. ([58351](https://github.com/WordPress/gutenberg/pull/58351))
- Storybook: Add badges to private components. ([58123](https://github.com/WordPress/gutenberg/pull/58123))
- Update documentation to avoid recommending early return PHP "anti-pattern". ([58454](https://github.com/WordPress/gutenberg/pull/58454))
- Update to rename reusable blocks. ([58633](https://github.com/WordPress/gutenberg/pull/58633))
- Update versions-in-wordpress.md. ([58545](https://github.com/WordPress/gutenberg/pull/58545))
- fix: InnerBlocks schema description in block.json. ([58649](https://github.com/WordPress/gutenberg/pull/58649))


### Code Quality

- Avoid running pattern overrides migration in WordPress core. ([58487](https://github.com/WordPress/gutenberg/pull/58487))
- Build: Add package build shebang and sync comments. ([58264](https://github.com/WordPress/gutenberg/pull/58264))
- Date: Merge 6.4 and 6.5 compat files. ([58479](https://github.com/WordPress/gutenberg/pull/58479))
- DefaultBlockAppender: Refactor to hooks. ([58809](https://github.com/WordPress/gutenberg/pull/58809))
- Docs: Clarify the non-contextual post types. ([58836](https://github.com/WordPress/gutenberg/pull/58836))
- Layout block supports use `str_contains`. ([58251](https://github.com/WordPress/gutenberg/pull/58251))
- Move Nav Link PHPUnit tests to blocks directory. ([58460](https://github.com/WordPress/gutenberg/pull/58460))

#### Font Library

- Address feedback from wordpress-develop#6027. ([58691](https://github.com/WordPress/gutenberg/pull/58691))
- Fix font library unit tests nit-picks [round 2]. ([58612](https://github.com/WordPress/gutenberg/pull/58612))
- Font Collections: Standardizes docblock comments. ([58654](https://github.com/WordPress/gutenberg/pull/58654))
- Font Library Address Outstanding Feedback from WP 6.4 review. ([58675](https://github.com/WordPress/gutenberg/pull/58675))
- Move Fonts Library to compat dir for 6.5. ([58608](https://github.com/WordPress/gutenberg/pull/58608))
- Remove font family and font face preview keys from theme.json schema. ([58395](https://github.com/WordPress/gutenberg/pull/58395))
- Remove old and unused component and css. ([58449](https://github.com/WordPress/gutenberg/pull/58449))
- Remove slug from collection schema to accommodate the changes on the wp_register_font_collection function signature. ([58623](https://github.com/WordPress/gutenberg/pull/58623))
- Remove tests from classes that were already merged in core. ([58752](https://github.com/WordPress/gutenberg/pull/58752))
- Remove tests from font library rest controllers already merged into core. ([58778](https://github.com/WordPress/gutenberg/pull/58778))
- Return null if a font collection is not registered. ([58735](https://github.com/WordPress/gutenberg/pull/58735))
- Simplify font collection schema. ([58574](https://github.com/WordPress/gutenberg/pull/58574))
- Update Font Library REST API code to align with Core standards. ([58619](https://github.com/WordPress/gutenberg/pull/58619))
- Update Font Library non-REST API code to align with Core standards. ([58607](https://github.com/WordPress/gutenberg/pull/58607))
- Update font collection json schema. ([58413](https://github.com/WordPress/gutenberg/pull/58413))
- Update fonts collection data URL for Gutenberg 17.7. ([58746](https://github.com/WordPress/gutenberg/pull/58746))
- Use Button's API to disable footer buttons. ([58529](https://github.com/WordPress/gutenberg/pull/58529))
- [Font Library] Update PHPUnit tests per Core coding standards and practices. ([58502](https://github.com/WordPress/gutenberg/pull/58502))

#### Components

- Add eslint rule for theme var regressions. ([58130](https://github.com/WordPress/gutenberg/pull/58130))
- Add stylelint rule for theme var regressions. ([58098](https://github.com/WordPress/gutenberg/pull/58098))
- AnglePickerControl: Hard deprecate bottom margin. ([58700](https://github.com/WordPress/gutenberg/pull/58700))
- CustomGradientPicker: Hard deprecate outer margins. ([58699](https://github.com/WordPress/gutenberg/pull/58699))
- FontSizePicker: Hard deprecate bottom margin. ([58702](https://github.com/WordPress/gutenberg/pull/58702))
- GradientPicker: Hard deprecate outer margins. ([58701](https://github.com/WordPress/gutenberg/pull/58701))
- Remove deprecation warnings for `__next36pxDefaultSize`. ([58703](https://github.com/WordPress/gutenberg/pull/58703))

#### Block Library

- Interactivity API - Blocks: Move interactivity registration to render. ([58678](https://github.com/WordPress/gutenberg/pull/58678))
- Navigation: Move the Navigation block rendering tests to the blocks directory. ([58247](https://github.com/WordPress/gutenberg/pull/58247))
- Navigation: Remove use of Gutenberg_Navigation_Fallback class. ([58369](https://github.com/WordPress/gutenberg/pull/58369))
- Paragraph: Update comment block. ([58419](https://github.com/WordPress/gutenberg/pull/58419))
- Rename variation build methods. ([58538](https://github.com/WordPress/gutenberg/pull/58538))
- Template Part: Derive 'hasInnerBlocks' inside selector. ([58680](https://github.com/WordPress/gutenberg/pull/58680))

#### Block Editor

- Block Switcher: Don't use the 'useBlockDisplayInformation' hook. ([58562](https://github.com/WordPress/gutenberg/pull/58562))
- BlockSelectionButton: Don't use the 'useBlockDisplayInformation' hook. ([58640](https://github.com/WordPress/gutenberg/pull/58640))
- Link Control: Simplify the sprintf. ([58831](https://github.com/WordPress/gutenberg/pull/58831))
- RichTextData: Use a private property. ([58557](https://github.com/WordPress/gutenberg/pull/58557))

#### Post Editor

- Editor Settings: Rename the getPostLinkProps setting. ([58416](https://github.com/WordPress/gutenberg/pull/58416))
- Editor: Reuse data query in the post author components. ([58760](https://github.com/WordPress/gutenberg/pull/58760))
- Editor: Use hooks instead of HoCs in the post-taxonomies components. ([58446](https://github.com/WordPress/gutenberg/pull/58446))
- Fix: Refactor pre publish panel to use function component instead of class. ([58441](https://github.com/WordPress/gutenberg/pull/58441))

#### Custom Fields

- Block Bindings: Remove unneeded 'setAttributes' override. ([58806](https://github.com/WordPress/gutenberg/pull/58806))

#### Patterns

- Pattern overrides: Update overrides attribute data structure and rename it to `content`. ([58596](https://github.com/WordPress/gutenberg/pull/58596))


### Tools

- Add BlockJsonDependenciesPlugin to modules build. ([57927](https://github.com/WordPress/gutenberg/pull/57927))
- DEWP: Fix script module import field. ([58770](https://github.com/WordPress/gutenberg/pull/58770))
- Introduce a Props Bot workflow. ([58576](https://github.com/WordPress/gutenberg/pull/58576))
- More refinements to Props Bot run conditions. ([58617](https://github.com/WordPress/gutenberg/pull/58617))
- Refine when Props Bot runs. ([58616](https://github.com/WordPress/gutenberg/pull/58616))
- Remove noahtallen from .wp-env codeowners. ([58283](https://github.com/WordPress/gutenberg/pull/58283))
- Scripts: Add viewScriptModule block.json support. ([58203](https://github.com/WordPress/gutenberg/pull/58203))

#### Testing

- "Multiple use" block validation logic improvement [with Playwright]. ([57576](https://github.com/WordPress/gutenberg/pull/57576))
- Block Bindings: Add block bindings end-to-end tests. ([58550](https://github.com/WordPress/gutenberg/pull/58550))
- Block Bindings: Add tests for the frontend and polish the existing ones. ([58676](https://github.com/WordPress/gutenberg/pull/58676))
- Block Bindings: Improve the code of the block bindings tests. ([58785](https://github.com/WordPress/gutenberg/pull/58785))
- Button: Add focusable disabled variant to vizreg Storybook. ([58634](https://github.com/WordPress/gutenberg/pull/58634))
- CustomSelect: Add tests for new features. ([58583](https://github.com/WordPress/gutenberg/pull/58583))
- Fix flaky test of data-wp-on-window directive. ([58642](https://github.com/WordPress/gutenberg/pull/58642))
- Flaky Test: Fix "directives inside islands should not be hydrated twice". ([58516](https://github.com/WordPress/gutenberg/pull/58516))
- Interactivity API: Fix flaky test in `data-wp-on-document`. ([58668](https://github.com/WordPress/gutenberg/pull/58668))
- Migrate remaining 'inserting blocks' end-to-end tests to Playwright. ([58108](https://github.com/WordPress/gutenberg/pull/58108))
- Migrate remaining 'pattern block' end-to-end tests to Playwright. ([58486](https://github.com/WordPress/gutenberg/pull/58486))
- SearchControl: Add unit tests. ([58693](https://github.com/WordPress/gutenberg/pull/58693))
- Try fixing flaky 'inserting blocks' end-to-end tests. ([58848](https://github.com/WordPress/gutenberg/pull/58848))
- Try fixing flaky Paragraph block end-to-end test. ([58208](https://github.com/WordPress/gutenberg/pull/58208))
- Use toBeDisabled instead of aria-disabled check. ([58694](https://github.com/WordPress/gutenberg/pull/58694))
- e2e: Add a test to confirm that the focus moves from the post title to the paragraph using the enter key. ([58872](https://github.com/WordPress/gutenberg/pull/58872))
- end-to-end Utils: Ensure deleteAllUsers does not delete current user. ([58320](https://github.com/WordPress/gutenberg/pull/58320))

#### Build Tooling

- Add missing Interactivity API label to changelog script. ([58879](https://github.com/WordPress/gutenberg/pull/58879))
- Enable dynamic import transform for React Native tests. ([58546](https://github.com/WordPress/gutenberg/pull/58546))
- Fix: Remove mention of weekly meeting from first time contributor PR label. ([58547](https://github.com/WordPress/gutenberg/pull/58547))
- Interactivity API: Move Core implementation to compat 6.5 folder. ([58829](https://github.com/WordPress/gutenberg/pull/58829))
- Remove phpunit tests for features backported to Core. ([58776](https://github.com/WordPress/gutenberg/pull/58776))
- Update Performance tests base branch. ([58890](https://github.com/WordPress/gutenberg/pull/58890))
- Workflows: Add 'Technical Prototype' to the type-related labels list. ([58163](https://github.com/WordPress/gutenberg/pull/58163))


### Security

#### Font Library

- Sanitize font collection data. ([58636](https://github.com/WordPress/gutenberg/pull/58636))

#### REST API

- Font Library REST API: Sanitize font family and font face settings. ([58590](https://github.com/WordPress/gutenberg/pull/58590))


### Various

- Script loader 6.4 compat: Check for init hook completion. ([58406](https://github.com/WordPress/gutenberg/pull/58406))

#### Font Library

- Code style and code quality feedback from core 6.5 review. ([58736](https://github.com/WordPress/gutenberg/pull/58736))
- Move getAllowedMimeTypes to FontUtils. ([58667](https://github.com/WordPress/gutenberg/pull/58667))
- Refactor as a singleton. ([58669](https://github.com/WordPress/gutenberg/pull/58669))

#### Components

- Removing Reakit `Composite` implementation. ([58620](https://github.com/WordPress/gutenberg/pull/58620))
- Removing Reakit as a dependency. ([58631](https://github.com/WordPress/gutenberg/pull/58631))
- Update the Snackbar warning message. ([58591](https://github.com/WordPress/gutenberg/pull/58591))

#### Global Styles

- Always output core block global styles after base global styles. ([58761](https://github.com/WordPress/gutenberg/pull/58761))
- Backport theme.json tests from Core. ([58476](https://github.com/WordPress/gutenberg/pull/58476))

#### Block Library

- Reduce label and fix capitalization for image block upload label. ([58677](https://github.com/WordPress/gutenberg/pull/58677))
- Separator: Remove border-bottom property. ([55725](https://github.com/WordPress/gutenberg/pull/55725))

#### Patterns

- Update pattern copy to Synced instead of Fully Synced. ([58876](https://github.com/WordPress/gutenberg/pull/58876))

#### Block API

- ViewScriptModule: 6.5 compatibility changes. ([58832](https://github.com/WordPress/gutenberg/pull/58832))

#### Custom Fields

- Block Bindings: Backport block bindings refactor from WordPress core. ([58683](https://github.com/WordPress/gutenberg/pull/58683))

#### Inspector Controls

- Change cover block's "Media settings" label to "Settings". ([58463](https://github.com/WordPress/gutenberg/pull/58463))

## First time contributors

The following PRs were merged by first time contributors:

- @at-benni: Update versions-in-wordpress.md. ([58545](https://github.com/WordPress/gutenberg/pull/58545))
- @krupal-panchal: Removed extra parenthesis from document. ([58662](https://github.com/WordPress/gutenberg/pull/58662))
- @shreyash3087: fix: InnerBlocks schema description in block.json. ([58649](https://github.com/WordPress/gutenberg/pull/58649))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @afercia @ajlende @andrewhayward @andrewserong @annezazu @anton-vlasenko @antonis @aristath @artemiomorales @at-benni @brookewp @c4rl0sbr4v0 @carolinan @chad1008 @ciampo @creativecoder @DAreRodz @dcalhoun @dd32 @derekblank @desrosj @draganescu @ellatrix @fabiankaegy @fai-sal @fluiddot @gaambo @getdave @glendaviesnz @hellofromtonya @ironprogrammer @jameskoster @jasmussen @jeherve @jeryj @jorgefilipecosta @jsnajdr @kevin940726 @krupal-panchal @luisherranz @madhusudhand @MaggieCabrera @Mamaduka @matiasbenedetto @mikachan @mirka @ndiego @noahtallen @noisysocks @ntsekouras @oandregal @ockham @pbking @ramonjd @retrofox @richtabor @SantosGuillamot @scruffian @shreyash3087 @sirreal @t-hamano @talldan @tellthemachines @tjcafferkey @tomjn @tyxla @vcanales @westonruter @WunderBart @youknowriad




= 17.6.6 =

## Changelog

### Bug Fixes

- Script loader 6.4 compat: check for init hook completion ([58406](https://github.com/WordPress/gutenberg/pull/58406))

## Contributors

The following contributors merged PRs in this release:

@ramonjd 


= 17.7.0-rc.1 =


## Changelog

### Features

#### Interactivity API
- Allow global configs for namespaces. ([58749](https://github.com/WordPress/gutenberg/pull/58749))

#### Global Styles
- Add support for transform and letter spacing controls in Global Styles > Typography > Elements. ([58142](https://github.com/WordPress/gutenberg/pull/58142))

#### Block Library
- Add shadow support for column, columns and image. ([57982](https://github.com/WordPress/gutenberg/pull/57982))


### Enhancements

- Improve translators comments for wp.date.setSettings in compat file. ([58488](https://github.com/WordPress/gutenberg/pull/58488))
- Interactive Template: Use viewScriptModule. ([58211](https://github.com/WordPress/gutenberg/pull/58211))

#### Components
- Adding `constrainTabbing` prop to `useDialog` hook. ([57962](https://github.com/WordPress/gutenberg/pull/57962))
- Allow limiting the number of maximum visible Snackbars. ([58559](https://github.com/WordPress/gutenberg/pull/58559))
- ConfirmDialog: Add `__next40pxDefaultSize` to buttons. ([58421](https://github.com/WordPress/gutenberg/pull/58421))
- Expand theming support in COLORS. ([58097](https://github.com/WordPress/gutenberg/pull/58097))
- FocalPointPicker: Apply modern styling. ([58459](https://github.com/WordPress/gutenberg/pull/58459))
- Implement Tabs in widget editor settings. ([57886](https://github.com/WordPress/gutenberg/pull/57886))
- Implement `Tabs` in site-editor settings. ([56959](https://github.com/WordPress/gutenberg/pull/56959))
- Implementing `useCompositeState` with Ariakit. ([57304](https://github.com/WordPress/gutenberg/pull/57304))
- InputBase: Add `isBorderless` prop. ([58750](https://github.com/WordPress/gutenberg/pull/58750))
- Replace `TabPanel` with `Tabs` in the editor Document Overview sidebar. ([57082](https://github.com/WordPress/gutenberg/pull/57082))
- SearchControl: Refactor to use InputControl internally. ([56524](https://github.com/WordPress/gutenberg/pull/56524))
- Show borders for disabled secondary buttons. ([58606](https://github.com/WordPress/gutenberg/pull/58606))

#### Data Views
- Add outline to template preview in table layout. ([58738](https://github.com/WordPress/gutenberg/pull/58738))
- Add: Delete bulk action to patterns. ([58747](https://github.com/WordPress/gutenberg/pull/58747))
- Add: Selection and bulk actions to grid view. ([58144](https://github.com/WordPress/gutenberg/pull/58144))
- DataViews: Add primary filter API. ([58427](https://github.com/WordPress/gutenberg/pull/58427))
- DataViews: In patterns page, show sync status filter by default. ([58367](https://github.com/WordPress/gutenberg/pull/58367))
- DataViews: Redesign of filters. ([58569](https://github.com/WordPress/gutenberg/pull/58569))
- Remove min-width style on table cells. ([58204](https://github.com/WordPress/gutenberg/pull/58204))
- Update 'Rows per page' view option label to account for Grid layout. ([58457](https://github.com/WordPress/gutenberg/pull/58457))
- Update dataviews search input placeholder. ([58742](https://github.com/WordPress/gutenberg/pull/58742))
- Update spacing around title in grid layout. ([58739](https://github.com/WordPress/gutenberg/pull/58739))

#### Interactivity API
- Add `block supports` for `clientNavigation` and `interactive` properties on `block.json` schema. ([58132](https://github.com/WordPress/gutenberg/pull/58132))
- Image block: Refactor and remove `data-wp-body`. ([58835](https://github.com/WordPress/gutenberg/pull/58835))
- Interactivity Router: Fix initial page cache. ([58496](https://github.com/WordPress/gutenberg/pull/58496))
- Interactivity Router: Move ARIA live region and loading bar to the Interactivity Router. ([58377](https://github.com/WordPress/gutenberg/pull/58377))
- Limit the exported APIs. ([58864](https://github.com/WordPress/gutenberg/pull/58864))
- Mark all core block stores as private. ([58722](https://github.com/WordPress/gutenberg/pull/58722))
- Server Directive Processor for `data-wp-each`. ([58498](https://github.com/WordPress/gutenberg/pull/58498))
- Support setting a namespace using a string in `data-wp-interactive`. ([58743](https://github.com/WordPress/gutenberg/pull/58743))

#### Block Library
- Follow up on the Post navigation link taxonomy filters. ([57949](https://github.com/WordPress/gutenberg/pull/57949))
- Home Link: Render Home text if there is no attribute label present. ([58387](https://github.com/WordPress/gutenberg/pull/58387))
- Organize gallery controls. ([58407](https://github.com/WordPress/gutenberg/pull/58407))
- Pattern: Use the '__experimentalLabel' method to get a title. ([58646](https://github.com/WordPress/gutenberg/pull/58646))
- Social Icons: Update Patreon icon. ([56951](https://github.com/WordPress/gutenberg/pull/56951))
- Try: Disable text selection for post content placeholder block. ([58169](https://github.com/WordPress/gutenberg/pull/58169))
- Update pattern block copy in light of pattern overrides. ([58231](https://github.com/WordPress/gutenberg/pull/58231))

#### Global Styles
- Add style engine support for nested at-rules. ([58867](https://github.com/WordPress/gutenberg/pull/58867))
- Font Library: Show 'Add fonts' button when there are no fonts installed. ([58580](https://github.com/WordPress/gutenberg/pull/58580))
- Move Shadow controls to Border panel. ([58466](https://github.com/WordPress/gutenberg/pull/58466))
- Shadow: Update shadow support to allow explicit skipping of serialization. ([58306](https://github.com/WordPress/gutenberg/pull/58306))
- Try: Remove shadow preset overflow. ([58663](https://github.com/WordPress/gutenberg/pull/58663))
- Update return values from getGlobalStylesChanges(). ([58707](https://github.com/WordPress/gutenberg/pull/58707))

#### Block Editor
- Drag and drop: Allow dragging from inserter or desktop to template parts. ([58589](https://github.com/WordPress/gutenberg/pull/58589))
- Drag and drop: Allow dropping within template parts. ([58423](https://github.com/WordPress/gutenberg/pull/58423))
- Implement "Add block" UI for Nav block Link UI. ([57756](https://github.com/WordPress/gutenberg/pull/57756))
- Implementing new UX for invoking rich text Link UI. ([57986](https://github.com/WordPress/gutenberg/pull/57986))
- Remove open in new tab from link preview. ([58744](https://github.com/WordPress/gutenberg/pull/58744))
- Use consistent labels, remove additional settings, and copySmall icon LinkControl. ([58183](https://github.com/WordPress/gutenberg/pull/58183))

#### Site Editor
- Apply 40px across summary panel. ([58730](https://github.com/WordPress/gutenberg/pull/58730))
- Apply custom scroll style to fixed header block toolbar. ([57444](https://github.com/WordPress/gutenberg/pull/57444))
- Improve SiteIcon display and transition. ([58472](https://github.com/WordPress/gutenberg/pull/58472))
- Only show 'Back' button when user came from an editor canvas. ([58710](https://github.com/WordPress/gutenberg/pull/58710))
- Update "focus mode" to consistently use the Document Bar's Back button. ([58528](https://github.com/WordPress/gutenberg/pull/58528))

#### Patterns
- Add a confirmation dialog when a user tries to delete a synced pattern with overrides. ([58796](https://github.com/WordPress/gutenberg/pull/58796))
- Add the block name to the pattern content data. ([58715](https://github.com/WordPress/gutenberg/pull/58715))
- Flash editable block outlines instead of always showing them. ([58159](https://github.com/WordPress/gutenberg/pull/58159))

#### Design Tools
- Background image support: Add background position controls. ([58592](https://github.com/WordPress/gutenberg/pull/58592))
- Tweak metrics and labels for background size controls. ([58854](https://github.com/WordPress/gutenberg/pull/58854))

#### Post Editor
- Editor: Limit visible Snackbars from the consumers. ([58598](https://github.com/WordPress/gutenberg/pull/58598))
- Save entities panel: Update styles. ([58706](https://github.com/WordPress/gutenberg/pull/58706))

#### Font Library
- Add sanitize from schema util. ([58571](https://github.com/WordPress/gutenberg/pull/58571))
- Font Collections: Update registration function signature and add caching. ([58363](https://github.com/WordPress/gutenberg/pull/58363))

#### Inspector Controls
- Tweak FocalPointPicker inspector controls. ([58448](https://github.com/WordPress/gutenberg/pull/58448))
- Tweak Media & Text inspector controls. ([58447](https://github.com/WordPress/gutenberg/pull/58447))

#### Custom Fields
- Block Bindings: Ensure to pass bound attributes. ([58844](https://github.com/WordPress/gutenberg/pull/58844))

#### Commands
- Try debouncing search for post-type navigation. ([58810](https://github.com/WordPress/gutenberg/pull/58810))

#### Document Settings
- Tweak revisions panel for improved scanning. ([58751](https://github.com/WordPress/gutenberg/pull/58751))

#### Synced Patterns
- Support button's link settings for Pattern Overrides. ([58587](https://github.com/WordPress/gutenberg/pull/58587))

#### Block API
- Block Hooks: Set ignoredHookedBlocks metada attr upon insertion. ([58553](https://github.com/WordPress/gutenberg/pull/58553))

#### List View
- Add keyboard clipboard events for cut, copy, paste. ([57838](https://github.com/WordPress/gutenberg/pull/57838))


### New APIs

#### Block API
- Blocks: Add handling for block.json viewScriptModule. ([58731](https://github.com/WordPress/gutenberg/pull/58731))


### Bug Fixes

- Core data: useEntityBlockEditor: Fix parsed blocks cache. ([58841](https://github.com/WordPress/gutenberg/pull/58841))
- Footnotes: Fix anchor order replacing. ([58791](https://github.com/WordPress/gutenberg/pull/58791))

#### Block Editor
- Block Switcher: Use consistent labels. ([58240](https://github.com/WordPress/gutenberg/pull/58240))
- Don't move focus within the toolbar if it is already focused. ([58570](https://github.com/WordPress/gutenberg/pull/58570))
- Don't show Link preview when no selection. ([58771](https://github.com/WordPress/gutenberg/pull/58771))
- Fix Link UI popover anchor in rich text. ([58282](https://github.com/WordPress/gutenberg/pull/58282))
- Fix empty link preview after creating link from empty selection. ([58863](https://github.com/WordPress/gutenberg/pull/58863))
- Hide the 'Content' panel for locked blocks when there's no content. ([58259](https://github.com/WordPress/gutenberg/pull/58259))
- ImageURLInputUI: Fix focus loss when settings are changed. ([58647](https://github.com/WordPress/gutenberg/pull/58647))
- Link UI: Polish lightbox pieces. ([58666](https://github.com/WordPress/gutenberg/pull/58666))
- Media Replace Flow: Vertically align the URL. ([58621](https://github.com/WordPress/gutenberg/pull/58621))
- MediaReplaceFlow: Restore popover width. ([58597](https://github.com/WordPress/gutenberg/pull/58597))
- Rich Text: Only apply focus to elements not selection. ([58745](https://github.com/WordPress/gutenberg/pull/58745))
- Rich text: Preserve white space should strip \r. ([58805](https://github.com/WordPress/gutenberg/pull/58805))
- Settings may be undefined. ([58658](https://github.com/WordPress/gutenberg/pull/58658))
- useOnBlockDrop: Fix the Gallery block check. ([58711](https://github.com/WordPress/gutenberg/pull/58711))

#### Components
- Add a timezone offset value for display purposes. ([56682](https://github.com/WordPress/gutenberg/pull/56682))
- Fix Placeholder component padding when body text font size is changed. ([58323](https://github.com/WordPress/gutenberg/pull/58323))
- Fix URLPopover preview overflow. ([58741](https://github.com/WordPress/gutenberg/pull/58741))
- Fix the Snackbar auto-dismissal timers. ([58604](https://github.com/WordPress/gutenberg/pull/58604))
- Popover: Add `box-sizing` reset style. ([58871](https://github.com/WordPress/gutenberg/pull/58871))
- Set post editor sidebar tabs to manual activation. ([58041](https://github.com/WordPress/gutenberg/pull/58041))
- Tabs: Delay `activeId` updates until focus can be properly detected. ([58625](https://github.com/WordPress/gutenberg/pull/58625))
- Tabs: Fix infinite loop in useEffect. ([58861](https://github.com/WordPress/gutenberg/pull/58861))
- Tabs: Improve Controlled Mode Focus Handling. ([57696](https://github.com/WordPress/gutenberg/pull/57696))
- Try: Fix lightbox URL popover position. ([58600](https://github.com/WordPress/gutenberg/pull/58600))

#### Block Library
- Fix #54352 prevent php 8.1 fatal when template parts are not found in non-debug environments. ([54354](https://github.com/WordPress/gutenberg/pull/54354))
- Fix Query pagination not working in template parts and patterns. ([58602](https://github.com/WordPress/gutenberg/pull/58602))
- Fix URL escaping for array parameters in Navigation links. ([58068](https://github.com/WordPress/gutenberg/pull/58068))
- Fix missing data in email submissions. ([55691](https://github.com/WordPress/gutenberg/pull/55691))
- Fix: Removing footnotes from the allowed blocks does not remove footnotes. ([58855](https://github.com/WordPress/gutenberg/pull/58855))
- Navigation Link: Use get_block_type_variations to register variations. ([58389](https://github.com/WordPress/gutenberg/pull/58389))
- Prevent usage of `gutenberg_url` in block-library. ([58242](https://github.com/WordPress/gutenberg/pull/58242))
- Template Part: Reflect name updates without saving changes. ([58644](https://github.com/WordPress/gutenberg/pull/58644))
- Try: Make gallery randomization work when nested. ([58733](https://github.com/WordPress/gutenberg/pull/58733))

#### Data Views
- DataViews: Fix applied default layout props. ([58400](https://github.com/WordPress/gutenberg/pull/58400))
- DataViews: Fix nested buttons and placeholder text in list layout. ([58304](https://github.com/WordPress/gutenberg/pull/58304))
- DataViews: Fix some small issues with featured image. ([58371](https://github.com/WordPress/gutenberg/pull/58371))
- DataViews: Make it possible to toggle Author field in templates and template parts. ([58609](https://github.com/WordPress/gutenberg/pull/58609))
- DataViews: Remove test artifact (status filter was set as primary). ([58682](https://github.com/WordPress/gutenberg/pull/58682))
- DataViews: Use chips for filter summary. ([58816](https://github.com/WordPress/gutenberg/pull/58816))
- Fix double scrollbar in grid layout. ([58536](https://github.com/WordPress/gutenberg/pull/58536))
- Fix: Dataviews selection on patterns grid view. ([58726](https://github.com/WordPress/gutenberg/pull/58726))

#### Site Editor
- Add context for the All translatable string and enforce l10n best practices. ([58196](https://github.com/WordPress/gutenberg/pull/58196))
- Break long URL in page sidebar. ([58763](https://github.com/WordPress/gutenberg/pull/58763))
- Editor: Fix block context defined for template parts. ([58807](https://github.com/WordPress/gutenberg/pull/58807))
- Fix line-height in block card. ([58246](https://github.com/WordPress/gutenberg/pull/58246))
- Hide export button if non-block-based theme. ([58346](https://github.com/WordPress/gutenberg/pull/58346))
- Mobile site editor header toolbar button bugfix. ([58852](https://github.com/WordPress/gutenberg/pull/58852))

#### Post Editor
- Editor: Don't hide authors' Combobox if the current author is missing. ([58719](https://github.com/WordPress/gutenberg/pull/58719))
- Fix permalink input field text overflow ellipsis for Firefox. ([57310](https://github.com/WordPress/gutenberg/pull/57310))
- Fix the position and size of the Options menu,. ([57515](https://github.com/WordPress/gutenberg/pull/57515))
- Fix: Use old template panel if user doesn’t have access to view templates. ([58485](https://github.com/WordPress/gutenberg/pull/58485))
- Template editing: Update fullscreen WP back functionality. ([58534](https://github.com/WordPress/gutenberg/pull/58534))

#### Interactivity API
- Add `supports.interactivity` to the Query block. ([58316](https://github.com/WordPress/gutenberg/pull/58316))
- Fix state intialization for asynchronous private stores. ([58754](https://github.com/WordPress/gutenberg/pull/58754))
- Remove non default suffix data wp context processing. ([58664](https://github.com/WordPress/gutenberg/pull/58664))
- Use compat versions of HTML APIs. ([58846](https://github.com/WordPress/gutenberg/pull/58846))

#### Global Styles
- Block Styles: Fix block style variation selector generation. ([58051](https://github.com/WordPress/gutenberg/pull/58051))
- Fix Global styles text settings bleeding into placeholder component. ([58303](https://github.com/WordPress/gutenberg/pull/58303))
- Global styles revisions: Fix is-selected rules from affecting other areas of the editor. ([58228](https://github.com/WordPress/gutenberg/pull/58228))
- Site Editor: Prevent classic theme from accessing global style menu. ([58345](https://github.com/WordPress/gutenberg/pull/58345))

#### List View
- Fix error when switching between template preview modes. ([58533](https://github.com/WordPress/gutenberg/pull/58533))
- Navigation Submenu Block: Make block name affect list view. ([58296](https://github.com/WordPress/gutenberg/pull/58296))
- Template Part: Fix site editor error when loading with list view set to always display. ([58868](https://github.com/WordPress/gutenberg/pull/58868))

#### Font Library
- Avoid mutating fontface data. ([58473](https://github.com/WordPress/gutenberg/pull/58473))
- Avoid running init functions when font library is available in core. ([58793](https://github.com/WordPress/gutenberg/pull/58793))
- Fix size of demo text. ([58849](https://github.com/WordPress/gutenberg/pull/58849))

#### Typography
- Fix font library modal dialog translatable strings. ([58256](https://github.com/WordPress/gutenberg/pull/58256))
- Font Library: Change referenced tab name on Google Fonts confirmation dialog. ([58584](https://github.com/WordPress/gutenberg/pull/58584))
- Font size: Allow for custom font size handling. ([58422](https://github.com/WordPress/gutenberg/pull/58422))

#### Script Modules API
- Add import map polyfill. ([58263](https://github.com/WordPress/gutenberg/pull/58263))
- Import Maps: Only emit CDATA wrappers for inline scripts for JavaScript. ([58818](https://github.com/WordPress/gutenberg/pull/58818))

#### Extensibility
- Fix broken list markup in navigation block when 3rd party blocks are used as decendants of navigation block. ([55551](https://github.com/WordPress/gutenberg/pull/55551))
- Navigation block: Check Block Hooks API callback hasn't already been added. ([58772](https://github.com/WordPress/gutenberg/pull/58772))

#### Synced Patterns
- Disable overriding links of images inside pattern instances. ([58660](https://github.com/WordPress/gutenberg/pull/58660))
- Fix nested pattern overrides and disable editing inner pattern. ([58541](https://github.com/WordPress/gutenberg/pull/58541))

#### Inspector Controls
- Add missing PanelBody title for the columns block inspector. ([58452](https://github.com/WordPress/gutenberg/pull/58452))
- Add spacing between input controls with custom values. ([58410](https://github.com/WordPress/gutenberg/pull/58410))

#### Custom Fields
- Block Bindings: Update bindings registry with latest changes. ([58843](https://github.com/WordPress/gutenberg/pull/58843))

#### History
- Columns: Batch vertical alignment updates. ([58801](https://github.com/WordPress/gutenberg/pull/58801))

#### Document Settings
- Editor: Ensure the current author is included in the dropdown. ([58716](https://github.com/WordPress/gutenberg/pull/58716))

#### Rich Text
- Add aria-readonly attribute to Rich Text component. ([58687](https://github.com/WordPress/gutenberg/pull/58687))

#### Navigation Menus
- Navigation: Update the fallback block list to avoid a PHP Warning. ([58588](https://github.com/WordPress/gutenberg/pull/58588))

#### Patterns
- Update the bindings attribs of blocks added during experimental phase. ([58483](https://github.com/WordPress/gutenberg/pull/58483))

#### Distraction Free
- Add default restoration of UI when exiting distraction free mode. ([58455](https://github.com/WordPress/gutenberg/pull/58455))


### Accessibility

- Escape as Select/Edit mode Toggle. ([58637](https://github.com/WordPress/gutenberg/pull/58637))
- Global styles revisions: Update text color contrast. ([58340](https://github.com/WordPress/gutenberg/pull/58340))

#### Components
- CustomSelect: Disable `virtualFocus` to fix issue for screenreaders. ([58585](https://github.com/WordPress/gutenberg/pull/58585))
- Font Library modal: Try to improve checkbox labelling. ([58339](https://github.com/WordPress/gutenberg/pull/58339))
- PaletteEdit: Fix palette item accessibility. ([58214](https://github.com/WordPress/gutenberg/pull/58214))

#### Font Library
- Buttons position and accessibility. ([58212](https://github.com/WordPress/gutenberg/pull/58212))
- Fix focus loss when update/install button is pressed. ([58364](https://github.com/WordPress/gutenberg/pull/58364))
- Removed <header> <main> and <footer> elements from Font Library Modal. ([58221](https://github.com/WordPress/gutenberg/pull/58221))

#### Block Library
- Fix image link preset suggestions arrow key navigation. ([58615](https://github.com/WordPress/gutenberg/pull/58615))

#### CSS & Styling
- Font Library: Fix font preview vertical alignment and respect reduce motion preference. ([58451](https://github.com/WordPress/gutenberg/pull/58451))

#### Widgets Editor
- Widget Editor: Don't disable the Save button. ([58365](https://github.com/WordPress/gutenberg/pull/58365))

#### Typography
- Fix fonts modal dialog buttons accessibility. ([58309](https://github.com/WordPress/gutenberg/pull/58309))

#### Commands
- Fix labeling of the command palette. ([56718](https://github.com/WordPress/gutenberg/pull/56718))


### Performance

- Block editor: Optimise getGlobalBlockCount/getClientIdsWithDescendants. ([58356](https://github.com/WordPress/gutenberg/pull/58356))
- Block editor: Prevent isSubtreeDisabled call if not needed. ([58349](https://github.com/WordPress/gutenberg/pull/58349))
- Block editor: Reduce appender sync! subscriptions. ([58556](https://github.com/WordPress/gutenberg/pull/58556))
- Block editor: selectors: Avoid has() or double get() on Maps. ([58372](https://github.com/WordPress/gutenberg/pull/58372))
- Block preview: Prevent recalculating editor styles if additional styles is empty. ([58244](https://github.com/WordPress/gutenberg/pull/58244))
- Image block: Remove a block editor store sub. ([57232](https://github.com/WordPress/gutenberg/pull/57232))
- Inner blocks: Don't re-render list when controlled blocks change. ([58575](https://github.com/WordPress/gutenberg/pull/58575))
- InnerBlocks: Fix continuous re-rendering on inner blocks change. ([58348](https://github.com/WordPress/gutenberg/pull/58348))
- Navigation: Fix performance regression. ([58513](https://github.com/WordPress/gutenberg/pull/58513))
- Post template: Don't fetch taxonomies if not needed. ([58245](https://github.com/WordPress/gutenberg/pull/58245))
- Site editor: Add pattern/template load performance test with TT4. ([58734](https://github.com/WordPress/gutenberg/pull/58734))
- Site editor: Avoid double post content parse (alternative). ([58146](https://github.com/WordPress/gutenberg/pull/58146))
- Unmemoize Block component selectors. ([58355](https://github.com/WordPress/gutenberg/pull/58355))
- core-data: Memoize `getEntitiesConfig` selector. ([58393](https://github.com/WordPress/gutenberg/pull/58393))
- getBlockSettings: Avoid memoized selector with clientId. ([58405](https://github.com/WordPress/gutenberg/pull/58405))
- useSettings: Extract selector. ([58354](https://github.com/WordPress/gutenberg/pull/58354))

#### Font Library
- Font Collections: Lazy load json configuration for better performance. ([58530](https://github.com/WordPress/gutenberg/pull/58530))

#### List View
- Unmemo recursive getEnabledClientIdsTree. ([58525](https://github.com/WordPress/gutenberg/pull/58525))

#### Block Editor
- Optimize the 'useBlockDisplayTitle' hook. ([58250](https://github.com/WordPress/gutenberg/pull/58250))

#### Interactivity API
- Break up long hydration task in interactivity init. ([58227](https://github.com/WordPress/gutenberg/pull/58227))


### Experiments

#### Data Views
- Update styling details in list item layout. ([58397](https://github.com/WordPress/gutenberg/pull/58397))

#### Synced Patterns
- Add a control per block to reset pattern overrides. ([57907](https://github.com/WordPress/gutenberg/pull/57907))


### Documentation

- Add video embed documentation and grammar fixes in the Block Editor Handbook. ([58029](https://github.com/WordPress/gutenberg/pull/58029))
- Block API: Add `viewStyle` property support to `block.json`. ([55492](https://github.com/WordPress/gutenberg/pull/55492))
- CheckboxControl: Add custom label example to Storybook. ([58438](https://github.com/WordPress/gutenberg/pull/58438))
- Docs: Copy and formatting edits for the "Markup representation of a block" guide. ([58688](https://github.com/WordPress/gutenberg/pull/58688))
- Docs: Copy and formatting edits for the "Registration of a block" guide. ([58709](https://github.com/WordPress/gutenberg/pull/58709))
- Docs: Copy and formatting edits for the "Static or Dynamic rendering" guide. ([58681](https://github.com/WordPress/gutenberg/pull/58681))
- Docs: Copy and formatting edits for the "The block in the Editor" guide. ([58697](https://github.com/WordPress/gutenberg/pull/58697))
- Docs: Copy and formatting edits for the "The block wrapper" guide. ([58704](https://github.com/WordPress/gutenberg/pull/58704))
- Docs: Copy and formatting edits for the "Working with Javascript for the Block Editor" guide. ([58651](https://github.com/WordPress/gutenberg/pull/58651))
- Docs: Copy and formatting edits for the "block.json" guide. ([58732](https://github.com/WordPress/gutenberg/pull/58732))
- Docs: Copy edits and list formatting for main Block Editor Handbook readme. ([58652](https://github.com/WordPress/gutenberg/pull/58652))
- Docs: Fix list formatting and some grammar in the Entities explanation doc. ([58655](https://github.com/WordPress/gutenberg/pull/58655))
- Docs: Fix list markup in the Fundamentals of Block Development section. ([58226](https://github.com/WordPress/gutenberg/pull/58226))
- Docs: Fix mistake in viewScriptModule documentation. ([58815](https://github.com/WordPress/gutenberg/pull/58815))
- Docs: Formatting and copy edits for the File structure of a block guide. ([58635](https://github.com/WordPress/gutenberg/pull/58635))
- Docs: Minor copy edits for the Block Development Environment page. ([58614](https://github.com/WordPress/gutenberg/pull/58614))
- Docs: Remove duplicate content and update links. ([58358](https://github.com/WordPress/gutenberg/pull/58358))
- Docs: Update link to the correct Fundamentals doc. ([58352](https://github.com/WordPress/gutenberg/pull/58352))
- Docs: Update list formatting and descriptions in the Fundamentals of Block Development doc. ([58630](https://github.com/WordPress/gutenberg/pull/58630))
- Docs: Update the Getting Started readme in the Block Editor Handbook. ([58624](https://github.com/WordPress/gutenberg/pull/58624))
- Reference Gutenberg in PHP documentation from main documentation. ([58453](https://github.com/WordPress/gutenberg/pull/58453))
- Removed extra parenthesis from document. ([58662](https://github.com/WordPress/gutenberg/pull/58662))
- Restructure the FAQs to work with the new TOC design in the Block Editor Handbook. ([58351](https://github.com/WordPress/gutenberg/pull/58351))
- Storybook: Add badges to private components. ([58123](https://github.com/WordPress/gutenberg/pull/58123))
- Update documentation to avoid recommending early return PHP "anti-pattern". ([58454](https://github.com/WordPress/gutenberg/pull/58454))
- Update to rename reusable blocks. ([58633](https://github.com/WordPress/gutenberg/pull/58633))
- Update versions-in-wordpress.md. ([58545](https://github.com/WordPress/gutenberg/pull/58545))
- fix: InnerBlocks schema description in block.json. ([58649](https://github.com/WordPress/gutenberg/pull/58649))


### Code Quality

- Avoid running pattern overrides migration in WordPress core. ([58487](https://github.com/WordPress/gutenberg/pull/58487))
- Build: Add package build shebang and sync comments. ([58264](https://github.com/WordPress/gutenberg/pull/58264))
- Date: Merge 6.4 and 6.5 compat files. ([58479](https://github.com/WordPress/gutenberg/pull/58479))
- DefaultBlockAppender: Refactor to hooks. ([58809](https://github.com/WordPress/gutenberg/pull/58809))
- Docs: Clarify the non contextual post types. ([58836](https://github.com/WordPress/gutenberg/pull/58836))
- Layout block supports use `str_contains`. ([58251](https://github.com/WordPress/gutenberg/pull/58251))
- Move Nav Link PHPUnit tests to blocks directory. ([58460](https://github.com/WordPress/gutenberg/pull/58460))

#### Font Library
- Address feedback from wordpress-develop#6027. ([58691](https://github.com/WordPress/gutenberg/pull/58691))
- Fix font library unit tests nit-picks [round 2]. ([58612](https://github.com/WordPress/gutenberg/pull/58612))
- Font Collections: Standardizes docblock comments. ([58654](https://github.com/WordPress/gutenberg/pull/58654))
- Font Library Address Outstanding Feedback from WP 6.4 review. ([58675](https://github.com/WordPress/gutenberg/pull/58675))
- Move Fonts Library to compat dir for 6.5. ([58608](https://github.com/WordPress/gutenberg/pull/58608))
- Remove font family and font face preview keys from theme.json schema. ([58395](https://github.com/WordPress/gutenberg/pull/58395))
- Remove old and unused component and css. ([58449](https://github.com/WordPress/gutenberg/pull/58449))
- Remove slug from collection schema to accommodate the changes on the wp_register_font_collection function signature. ([58623](https://github.com/WordPress/gutenberg/pull/58623))
- Remove tests from classes that were already merged in core. ([58752](https://github.com/WordPress/gutenberg/pull/58752))
- Remove tests from font library rest controllers already merged into core. ([58778](https://github.com/WordPress/gutenberg/pull/58778))
- Return null if a font collection is not registered. ([58735](https://github.com/WordPress/gutenberg/pull/58735))
- Simplify font collection schema. ([58574](https://github.com/WordPress/gutenberg/pull/58574))
- Update Font Library REST API code to align with Core standards. ([58619](https://github.com/WordPress/gutenberg/pull/58619))
- Update Font Library non-REST API code to align with Core standards. ([58607](https://github.com/WordPress/gutenberg/pull/58607))
- Update font collection json schema. ([58413](https://github.com/WordPress/gutenberg/pull/58413))
- Update fonts collection data URL for Gutenberg 17.7. ([58746](https://github.com/WordPress/gutenberg/pull/58746))
- Use Button's API to disable footer buttons. ([58529](https://github.com/WordPress/gutenberg/pull/58529))
- [Font Library] Update PHPUnit tests per Core coding standards and practices. ([58502](https://github.com/WordPress/gutenberg/pull/58502))

#### Components
- Add eslint rule for theme var regressions. ([58130](https://github.com/WordPress/gutenberg/pull/58130))
- Add stylelint rule for theme var regressions. ([58098](https://github.com/WordPress/gutenberg/pull/58098))
- AnglePickerControl: Hard deprecate bottom margin. ([58700](https://github.com/WordPress/gutenberg/pull/58700))
- CustomGradientPicker: Hard deprecate outer margins. ([58699](https://github.com/WordPress/gutenberg/pull/58699))
- FontSizePicker: Hard deprecate bottom margin. ([58702](https://github.com/WordPress/gutenberg/pull/58702))
- GradientPicker: Hard deprecate outer margins. ([58701](https://github.com/WordPress/gutenberg/pull/58701))
- Remove deprecation warnings for `__next36pxDefaultSize`. ([58703](https://github.com/WordPress/gutenberg/pull/58703))

#### Block Library
- Interactivity API - Blocks: Move interactivity registration to render. ([58678](https://github.com/WordPress/gutenberg/pull/58678))
- Navigation: Move the Navigation block rendering tests to the blocks directory. ([58247](https://github.com/WordPress/gutenberg/pull/58247))
- Navigation: Remove use of Gutenberg_Navigation_Fallback class. ([58369](https://github.com/WordPress/gutenberg/pull/58369))
- Paragraph: Update comment block. ([58419](https://github.com/WordPress/gutenberg/pull/58419))
- Rename variation build methods. ([58538](https://github.com/WordPress/gutenberg/pull/58538))
- Template Part: Derive 'hasInnerBlocks' inside selector. ([58680](https://github.com/WordPress/gutenberg/pull/58680))

#### Block Editor
- Block Switcher: Don't use the 'useBlockDisplayInformation' hook. ([58562](https://github.com/WordPress/gutenberg/pull/58562))
- BlockSelectionButton: Don't use the 'useBlockDisplayInformation' hook. ([58640](https://github.com/WordPress/gutenberg/pull/58640))
- Link Control: Simplify the sprintf. ([58831](https://github.com/WordPress/gutenberg/pull/58831))
- RichTextData: Use a private property. ([58557](https://github.com/WordPress/gutenberg/pull/58557))

#### Post Editor
- Editor Settings: Rename the getPostLinkProps setting. ([58416](https://github.com/WordPress/gutenberg/pull/58416))
- Editor: Reuse data query in the post author components. ([58760](https://github.com/WordPress/gutenberg/pull/58760))
- Editor: Use hooks instead of HoCs in the post-taxonomies components. ([58446](https://github.com/WordPress/gutenberg/pull/58446))
- Fix: Refactor pre publish panel to use function component instead of class. ([58441](https://github.com/WordPress/gutenberg/pull/58441))

#### Custom Fields
- Block Bindings: Remove unneeded 'setAttributes' override. ([58806](https://github.com/WordPress/gutenberg/pull/58806))

#### Patterns
- Pattern overrides: Update overrides attribute data structure and rename it to `content`. ([58596](https://github.com/WordPress/gutenberg/pull/58596))


### Tools

- Add BlockJsonDependenciesPlugin to modules build. ([57927](https://github.com/WordPress/gutenberg/pull/57927))
- DEWP: Fix script module import field. ([58770](https://github.com/WordPress/gutenberg/pull/58770))
- Introduce a Props Bot workflow. ([58576](https://github.com/WordPress/gutenberg/pull/58576))
- More refinements to Props Bot run conditions. ([58617](https://github.com/WordPress/gutenberg/pull/58617))
- Refine when Props Bot runs. ([58616](https://github.com/WordPress/gutenberg/pull/58616))
- Remove noahtallen from .wp-env codeowners. ([58283](https://github.com/WordPress/gutenberg/pull/58283))
- Scripts: Add viewScriptModule block.json support. ([58203](https://github.com/WordPress/gutenberg/pull/58203))

#### Testing
- "Multiple use" block validation logic improvement [with Playwright]. ([57576](https://github.com/WordPress/gutenberg/pull/57576))
- Block Bindings: Add block bindings end-to-end tests. ([58550](https://github.com/WordPress/gutenberg/pull/58550))
- Block Bindings: Add tests for the frontend and polish the existing ones. ([58676](https://github.com/WordPress/gutenberg/pull/58676))
- Block Bindings: Improve the code of the block bindings tests. ([58785](https://github.com/WordPress/gutenberg/pull/58785))
- Button: Add focusable disabled variant to vizreg Storybook. ([58634](https://github.com/WordPress/gutenberg/pull/58634))
- CustomSelect: Add tests for new features. ([58583](https://github.com/WordPress/gutenberg/pull/58583))
- Fix flaky test of data-wp-on-window directive. ([58642](https://github.com/WordPress/gutenberg/pull/58642))
- Flaky Test: Fix "directives inside islands should not be hydrated twice". ([58516](https://github.com/WordPress/gutenberg/pull/58516))
- Interactivity API: Fix flaky test in `data-wp-on-document`. ([58668](https://github.com/WordPress/gutenberg/pull/58668))
- Migrate remaining 'inserting blocks' end-to-end tests to Playwright. ([58108](https://github.com/WordPress/gutenberg/pull/58108))
- Migrate remaining 'pattern block' end-to-end tests to Playwright. ([58486](https://github.com/WordPress/gutenberg/pull/58486))
- SearchControl: Add unit tests. ([58693](https://github.com/WordPress/gutenberg/pull/58693))
- Try fixing flaky 'inserting blocks' end-to-end tests. ([58848](https://github.com/WordPress/gutenberg/pull/58848))
- Try fixing flaky Paragraph block end-to-end test. ([58208](https://github.com/WordPress/gutenberg/pull/58208))
- Use toBeDisabled instead of aria-disabled check. ([58694](https://github.com/WordPress/gutenberg/pull/58694))
- e2e: Add a test to confirm that the focus moves from the post title to the paragraph using the enter key. ([58872](https://github.com/WordPress/gutenberg/pull/58872))
- end-to-end Utils: Ensure deleteAllUsers does not delete current user. ([58320](https://github.com/WordPress/gutenberg/pull/58320))

#### Build Tooling
- Add missing Interactivity API label to changelog script. ([58879](https://github.com/WordPress/gutenberg/pull/58879))
- Enable dynamic import transform for React Native tests. ([58546](https://github.com/WordPress/gutenberg/pull/58546))
- Fix: Remove mention of weekly meeting from first time contributor PR label. ([58547](https://github.com/WordPress/gutenberg/pull/58547))
- Interactivity API: Move Core implementation to compat 6.5 folder. ([58829](https://github.com/WordPress/gutenberg/pull/58829))
- Remove phpunit tests for features backported to Core. ([58776](https://github.com/WordPress/gutenberg/pull/58776))
- Update Performance tests base branch. ([58890](https://github.com/WordPress/gutenberg/pull/58890))
- Workflows: Add 'Technical Prototype' to the type-related labels list. ([58163](https://github.com/WordPress/gutenberg/pull/58163))


### Security

#### Font Library
- Sanitize font collection data. ([58636](https://github.com/WordPress/gutenberg/pull/58636))

#### REST API
- Font Library REST API: Sanitize font family and font face settings. ([58590](https://github.com/WordPress/gutenberg/pull/58590))


### Various

- Script loader 6.4 compat: Check for init hook completion. ([58406](https://github.com/WordPress/gutenberg/pull/58406))

#### Font Library
- Code style and code quality feedback from core 6.5 review. ([58736](https://github.com/WordPress/gutenberg/pull/58736))
- Move getAllowedMimeTypes to FontUtils. ([58667](https://github.com/WordPress/gutenberg/pull/58667))
- Refactor as a singleton. ([58669](https://github.com/WordPress/gutenberg/pull/58669))

#### Components
- Removing Reakit `Composite` implementation. ([58620](https://github.com/WordPress/gutenberg/pull/58620))
- Removing Reakit as a dependency. ([58631](https://github.com/WordPress/gutenberg/pull/58631))
- Update the Snackbar warning message. ([58591](https://github.com/WordPress/gutenberg/pull/58591))

#### Global Styles
- Always output core block global styles after base global styles. ([58761](https://github.com/WordPress/gutenberg/pull/58761))
- Backport theme.json tests from Core. ([58476](https://github.com/WordPress/gutenberg/pull/58476))

#### Block Library
- Reduce label and fix capitalization for image block upload label. ([58677](https://github.com/WordPress/gutenberg/pull/58677))
- Separator: Remove border-bottom property. ([55725](https://github.com/WordPress/gutenberg/pull/55725))

#### Patterns
- Update pattern copy to Synced instead of Fully Synced. ([58876](https://github.com/WordPress/gutenberg/pull/58876))

#### Block API
- ViewScriptModule: 6.5 compatibility changes. ([58832](https://github.com/WordPress/gutenberg/pull/58832))

#### Custom Fields
- Block Bindings: Backport block bindings refactor from WordPress core. ([58683](https://github.com/WordPress/gutenberg/pull/58683))

#### Inspector Controls
- Change cover block's "Media settings" label to "Settings". ([58463](https://github.com/WordPress/gutenberg/pull/58463))


## First time contributors

The following PRs were merged by first time contributors:

- @at-benni: Update versions-in-wordpress.md. ([58545](https://github.com/WordPress/gutenberg/pull/58545))
- @krupal-panchal: Removed extra parenthesis from document. ([58662](https://github.com/WordPress/gutenberg/pull/58662))
- @shreyash3087: fix: InnerBlocks schema description in block.json. ([58649](https://github.com/WordPress/gutenberg/pull/58649))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @afercia @ajlende @andrewhayward @andrewserong @annezazu @anton-vlasenko @antonis @aristath @artemiomorales @at-benni @brookewp @c4rl0sbr4v0 @carolinan @chad1008 @ciampo @creativecoder @DAreRodz @dcalhoun @dd32 @derekblank @desrosj @draganescu @ellatrix @fabiankaegy @fai-sal @fluiddot @gaambo @getdave @glendaviesnz @hellofromtonya @ironprogrammer @jameskoster @jasmussen @jeherve @jeryj @jorgefilipecosta @jsnajdr @kevin940726 @krupal-panchal @luisherranz @madhusudhand @MaggieCabrera @Mamaduka @matiasbenedetto @mikachan @mirka @ndiego @noahtallen @noisysocks @ntsekouras @oandregal @ockham @pbking @ramonjd @retrofox @richtabor @SantosGuillamot @scruffian @shreyash3087 @sirreal @t-hamano @talldan @tellthemachines @tjcafferkey @tomjn @tyxla @vcanales @westonruter @WunderBart @youknowriad


= 17.6.5 =


## Changelog

### Bug Fixes

#### Script Modules API
- Import Maps: Only emit CDATA wrappers for inline scripts for JavaScript. ([58859](https://github.com/WordPress/gutenberg/pull/58859))




## Contributors

The following contributors merged PRs in this release:

@c4rl0sbr4v0


= 17.6.4 =

### Bug Fixes

 - Compatibility with WordPress trunk: Do not register font collections if already registered by Core.


= 17.6.3 =

## Changelog

### Bug Fixes

#### Block Editor
- Navigation: Update the fallback block list to avoid a PHP Warning ([58588](https://github.com/WordPress/gutenberg/pull/58588))

## Contributors

The following contributors merged PRs in this release:

@dd32 


= 17.6.2 =


## Changelog

### Bug Fixes

#### Block Editor
- Writing flow: Maintain correct selection after drag-selecting outside block. ([58684](https://github.com/WordPress/gutenberg/pull/58684))
- useOnBlockDrop: Fix TypeError via array coercion. ([58686](https://github.com/WordPress/gutenberg/pull/58686))




## Contributors

The following contributors merged PRs in this release:

@ellatrix @mcsf


= 17.6.1 =


## Changelog

### Font Library

- Make the API compatible with the upcoming Core patch. ([58671](https://github.com/WordPress/gutenberg/pull/58671))


## Contributors

The following contributors merged PRs in this release:

@youknowriad


= 17.6.0 =

## Changelog

### Features

#### Interactivity API
- Add `wp-data-on-window` and `wp-data-on-document` directives. ([57931](https://github.com/WordPress/gutenberg/pull/57931))
- Add `wp-each` directive. ([57859](https://github.com/WordPress/gutenberg/pull/57859))
- Add `wp-run` directive and `useInit` & `useWatch` hooks. ([57805](https://github.com/WordPress/gutenberg/pull/57805))
- Create `@wordpress/interactivity-router` module. ([57924](https://github.com/WordPress/gutenberg/pull/57924))

#### Typography
- Add defaultFontSizes option to theme.json. ([56661](https://github.com/WordPress/gutenberg/pull/56661))

#### Font Library
- Font Library: Add wp_get_font_dir() function. ([57730](https://github.com/WordPress/gutenberg/pull/57730))

#### Custom Fields
- Block Bindings: Disable editing of bound block attributes in editor UI. ([58085](https://github.com/WordPress/gutenberg/pull/58085))

#### Block Editor
- Add effects/box shadow tools to block inspector. ([57654](https://github.com/WordPress/gutenberg/pull/57654))


### Enhancements

#### Components
-  Add opt-in prop for 40px default size for `BoxControl`, `BorderControl`, and `BorderBoxControl`. ([56185](https://github.com/WordPress/gutenberg/pull/56185))
- BorderControl: Replace style picker with ToggleGroupControl. ([57562](https://github.com/WordPress/gutenberg/pull/57562))
- ColorPicker: Store internal HSLA state for better slider UX. ([57555](https://github.com/WordPress/gutenberg/pull/57555))
- Migrate PaletteEdit and CircularOptionPicker tests from user-event to ariakit/test. ([57809](https://github.com/WordPress/gutenberg/pull/57809))
- Replace `TabPanel` with `Tabs` in the Editor Preferences Modal. ([57293](https://github.com/WordPress/gutenberg/pull/57293))
- Theme: Set `color` on wrapper. ([58095](https://github.com/WordPress/gutenberg/pull/58095))
- Tooltip: No-op when nested inside another Tooltip component. ([57202](https://github.com/WordPress/gutenberg/pull/57202))
- `BoxControl`: Update design. ([56665](https://github.com/WordPress/gutenberg/pull/56665))
- Element: Start reexporting PureComponent. ([58076](https://github.com/WordPress/gutenberg/pull/58076))

#### Interactivity API
- Render the root interactive blocks. ([57729](https://github.com/WordPress/gutenberg/pull/57729))
- Interactivity Router: Replace `data-wp-navigation-id` with `data-wp-router-region`. ([58191](https://github.com/WordPress/gutenberg/pull/58191))
- Interactivity: Export `withScope()` and allow to use it with asynchronous operations. ([58013](https://github.com/WordPress/gutenberg/pull/58013))
- Prevent the use of components in `wp-text`. ([57879](https://github.com/WordPress/gutenberg/pull/57879))
- Remove wp-data-navigation-link directive. ([57853](https://github.com/WordPress/gutenberg/pull/57853))
- Server Directive Processing Refactor. ([58066](https://github.com/WordPress/gutenberg/pull/58066))
- Update `preact`, `@preact/signals` and `deepsignal` dependencies. ([57891](https://github.com/WordPress/gutenberg/pull/57891))

#### Block Editor
- Add copy link button to Link UI. ([58170](https://github.com/WordPress/gutenberg/pull/58170))
- Improve LinkControl preview. ([57775](https://github.com/WordPress/gutenberg/pull/57775))
- Keep Link UI open upon initial link creation when used in RichText. ([57726](https://github.com/WordPress/gutenberg/pull/57726))
- List View: Displace list view items when dragging (a bit more WYSIWYG). ([56625](https://github.com/WordPress/gutenberg/pull/56625))
- Show initial suggestions in rich text Link UI. ([57743](https://github.com/WordPress/gutenberg/pull/57743))
- Disable lock button if user cannot control lock state. ([57274](https://github.com/WordPress/gutenberg/pull/57274))
- Use ClipboardJS latest version and clean up focus loss workaround. ([57156](https://github.com/WordPress/gutenberg/pull/57156))
- Dimensions: Add Aspect Ratio block support. ([56897](https://github.com/WordPress/gutenberg/pull/56897))

#### Block Library
- Add more taxonomy options to the post navigation link. ([48912](https://github.com/WordPress/gutenberg/pull/48912))
- Add: Footnotes support for other CPT's. ([57353](https://github.com/WordPress/gutenberg/pull/57353))
- Better navigation link variations for post types / taxonomies. ([56100](https://github.com/WordPress/gutenberg/pull/56100))
- Remove "blocks" from copy and delete labels. ([57769](https://github.com/WordPress/gutenberg/pull/57769))
- Pullquote Block: Add padding and margin support. ([45731](https://github.com/WordPress/gutenberg/pull/45731))
- Video Block: Add raw transformation from `video` html. ([47159](https://github.com/WordPress/gutenberg/pull/47159))
- Aspect ratio: Remove support on the Group block for now. ([58414](https://github.com/WordPress/gutenberg/pull/58414))
- Image block: Move UI for lightbox from sidebar to the content toolbar alongside link settings. ([57608](https://github.com/WordPress/gutenberg/pull/57608))


#### Data Views
- DataViews: Enable grid layout for templates & parts by default. ([58137](https://github.com/WordPress/gutenberg/pull/58137))
- DataViews: Make dataviews powered page patterns stable. ([58139](https://github.com/WordPress/gutenberg/pull/58139))
- DataViews: Make the "Manage Pages" stable. ([58166](https://github.com/WordPress/gutenberg/pull/58166))
- Dataviews: Add Bulk actions to page. ([57826](https://github.com/WordPress/gutenberg/pull/57826))

#### Site Editor
- Group templates in sidebar list. ([57711](https://github.com/WordPress/gutenberg/pull/57711))
- Initial routing refactoring to separate preview from list view. ([57938](https://github.com/WordPress/gutenberg/pull/57938))
- Iterate on warning text for block removal for query/post template/post content. ([58138](https://github.com/WordPress/gutenberg/pull/58138))
- Site editor: Add global styles changes to save flow. ([57470](https://github.com/WordPress/gutenberg/pull/57470))
- Editor: Unify the Editor Mode preference. ([57642](https://github.com/WordPress/gutenberg/pull/57642))
- Live Preview: Show the current theme name on the theme activation modal. ([57588](https://github.com/WordPress/gutenberg/pull/57588))
- Unify the preferences modal UI between post and site editor. ([57639](https://github.com/WordPress/gutenberg/pull/57639))
- Remove right negative margin from pinned items. ([57666](https://github.com/WordPress/gutenberg/pull/57666))
- Update style revision top toolbar text. ([58057](https://github.com/WordPress/gutenberg/pull/58057))

#### Block API
- Block Bindings: Update source registration syntax and remove APIs that should be private. ([58205](https://github.com/WordPress/gutenberg/pull/58205))
- Block Hooks: Do not remove toggle if hooked block is present elsewhere. ([57928](https://github.com/WordPress/gutenberg/pull/57928))

#### Synced Patterns
- Add basic pattern overrides end-to-end tests. ([57792](https://github.com/WordPress/gutenberg/pull/57792))
- Use a patch format and support `linkTarget` of `core/button` for Pattern Overrides. ([58165](https://github.com/WordPress/gutenberg/pull/58165))

#### Patterns
- Add image block support for pattern overrides. ([57909](https://github.com/WordPress/gutenberg/pull/57909))
- Outline editable blocks that are within a content-locked container. ([57901](https://github.com/WordPress/gutenberg/pull/57901))
- Change text on pattern reset button. ([58286](https://github.com/WordPress/gutenberg/pull/58286))

#### Post Editor
- Post Lock: Use the new modal size preset. ([58197](https://github.com/WordPress/gutenberg/pull/58197))
- Add description to the save panel header when nothing is checked. ([57716](https://github.com/WordPress/gutenberg/pull/57716))

#### Font Library
- Update the default collection data URL to the wordpress.org cdn. ([58186](https://github.com/WordPress/gutenberg/pull/58186))
- Font Library: Refactor stylesheet using CSS variables ([58237](https://github.com/WordPress/gutenberg/pull/58237))
- Font Library Modal: Reset the selected font when installing a new font. ([57817](https://github.com/WordPress/gutenberg/pull/57817))
- Font Library: Disable font library UI using a PHP filter. ([57818](https://github.com/WordPress/gutenberg/pull/57818))
- Font Library: Filter fonts upload directory. ([57697](https://github.com/WordPress/gutenberg/pull/57697))
- Font Library: Use data or src file to define font collection data. ([57734](https://github.com/WordPress/gutenberg/pull/57734))
- Improve font collection rest controller. ([58222](https://github.com/WordPress/gutenberg/pull/58222))
- Make notices more consistent. ([58180](https://github.com/WordPress/gutenberg/pull/58180))
- Updates Font Families and Font Faces endpoints context param. ([58287](https://github.com/WordPress/gutenberg/pull/58287))

#### Commands
- Minor command tweaks. ([58148](https://github.com/WordPress/gutenberg/pull/58148))

#### Extensibility
- Update Navigation block to render hooked inner blocks. ([57754](https://github.com/WordPress/gutenberg/pull/57754))
- Add gettext content when translating 'Header'. ([51066](https://github.com/WordPress/gutenberg/pull/51066))

#### Template Editor
- Remove `template-only` mode from editor and edit-post packages. ([57700](https://github.com/WordPress/gutenberg/pull/57700))

### New APIs

#### Block API
- Block Bindings API: Add block bindings PHP registration mechanisms and "Post meta" source under the experimental flag. ([57249](https://github.com/WordPress/gutenberg/pull/57249))
- Block Bindings API: Refactor logic into Block Bindings class and singleton pattern. ([57742](https://github.com/WordPress/gutenberg/pull/57742))


### Bug Fixes

#### Block Library
- Avatar block: Fix broken aligments in the editor. ([58114](https://github.com/WordPress/gutenberg/pull/58114))
- Embed Block: Fix retry processing when embedding with trailing slash fails. ([58007](https://github.com/WordPress/gutenberg/pull/58007))
- Lightbox: Fix "Expand on click" control being disabled unintentionally. ([56053](https://github.com/WordPress/gutenberg/pull/56053))
- Modified Date Block: Don't render change date tool. ([57914](https://github.com/WordPress/gutenberg/pull/57914))
- Only prioritise Quote transform where relevant. ([57749](https://github.com/WordPress/gutenberg/pull/57749))
- Query Loop: Fix posts list variation detection. ([58194](https://github.com/WordPress/gutenberg/pull/58194))
- Block Hooks API: Update Navigation block feature gate. ([58388](https://github.com/WordPress/gutenberg/pull/58388))

#### Components
- Button: Always render the Tooltip component even when a tooltip should not be shown. ([56490](https://github.com/WordPress/gutenberg/pull/56490))
- CustomSelect: Adjust `renderSelectedValue` to fix sizing. ([57865](https://github.com/WordPress/gutenberg/pull/57865))
- ToggleGroupControl: Improve controlled value detection. ([57770](https://github.com/WordPress/gutenberg/pull/57770))
- Tooltip: Accept specific tooltip props. ([58125](https://github.com/WordPress/gutenberg/pull/58125))
- Tooltip: Forward and merge inner tooltip props correctly. ([57878](https://github.com/WordPress/gutenberg/pull/57878))
- Bring back the chevron. ([57807](https://github.com/WordPress/gutenberg/pull/57807))
- Preferences: Add a proxy to retrieve the deprecated preferences with a deprecation message. ([58016](https://github.com/WordPress/gutenberg/pull/58016))

#### Data Views
- DataViews: Default sort order in templates by title. ([58175](https://github.com/WordPress/gutenberg/pull/58175))
- DataViews: Don't always display horizontal scrollbar. ([58101](https://github.com/WordPress/gutenberg/pull/58101))
- DataViews: Fix author sorting in templates and template parts. ([58167](https://github.com/WordPress/gutenberg/pull/58167))
- Remove unused argument from sprintf in pagination.js. ([57823](https://github.com/WordPress/gutenberg/pull/57823))
- DataViews: Fix safari grid row height issue. ([58302](https://github.com/WordPress/gutenberg/pull/58302))
- DataViews: Fix table view cell wrapper and BlockPreviews. ([58062](https://github.com/WordPress/gutenberg/pull/58062))

#### Patterns
- Add black border back when editing synced pattern in the post editor. ([57631](https://github.com/WordPress/gutenberg/pull/57631))
- Outline editable blocks when in a pattern that has locked children. ([57991](https://github.com/WordPress/gutenberg/pull/57991))
- Remove text align control for paragraph, heading, and button in contentOnly editing mode. ([57906](https://github.com/WordPress/gutenberg/pull/57906))
- Pattern Categories: Fix capitalization. ([58112](https://github.com/WordPress/gutenberg/pull/58112))
- Fix flaky "create a new pattern" test. ([57747](https://github.com/WordPress/gutenberg/pull/57747))
- Block Bindings: Fix bindings image placeholder showing in patterns overrides. ([58252](https://github.com/WordPress/gutenberg/pull/58252))

#### List View
- Image Block: Make block name affect list view. ([57955](https://github.com/WordPress/gutenberg/pull/57955))
- More Block: Make block name affect list view. ([58160](https://github.com/WordPress/gutenberg/pull/58160))

#### Block API
- Block Hooks: Fix toggle. ([57956](https://github.com/WordPress/gutenberg/pull/57956))
- Fix formats not working in block bindings content. ([58055](https://github.com/WordPress/gutenberg/pull/58055))

#### Global Styles
- Correctly decode border color values. ([57876](https://github.com/WordPress/gutenberg/pull/57876))
- Fix: Theme.json application of custom root selector for styles. ([58050](https://github.com/WordPress/gutenberg/pull/58050))

#### Data Layer
- Data: Allow binding registry selector to multiple registries. ([57943](https://github.com/WordPress/gutenberg/pull/57943))
- Data: Fix memoized createRegistrySelector. ([57888](https://github.com/WordPress/gutenberg/pull/57888))

#### Typography
- #56734 When there is no font, the border should not appear. Display further guidance text. ([56825](https://github.com/WordPress/gutenberg/pull/56825))
- Fluid typography: Do not calculate fluid font size when min and max viewport widths are equal. ([57866](https://github.com/WordPress/gutenberg/pull/57866))

#### Block Editor
- Fix regression: Content locking does not stops when an outside block is selected. ([57737](https://github.com/WordPress/gutenberg/pull/57737))
- LinkControl: Remove unnecessary right padding of input fields. ([57784](https://github.com/WordPress/gutenberg/pull/57784))

#### Custom Fields
- Block Bindings: Fix button popover not showing in patterns. ([58219](https://github.com/WordPress/gutenberg/pull/58219))

#### Font Library
- Fix typo. ([58193](https://github.com/WordPress/gutenberg/pull/58193))
- Removed <header> <main> and <footer> elements from Font Library Modal ([58221](https://github.com/WordPress/gutenberg/pull/58221))

#### Synced Patterns
- Fix losing overrides after detaching patterns. ([58164](https://github.com/WordPress/gutenberg/pull/58164))

#### Interactivity API
- Prevent `wp-data-on=""` from creating `onDefault` handlers. ([57925](https://github.com/WordPress/gutenberg/pull/57925))
- Prevent usage of `gutenberg_url` in block-library ([58242](https://github.com/WordPress/gutenberg/pull/58242))
- Interactivity API: Fix data-wp-on-document flaky test. ([58008](https://github.com/WordPress/gutenberg/pull/58008))
- Interactivity API: Fix flaky test on-window. ([58134](https://github.com/WordPress/gutenberg/pull/58134))
- Fix flaky test on-window, remove duplicate expect on-document. ([58181](https://github.com/WordPress/gutenberg/pull/58181))
- Interactivity: Fix broken react usage in published package. ([58258](https://github.com/WordPress/gutenberg/pull/58258))

#### CSS & Styling
- Styles revisions: Remove body padding. ([57748](https://github.com/WordPress/gutenberg/pull/57748))

#### Templates API
- Fix visual indication of switch to default template in the post editor. ([57718](https://github.com/WordPress/gutenberg/pull/57718))

#### Site Editor
- (editor)(fix) Append the `edit-post-header-toolbar` class in NavigableToolbar for backward compatibility with plugin GUI injections. ([58154](https://github.com/WordPress/gutenberg/pull/58154))
- Fix site editor layout regressions. ([58077](https://github.com/WordPress/gutenberg/pull/58077))


### Accessibility

#### Site Editor
- Fix font variants count color contrast ratio and l10n. ([58117](https://github.com/WordPress/gutenberg/pull/58117))
- Make the site hub View Site link always visible. ([57423](https://github.com/WordPress/gutenberg/pull/57423))

#### Block Editor
- Fix parent selector button focus style and metrics. ([57728](https://github.com/WordPress/gutenberg/pull/57728))
- Restore visual separator between mover buttons when show button label is on. ([57640](https://github.com/WordPress/gutenberg/pull/57640))

#### Widgets Editor
- Fix Widgets page Undo and Redo accessibility and keyboard interaction. ([57677](https://github.com/WordPress/gutenberg/pull/57677))


### Performance

- Add patterns load test. ([57828](https://github.com/WordPress/gutenberg/pull/57828))
- Block editor: Avoid list re-rendering on select. ([57188](https://github.com/WordPress/gutenberg/pull/57188))
- Block editor: Don't register shortcuts for preview editors. ([57984](https://github.com/WordPress/gutenberg/pull/57984))
- Block editor: Fix performance regression after #57950. ([57971](https://github.com/WordPress/gutenberg/pull/57971))
- Block editor: Use context for useBlockEditingMode. ([57950](https://github.com/WordPress/gutenberg/pull/57950))
- BlockSwitcher: Defer transform calculations until the Dropdown is open. ([57892](https://github.com/WordPress/gutenberg/pull/57892))
- Call variation through callback so it's only loaded when needed - in support of  trac 59969. ([56952](https://github.com/WordPress/gutenberg/pull/56952))
- Editor styles: Cache transform. ([57810](https://github.com/WordPress/gutenberg/pull/57810))
- Footnotes: Combine format store subscription. ([58129](https://github.com/WordPress/gutenberg/pull/58129))
- Iframe: Calc compat styles once per page load. ([57798](https://github.com/WordPress/gutenberg/pull/57798))
- Measure typing with the top toolbar enabled. ([57709](https://github.com/WordPress/gutenberg/pull/57709))
- Meta boxes: Don't initialise if there are none. ([57182](https://github.com/WordPress/gutenberg/pull/57182))
- Patterns: Avoid fetching on load. ([57999](https://github.com/WordPress/gutenberg/pull/57999))
- Site editor: Avoid fetching themes on load. ([57985](https://github.com/WordPress/gutenberg/pull/57985))
- Site editor: Reduce artificial loading delay from 1s to 100ms. ([57953](https://github.com/WordPress/gutenberg/pull/57953))
- Site editor: Remove store subscription per block. ([57995](https://github.com/WordPress/gutenberg/pull/57995))
- Template Part & Query: Avoid server requests on mount. ([57987](https://github.com/WordPress/gutenberg/pull/57987))
- Template part block: Avoid parsing ALL patterns on mount. ([57856](https://github.com/WordPress/gutenberg/pull/57856))

#### Block Editor
- Revert "Block editor: Avoid list re-rendering on select". ([58147](https://github.com/WordPress/gutenberg/pull/58147))

#### Post Editor
- Editor: Use hooks instead of HoCs for `EditorNotices`. ([57772](https://github.com/WordPress/gutenberg/pull/57772))


### Experiments

#### Data Views
- Add: Bulk actions to dataviews with the new design. ([57255](https://github.com/WordPress/gutenberg/pull/57255))
- Data view list layout: Fix thumbnail dimensions. ([57774](https://github.com/WordPress/gutenberg/pull/57774))
- Data views table layout: Update cell vertical alignment. ([57804](https://github.com/WordPress/gutenberg/pull/57804))
- DataViews: Add description to pages. ([57793](https://github.com/WordPress/gutenberg/pull/57793))
- DataViews: Add front page to pages page sidebar. ([57759](https://github.com/WordPress/gutenberg/pull/57759))
- DataViews: Better management of `layout` param in templates. ([58116](https://github.com/WordPress/gutenberg/pull/58116))
- DataViews: Make list layout the default for templates with the experiment enabled. ([57933](https://github.com/WordPress/gutenberg/pull/57933))
- DataViews: Revert list view as default for pages. ([58081](https://github.com/WordPress/gutenberg/pull/58081))
- DataViews: Revert list view as default for templates. ([58079](https://github.com/WordPress/gutenberg/pull/58079))
- DataViews: Set primary field styles. ([57846](https://github.com/WordPress/gutenberg/pull/57846))
- DataViews: Show loading / no result message for the list layout. ([57764](https://github.com/WordPress/gutenberg/pull/57764))
- DataViews: Update template parts view. ([57952](https://github.com/WordPress/gutenberg/pull/57952))
- DataViews: Use button for patterns, pages and templates preview field. ([58071](https://github.com/WordPress/gutenberg/pull/58071))
- DataViews: Use table layout for templates when experiment disabled. ([57960](https://github.com/WordPress/gutenberg/pull/57960))
- Stabilise view options button icon. ([57964](https://github.com/WordPress/gutenberg/pull/57964))
- Update Grid layout design. ([57880](https://github.com/WordPress/gutenberg/pull/57880))
- Update Pages preview field display. ([57919](https://github.com/WordPress/gutenberg/pull/57919))
- Update Templates table layout. ([57930](https://github.com/WordPress/gutenberg/pull/57930))
- Update: Show template sources on templates Dataviews sidebar. ([58124](https://github.com/WordPress/gutenberg/pull/58124))

#### Synced Patterns
- Add a control to reset pattern overrides. ([57845](https://github.com/WordPress/gutenberg/pull/57845))
- Allow heading and button in Pattern Overrides. ([57789](https://github.com/WordPress/gutenberg/pull/57789))

#### Typography
- Download then upload font face assets when installing from a collection. ([57694](https://github.com/WordPress/gutenberg/pull/57694))
- Use `slug` instead of `id` for Font Collection. ([57735](https://github.com/WordPress/gutenberg/pull/57735))

#### REST API
- Font Library Refactor. ([57688](https://github.com/WordPress/gutenberg/pull/57688))

#### Block Editor
- Allow drag and drop to create Rows and Galleries. ([56186](https://github.com/WordPress/gutenberg/pull/56186))


### Documentation

- Add a video demonstration to the Quick Start Guide. ([57834](https://github.com/WordPress/gutenberg/pull/57834))
- Button: Improve `disabled`-related prop descriptions. ([57864](https://github.com/WordPress/gutenberg/pull/57864))
- Components: Move CHANGELOG entries under the correct release. ([57885](https://github.com/WordPress/gutenberg/pull/57885))
- Docs: Fix typo in "The block wrapper" document. ([58106](https://github.com/WordPress/gutenberg/pull/58106))
- Docs: Use 'key' in 'editor.BlockEdit' filter code examples. ([58119](https://github.com/WordPress/gutenberg/pull/58119))
- Document files/directories requiring backmerging to WP Core for major release. ([58064](https://github.com/WordPress/gutenberg/pull/58064))
- Fix the iframe markup of the embed video in the Quick Start Guide. ([57857](https://github.com/WordPress/gutenberg/pull/57857))
- Fix: Link to the nodejs release page. ([57816](https://github.com/WordPress/gutenberg/pull/57816))
- Fix: Typo on BlockListBlock comments. ([57814](https://github.com/WordPress/gutenberg/pull/57814))
- Fix: Typos on __unstableSetTemporarilyEditingAsBlocks documentation. ([57768](https://github.com/WordPress/gutenberg/pull/57768))
- Font Library: Add font collection JSON schema. ([57736](https://github.com/WordPress/gutenberg/pull/57736))
- Prefixes all php filters with wpdocs_. ([53914](https://github.com/WordPress/gutenberg/pull/53914))
- Remove the unnecessary TOC and fix grammar/formatting in the Patterns doc. ([57825](https://github.com/WordPress/gutenberg/pull/57825))
- Remove the 👋 emoji from the Block Editor Handbook. ([58023](https://github.com/WordPress/gutenberg/pull/58023))
- Update versions-in-wordpress.md. ([57916](https://github.com/WordPress/gutenberg/pull/57916))
- [Type] Developer Documentation - Fix removeAllNotices dispatch on the removeAllNotices doc section of @wordpress/notices. ([57436](https://github.com/WordPress/gutenberg/pull/57436))


### Code Quality

#### Components
- PaletteEdit: Improve unit tests. ([57645](https://github.com/WordPress/gutenberg/pull/57645))
- Tooltip and Button: Tidy up unit tests. ([57975](https://github.com/WordPress/gutenberg/pull/57975))
- Tooltip: Add test for classname leakage. ([58182](https://github.com/WordPress/gutenberg/pull/58182))
- Remove unneeded `margin: 0` override for `Notice` component consumer. ([57794](https://github.com/WordPress/gutenberg/pull/57794))
- Shadows: Prevent empty style object when removing shadow. ([58155](https://github.com/WordPress/gutenberg/pull/58155))

#### Block Editor
- Soft deprecate custom 'pure' HoC in favor of 'React.memo'. ([57173](https://github.com/WordPress/gutenberg/pull/57173))
- Stabilise RecursionProvider and useHasRecursion APIs. ([58120](https://github.com/WordPress/gutenberg/pull/58120))
- Tidy up block patterns selectors. ([57913](https://github.com/WordPress/gutenberg/pull/57913))
- Shadow: Remove additional wrapper around getShadowClassesAndStyles. ([58297](https://github.com/WordPress/gutenberg/pull/58297))

#### Block Library
- Gallery Block: Remove duplicate return statement. ([57746](https://github.com/WordPress/gutenberg/pull/57746))
- Navigation: Move the renderer class to the main navigation file. ([57979](https://github.com/WordPress/gutenberg/pull/57979))
- Fix comments block. ([57820](https://github.com/WordPress/gutenberg/pull/57820))
- Rename __experimentalGetGlobalBlocksByName to getBlocksByName. ([58156](https://github.com/WordPress/gutenberg/pull/58156))
- Block Hooks API: Remove $post check from Navigation hooked blocks meta fn. ([58379](https://github.com/WordPress/gutenberg/pull/58379))
- Post navigation link: Coding standard fixes. ([58380](https://github.com/WordPress/gutenberg/pull/58380))
- Update docblock for render_block_core_pattern. ([58382](https://github.com/WordPress/gutenberg/pull/58382))
- Block Hooks API: Update doc block for block_core_navigation_insert_hooked_blocks. ([58378](https://github.com/WordPress/gutenberg/pull/58378))

#### Font Library
- Remove WP_Font_Family class that is no longer used. ([58184](https://github.com/WordPress/gutenberg/pull/58184))
- Font Library: Remove 'version' property from font collection schema. ([58025](https://github.com/WordPress/gutenberg/pull/58025))
- [Fonts API] removing files and files loading no longer needed. ([57972](https://github.com/WordPress/gutenberg/pull/57972))
- Remove unused utilities and rename class. ([58342](https://github.com/WordPress/gutenberg/pull/58342))
- Rename the slug of the google fonts collection from 'default-font-collection' to 'google-fonts'. ([58331](https://github.com/WordPress/gutenberg/pull/58331))
- Refactored download/upload logic to support font faces with multiple src assets. ([58216](https://github.com/WordPress/gutenberg/pull/58216))
- Font Library: Addresses additional REST API feedback. ([58333](https://github.com/WordPress/gutenberg/pull/58333))

#### Block Directory
- DownloadableBlocksPanel: Remove withSelect in favor of useSelect. ([58109](https://github.com/WordPress/gutenberg/pull/58109))

#### Patterns
- Stabilize the pattern overrides block context. ([58102](https://github.com/WordPress/gutenberg/pull/58102))
- Remove pattern override experiment completely. ([58105](https://github.com/WordPress/gutenberg/pull/58105))
- Update pattern overrides to use a hard coded support array. ([57912](https://github.com/WordPress/gutenberg/pull/57912))
- Block Bindings: Change `core/pattern-attributes` source for `core/pattern-overrides`. ([58434](https://github.com/WordPress/gutenberg/pull/58434))

#### Block API
- Block Bindings: Remove the experimental flag. ([58089](https://github.com/WordPress/gutenberg/pull/58089))
- Block Renaming - move backported WP 6.5 code to 6.5 compat dir. ([58126](https://github.com/WordPress/gutenberg/pull/58126))

#### Post Editor
- Editor: Use hooks instead of HoCs in 'PostScheduleCheck'. ([57833](https://github.com/WordPress/gutenberg/pull/57833))

#### Script Modules API
- Update the code and move it to the compat/wordpress-6.5 folder. ([57778](https://github.com/WordPress/gutenberg/pull/57778))

#### Data Views
- Remove obsolete check from dataviews modal actions title. ([57753](https://github.com/WordPress/gutenberg/pull/57753))

#### Interactivity API
- Remove `data-wp-slot` and  `data-wp-fill`. ([57854](https://github.com/WordPress/gutenberg/pull/57854))
- Remove unused `state` and rename `props` to `attributes` in `getElement()`. ([57974](https://github.com/WordPress/gutenberg/pull/57974))

#### HTML API
- Backport updates from Core. ([57022](https://github.com/WordPress/gutenberg/pull/57022))

#### Custom Fields
- Block Bindings: Simplify block bindings object. ([58337](https://github.com/WordPress/gutenberg/pull/58337))
- Block Bindings: Adapt block bindings to wordpress code latest changes. ([58383](https://github.com/WordPress/gutenberg/pull/58383))

### Tools

#### Testing
- Add `setGutenbergExperiments` to `requestUtils`. ([56663](https://github.com/WordPress/gutenberg/pull/56663))
- Add: End to end test to content locking stop editing as blocks behavior. ([57812](https://github.com/WordPress/gutenberg/pull/57812))
- Attempt to fix php unit tests (variations api change). ([58090](https://github.com/WordPress/gutenberg/pull/58090))
- Migrate 'block grouping' end-to-end tests to Playwright. ([57684](https://github.com/WordPress/gutenberg/pull/57684))
- Migrate 'embedding' end-to-end tests to Playwright. ([57969](https://github.com/WordPress/gutenberg/pull/57969))
- Migrate 'typewriter' end-to-end tests to Playwright. ([57673](https://github.com/WordPress/gutenberg/pull/57673))
- Remove unused Navigation block end-to-end test fixtures. ([57848](https://github.com/WordPress/gutenberg/pull/57848))

#### Build Tooling
- Update caniuse-lite package. ([58087](https://github.com/WordPress/gutenberg/pull/58087))
- Update the cherry pick script to work with the new version of gh. ([57917](https://github.com/WordPress/gutenberg/pull/57917))
- Scripts: Remove unused variable in bin/list-experimental-api-matches.sh. ([57771](https://github.com/WordPress/gutenberg/pull/57771))
- (chore) Revert bump to the v17.5.1 (draft) due to bug in the release found by manual testing. ([58027](https://github.com/WordPress/gutenberg/pull/58027))
- Fix misplaced ReactRefreshWebpackPlugin. ([57777](https://github.com/WordPress/gutenberg/pull/57777))
- Automate creation of Issue for major release PHP synchronisation. ([57890](https://github.com/WordPress/gutenberg/pull/57890))
- Remove check-latest-npm validation. ([57797](https://github.com/WordPress/gutenberg/pull/57797))
- core-js: Only polyfill stable features. ([57674](https://github.com/WordPress/gutenberg/pull/57674))




## First time contributors

The following PRs were merged by first time contributors:

- @kt-12: Call variation through callback so it's only loaded when needed - in support of  trac 59969. ([56952](https://github.com/WordPress/gutenberg/pull/56952))
- @leomuniz: [Type] Developer Documentation - Fix removeAllNotices dispatch on the removeAllNotices doc section of @wordpress/notices. ([57436](https://github.com/WordPress/gutenberg/pull/57436))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @afercia @ajlende @andrewserong @annezazu @artemiomorales @arthur791004 @atachibana @bacoords @bph @brookewp @c4rl0sbr4v0 @carolinan @chad1008 @ciampo @creativecoder @DAreRodz @dcalhoun @derekblank @dmsnell @draganescu @dsas @ecgan @ellatrix @fluiddot @fullofcaffeine @gaambo @geriux @getdave @glendaviesnz @gonzomir @inc2734 @jameskoster @jeryj @jffng @jorgefilipecosta @jsnajdr @kevin940726 @kt-12 @leomuniz @luisherranz @madhusudhand @MaggieCabrera @Mamaduka @matiasbenedetto @mcsf @michalczaplinski @mikachan @mirka @ndiego @noisysocks @ntsekouras @oandregal @ockham @oguzkocer @pbking @ramonjd @richtabor @SantosGuillamot @scruffian @SiobhyB @sirreal @swissspidy @t-hamano @talldan @tellthemachines @tjcafferkey @tyxla @vcanales @youknowriad



= 17.5.3 =


## Changelog

### Bug Fixes

#### Block Library
- Navigation: Update the navigaiton renderer class name so that it doesn't clash with the one backported to core. ([58429](https://github.com/WordPress/gutenberg/pull/58429))




## Contributors

The following contributors merged PRs in this release:

@scruffian


= 17.6.0-rc.2 =

## Changelog

### Enhancements

#### Font Library
- Font Library: Refactor stylesheet using CSS variables ([#58237]https://github.com/WordPress/gutenberg/pull/58237)

### Bug Fixes

#### Interactivity API

- Prevent usage of `gutenberg_url` in block-library([#58242]https://github.com/WordPress/gutenberg/pull/58242)

#### Font Library
- Removed <header> <main> and <footer> elements from Font Library Modal ([#58221]https://github.com/WordPress/gutenberg/pull/58221)


### Experiments

#### Design Tools
- Dimensions: Add Aspect Ratio block support. ([#56897](https://github.com/WordPress/gutenberg/pull/56897))




## Contributors

The following contributors merged PRs in this release:

@andrewserong @t-hamano @luisherranz @pbking 


= 17.6.0-rc.1 =


## Changelog

### Features

#### Interactivity API
- Add `wp-data-on-window` and `wp-data-on-document` directives. ([57931](https://github.com/WordPress/gutenberg/pull/57931))
- Add `wp-each` directive. ([57859](https://github.com/WordPress/gutenberg/pull/57859))
- Add `wp-run` directive and `useInit` & `useWatch` hooks. ([57805](https://github.com/WordPress/gutenberg/pull/57805))

#### Typography
- Add defaultFontSizes option to theme.json. ([56661](https://github.com/WordPress/gutenberg/pull/56661))
- Font Library: Add wp_get_font_dir() function. ([57730](https://github.com/WordPress/gutenberg/pull/57730))

#### Custom Fields
- Block Bindings: Disable editing of bound block attributes in editor UI. ([58085](https://github.com/WordPress/gutenberg/pull/58085))

#### Block Editor
- Add effects/box shadow tools to block inspector. ([57654](https://github.com/WordPress/gutenberg/pull/57654))


### Enhancements

- Add gettext content when translating 'Header'. ([51066](https://github.com/WordPress/gutenberg/pull/51066))
- Disable lock button if user cannot control lock state. ([57274](https://github.com/WordPress/gutenberg/pull/57274))
- Editor: Unify the Editor Mode preference. ([57642](https://github.com/WordPress/gutenberg/pull/57642))
- Element: Start reexporting PureComponent. ([58076](https://github.com/WordPress/gutenberg/pull/58076))
- Live Preview: Show the current theme name on the theme activation modal. ([57588](https://github.com/WordPress/gutenberg/pull/57588))
- Remove right negative margin from pinned items. ([57666](https://github.com/WordPress/gutenberg/pull/57666))
- Unify the preferences modal UI between post and site editor. ([57639](https://github.com/WordPress/gutenberg/pull/57639))
- Update style revision top toolbar text. ([58057](https://github.com/WordPress/gutenberg/pull/58057))
- Use ClipboardJS latest version and clean up focus loss workaround. ([57156](https://github.com/WordPress/gutenberg/pull/57156))

#### Components
-  Add opt-in prop for 40px default size for `BoxControl`, `BorderControl`, and `BorderBoxControl`. ([56185](https://github.com/WordPress/gutenberg/pull/56185))
- BorderControl: Replace style picker with ToggleGroupControl. ([57562](https://github.com/WordPress/gutenberg/pull/57562))
- ColorPicker: Store internal HSLA state for better slider UX. ([57555](https://github.com/WordPress/gutenberg/pull/57555))
- Migrate PaletteEdit and CircularOptionPicker tests from user-event to ariakit/test. ([57809](https://github.com/WordPress/gutenberg/pull/57809))
- Replace `TabPanel` with `Tabs` in the Editor Preferences Modal. ([57293](https://github.com/WordPress/gutenberg/pull/57293))
- Theme: Set `color` on wrapper. ([58095](https://github.com/WordPress/gutenberg/pull/58095))
- Tooltip: No-op when nested inside another Tooltip component. ([57202](https://github.com/WordPress/gutenberg/pull/57202))
- `BoxControl`: Update design. ([56665](https://github.com/WordPress/gutenberg/pull/56665))

#### Interactivity API
-  Render the root interactive blocks. ([57729](https://github.com/WordPress/gutenberg/pull/57729))
- Interactivity Router: Replace `data-wp-navigation-id` with `data-wp-router-region`. ([58191](https://github.com/WordPress/gutenberg/pull/58191))
- Interactivity: Export `withScope()` and allow to use it with asynchronous operations. ([58013](https://github.com/WordPress/gutenberg/pull/58013))
- Prevent the use of components in `wp-text`. ([57879](https://github.com/WordPress/gutenberg/pull/57879))
- Remove wp-data-navigation-link directive. ([57853](https://github.com/WordPress/gutenberg/pull/57853))
- Server Directive Processing Refactor. ([58066](https://github.com/WordPress/gutenberg/pull/58066))
- Update `preact`, `@preact/signals` and `deepsignal` dependencies. ([57891](https://github.com/WordPress/gutenberg/pull/57891))

#### Block Editor
- Add copy link button to Link UI. ([58170](https://github.com/WordPress/gutenberg/pull/58170))
- Improve LinkControl preview. ([57775](https://github.com/WordPress/gutenberg/pull/57775))
- Keep Link UI open upon initial link creation when used in RichText. ([57726](https://github.com/WordPress/gutenberg/pull/57726))
- List View: Displace list view items when dragging (a bit more WYSIWYG). ([56625](https://github.com/WordPress/gutenberg/pull/56625))
- Show initial suggestions in rich text Link UI. ([57743](https://github.com/WordPress/gutenberg/pull/57743))

#### Typography
- Font Library Modal: Reset the selected font when installing a new font. ([57817](https://github.com/WordPress/gutenberg/pull/57817))
- Font Library: Disable font library UI using a PHP filter. ([57818](https://github.com/WordPress/gutenberg/pull/57818))
- Font Library: Filter fonts upload directory. ([57697](https://github.com/WordPress/gutenberg/pull/57697))
- Font Library: Use data or src file to define font collection data. ([57734](https://github.com/WordPress/gutenberg/pull/57734))

#### Block Library
- Add more taxonomy options to the post navigation link. ([48912](https://github.com/WordPress/gutenberg/pull/48912))
- Add: Footnotes support for other CPT's. ([57353](https://github.com/WordPress/gutenberg/pull/57353))
- Better navigation link variations for post types / taxonomies. ([56100](https://github.com/WordPress/gutenberg/pull/56100))
- Remove "blocks" from copy and delete labels. ([57769](https://github.com/WordPress/gutenberg/pull/57769))

#### Data Views
- DataViews: Enable grid layout for templates & parts by default. ([58137](https://github.com/WordPress/gutenberg/pull/58137))
- DataViews: Make dataviews powered page patterns stable. ([58139](https://github.com/WordPress/gutenberg/pull/58139))
- DataViews: Make the "Manage Pages" stable. ([58166](https://github.com/WordPress/gutenberg/pull/58166))

#### Site Editor
- Group templates in sidebar list. ([57711](https://github.com/WordPress/gutenberg/pull/57711))
- Initial routing refactoring to separate preview from list view. ([57938](https://github.com/WordPress/gutenberg/pull/57938))
- Iterate on warning text for block removal for query/post template/post content. ([58138](https://github.com/WordPress/gutenberg/pull/58138))

#### Block API
- Block Bindings: Update source registration syntax and remove APIs that should be private. ([58205](https://github.com/WordPress/gutenberg/pull/58205))
- Block Hooks: Do not remove toggle if hooked block is present elsewhere. ([57928](https://github.com/WordPress/gutenberg/pull/57928))

#### Synced Patterns
- Add basic pattern overrides end-to-end tests. ([57792](https://github.com/WordPress/gutenberg/pull/57792))
- Use a patch format and support `linkTarget` of `core/button` for Pattern Overrides. ([58165](https://github.com/WordPress/gutenberg/pull/58165))

#### Patterns
- Add image block support for pattern overrides. ([57909](https://github.com/WordPress/gutenberg/pull/57909))
- Outline editable blocks that are within a content-locked container. ([57901](https://github.com/WordPress/gutenberg/pull/57901))

#### Post Editor
- Post Lock: Use the new modal size preset. ([58197](https://github.com/WordPress/gutenberg/pull/58197))

#### Font Library
- Update the default collection data URL to the wordpress.org cdn. ([58186](https://github.com/WordPress/gutenberg/pull/58186))

#### Commands
- Minor command tweaks. ([58148](https://github.com/WordPress/gutenberg/pull/58148))

#### Extensibility
- Update Navigation block to render hooked inner blocks. ([57754](https://github.com/WordPress/gutenberg/pull/57754))

#### Global Styles
- Site editor: Add global styles changes to save flow. ([57470](https://github.com/WordPress/gutenberg/pull/57470))

#### Design Tools
- Pullquote Block: Add padding and margin support. ([45731](https://github.com/WordPress/gutenberg/pull/45731))


### New APIs

#### Block API
- Block Bindings API: Add block bindings PHP registration mechanisms and "Post meta" source under the experimental flag. ([57249](https://github.com/WordPress/gutenberg/pull/57249))
- Block Bindings API: Refactor logic into Block Bindings class and singleton pattern. ([57742](https://github.com/WordPress/gutenberg/pull/57742))


### Bug Fixes

- (editor)(fix) Append the `edit-post-header-toolbar` class in NavigableToolbar for backward compatibility with plugin GUI injections. ([58154](https://github.com/WordPress/gutenberg/pull/58154))
- Bring back the chevron. ([57807](https://github.com/WordPress/gutenberg/pull/57807))
- Fix flaky "create a new pattern" test. ([57747](https://github.com/WordPress/gutenberg/pull/57747))
- Fix site editor layout regressions. ([58077](https://github.com/WordPress/gutenberg/pull/58077))
- Preferences: Add a proxy to retrieve the deprecated preferences with a deprecation message. ([58016](https://github.com/WordPress/gutenberg/pull/58016))
- Remove unused argument from sprintf in pagination.js. ([57823](https://github.com/WordPress/gutenberg/pull/57823))
- core-js: Only polyfill stable features. ([57674](https://github.com/WordPress/gutenberg/pull/57674))

#### Block Library
- Avatar block: Fix broken aligments in the editor. ([58114](https://github.com/WordPress/gutenberg/pull/58114))
- Embed Block: Fix retry processing when embedding with trailing slash fails. ([58007](https://github.com/WordPress/gutenberg/pull/58007))
- Lightbox: Fix "Expand on click" control being disabled unintentionally. ([56053](https://github.com/WordPress/gutenberg/pull/56053))
- Modified Date Block: Don't render change date tool. ([57914](https://github.com/WordPress/gutenberg/pull/57914))
- Only prioritise Quote transform where relevant. ([57749](https://github.com/WordPress/gutenberg/pull/57749))
- Query Loop: Fix posts list variation detection. ([58194](https://github.com/WordPress/gutenberg/pull/58194))

#### Components
- Button: Always render the Tooltip component even when a tooltip should not be shown. ([56490](https://github.com/WordPress/gutenberg/pull/56490))
- CustomSelect: Adjust `renderSelectedValue` to fix sizing. ([57865](https://github.com/WordPress/gutenberg/pull/57865))
- ToggleGroupControl: Improve controlled value detection. ([57770](https://github.com/WordPress/gutenberg/pull/57770))
- Tooltip: Accept specific tooltip props. ([58125](https://github.com/WordPress/gutenberg/pull/58125))
- Tooltip: Forward and merge inner tooltip props correctly. ([57878](https://github.com/WordPress/gutenberg/pull/57878))

#### Data Views
- DataViews: Default sort order in templates by title. ([58175](https://github.com/WordPress/gutenberg/pull/58175))
- DataViews: Don't always display horizontal scrollbar. ([58101](https://github.com/WordPress/gutenberg/pull/58101))
- DataViews: Fix author sorting in templates and template parts. ([58167](https://github.com/WordPress/gutenberg/pull/58167))

#### Patterns
- Add black border back when editing synced pattern in the post editor. ([57631](https://github.com/WordPress/gutenberg/pull/57631))
- Outline editable blocks when in a pattern that has locked children. ([57991](https://github.com/WordPress/gutenberg/pull/57991))
- Remove text align control for paragraph, heading, and button in contentOnly editing mode. ([57906](https://github.com/WordPress/gutenberg/pull/57906))

#### List View
- Image Block: Make block name affect list view. ([57955](https://github.com/WordPress/gutenberg/pull/57955))
- More Block: Make block name affect list view. ([58160](https://github.com/WordPress/gutenberg/pull/58160))

#### Block API
- Block Hooks: Fix toggle. ([57956](https://github.com/WordPress/gutenberg/pull/57956))
- Fix formats not working in block bindings content. ([58055](https://github.com/WordPress/gutenberg/pull/58055))

#### Global Styles
- Correctly decode border color values. ([57876](https://github.com/WordPress/gutenberg/pull/57876))
- Fix: Theme.json application of custom root selector for styles. ([58050](https://github.com/WordPress/gutenberg/pull/58050))

#### Data Layer
- Data: Allow binding registry selector to multiple registries. ([57943](https://github.com/WordPress/gutenberg/pull/57943))
- Data: Fix memoized createRegistrySelector. ([57888](https://github.com/WordPress/gutenberg/pull/57888))

#### Typography
- #56734 When there is no font, the border should not appear. Display further guidance text. ([56825](https://github.com/WordPress/gutenberg/pull/56825))
- Fluid typography: Do not calculate fluid font size when min and max viewport widths are equal. ([57866](https://github.com/WordPress/gutenberg/pull/57866))

#### Block Editor
- Fix regression: Content locking does not stops when an outside block is selected. ([57737](https://github.com/WordPress/gutenberg/pull/57737))
- LinkControl: Remove unnecessary right padding of input fields. ([57784](https://github.com/WordPress/gutenberg/pull/57784))

#### Custom Fields
- Block Bindings: Fix button popover not showing in patterns. ([58219](https://github.com/WordPress/gutenberg/pull/58219))

#### Font Library
- Fix typo. ([58193](https://github.com/WordPress/gutenberg/pull/58193))

#### Synced Patterns
- Fix losing overrides after detaching patterns. ([58164](https://github.com/WordPress/gutenberg/pull/58164))

#### Interactivity API
- Prevent `wp-data-on=""` from creating `onDefault` handlers. ([57925](https://github.com/WordPress/gutenberg/pull/57925))

#### CSS & Styling
- Styles revisions: Remove body padding. ([57748](https://github.com/WordPress/gutenberg/pull/57748))

#### Templates API
- Fix visual indication of switch to default template in the post editor. ([57718](https://github.com/WordPress/gutenberg/pull/57718))


### Accessibility

#### Site Editor
- Fix font variants count color contrast ratio and l10n. ([58117](https://github.com/WordPress/gutenberg/pull/58117))
- Make the site hub View Site link always visible. ([57423](https://github.com/WordPress/gutenberg/pull/57423))

#### Block Editor
- Fix parent selector button focus style and metrics. ([57728](https://github.com/WordPress/gutenberg/pull/57728))
- Restore visual separator between mover buttons when show button label is on. ([57640](https://github.com/WordPress/gutenberg/pull/57640))

#### Widgets Editor
- Fix Widgets page Undo and Redo accessibility and keyboard interaction. ([57677](https://github.com/WordPress/gutenberg/pull/57677))


### Performance

- Add patterns load test. ([57828](https://github.com/WordPress/gutenberg/pull/57828))
- Block editor: Avoid list re-rendering on select. ([57188](https://github.com/WordPress/gutenberg/pull/57188))
- Block editor: Don't register shortcuts for preview editors. ([57984](https://github.com/WordPress/gutenberg/pull/57984))
- Block editor: Fix performance regression after #57950. ([57971](https://github.com/WordPress/gutenberg/pull/57971))
- Block editor: Use context for useBlockEditingMode. ([57950](https://github.com/WordPress/gutenberg/pull/57950))
- BlockSwitcher: Defer transform calculations until the Dropdown is open. ([57892](https://github.com/WordPress/gutenberg/pull/57892))
- Call variation through callback so it's only loaded when needed - in support of  trac 59969. ([56952](https://github.com/WordPress/gutenberg/pull/56952))
- Editor styles: Cache transform. ([57810](https://github.com/WordPress/gutenberg/pull/57810))
- Footnotes: Combine format store subscription. ([58129](https://github.com/WordPress/gutenberg/pull/58129))
- Iframe: Calc compat styles once per page load. ([57798](https://github.com/WordPress/gutenberg/pull/57798))
- Measure typing with the top toolbar enabled. ([57709](https://github.com/WordPress/gutenberg/pull/57709))
- Meta boxes: Don't initialise if there are none. ([57182](https://github.com/WordPress/gutenberg/pull/57182))
- Patterns: Avoid fetching on load. ([57999](https://github.com/WordPress/gutenberg/pull/57999))
- Site editor: Avoid fetching themes on load. ([57985](https://github.com/WordPress/gutenberg/pull/57985))
- Site editor: Reduce artificial loading delay from 1s to 100ms. ([57953](https://github.com/WordPress/gutenberg/pull/57953))
- Site editor: Remove store subscription per block. ([57995](https://github.com/WordPress/gutenberg/pull/57995))
- Template Part & Query: Avoid server requests on mount. ([57987](https://github.com/WordPress/gutenberg/pull/57987))
- Template part block: Avoid parsing ALL patterns on mount. ([57856](https://github.com/WordPress/gutenberg/pull/57856))

#### Block Editor
- Revert "Block editor: Avoid list re-rendering on select". ([58147](https://github.com/WordPress/gutenberg/pull/58147))

#### Post Editor
- Editor: Use hooks instead of HoCs for `EditorNotices`. ([57772](https://github.com/WordPress/gutenberg/pull/57772))


### Experiments

#### Data Views
- Add: Bulk actions to dataviews with the new design. ([57255](https://github.com/WordPress/gutenberg/pull/57255))
- Data view list layout: Fix thumbnail dimensions. ([57774](https://github.com/WordPress/gutenberg/pull/57774))
- Data views table layout: Update cell vertical alignment. ([57804](https://github.com/WordPress/gutenberg/pull/57804))
- DataViews: Add description to pages. ([57793](https://github.com/WordPress/gutenberg/pull/57793))
- DataViews: Add front page to pages page sidebar. ([57759](https://github.com/WordPress/gutenberg/pull/57759))
- DataViews: Better management of `layout` param in templates. ([58116](https://github.com/WordPress/gutenberg/pull/58116))
- DataViews: Make list layout the default for templates with the experiment enabled. ([57933](https://github.com/WordPress/gutenberg/pull/57933))
- DataViews: Revert list view as default for pages. ([58081](https://github.com/WordPress/gutenberg/pull/58081))
- DataViews: Revert list view as default for templates. ([58079](https://github.com/WordPress/gutenberg/pull/58079))
- DataViews: Set primary field styles. ([57846](https://github.com/WordPress/gutenberg/pull/57846))
- DataViews: Show loading / no result message for the list layout. ([57764](https://github.com/WordPress/gutenberg/pull/57764))
- DataViews: Update template parts view. ([57952](https://github.com/WordPress/gutenberg/pull/57952))
- DataViews: Use button for patterns, pages and templates preview field. ([58071](https://github.com/WordPress/gutenberg/pull/58071))
- DataViews: Use table layout for templates when experiment disabled. ([57960](https://github.com/WordPress/gutenberg/pull/57960))
- Stabilise view options button icon. ([57964](https://github.com/WordPress/gutenberg/pull/57964))
- Update Grid layout design. ([57880](https://github.com/WordPress/gutenberg/pull/57880))
- Update Pages preview field display. ([57919](https://github.com/WordPress/gutenberg/pull/57919))
- Update Templates table layout. ([57930](https://github.com/WordPress/gutenberg/pull/57930))
- Update: Show template sources on templates Dataviews sidebar. ([58124](https://github.com/WordPress/gutenberg/pull/58124))

#### Synced Patterns
- Add a control to reset pattern overrides. ([57845](https://github.com/WordPress/gutenberg/pull/57845))
- Allow heading and button in Pattern Overrides. ([57789](https://github.com/WordPress/gutenberg/pull/57789))

#### Typography
- Download then upload font face assets when installing from a collection. ([57694](https://github.com/WordPress/gutenberg/pull/57694))
- Use `slug` instead of `id` for Font Collection. ([57735](https://github.com/WordPress/gutenberg/pull/57735))

#### REST API
- Font Library Refactor. ([57688](https://github.com/WordPress/gutenberg/pull/57688))

#### Block Editor
- Allow drag and drop to create Rows and Galleries. ([56186](https://github.com/WordPress/gutenberg/pull/56186))


### Documentation

- Add a video demonstration to the Quick Start Guide. ([57834](https://github.com/WordPress/gutenberg/pull/57834))
- Button: Improve `disabled`-related prop descriptions. ([57864](https://github.com/WordPress/gutenberg/pull/57864))
- Components: Move CHANGELOG entries under the correct release. ([57885](https://github.com/WordPress/gutenberg/pull/57885))
- Docs: Fix typo in "The block wrapper" document. ([58106](https://github.com/WordPress/gutenberg/pull/58106))
- Docs: Use 'key' in 'editor.BlockEdit' filter code examples. ([58119](https://github.com/WordPress/gutenberg/pull/58119))
- Document files/directories requiring backmerging to WP Core for major release. ([58064](https://github.com/WordPress/gutenberg/pull/58064))
- Fix the iframe markup of the embed video in the Quick Start Guide. ([57857](https://github.com/WordPress/gutenberg/pull/57857))
- Fix: Link to the nodejs release page. ([57816](https://github.com/WordPress/gutenberg/pull/57816))
- Fix: Typo on BlockListBlock comments. ([57814](https://github.com/WordPress/gutenberg/pull/57814))
- Fix: Typos on __unstableSetTemporarilyEditingAsBlocks documentation. ([57768](https://github.com/WordPress/gutenberg/pull/57768))
- Font Library: Add font collection JSON schema. ([57736](https://github.com/WordPress/gutenberg/pull/57736))
- Prefixes all php filters with wpdocs_. ([53914](https://github.com/WordPress/gutenberg/pull/53914))
- Remove the unnecessary TOC and fix grammar/formatting in the Patterns doc. ([57825](https://github.com/WordPress/gutenberg/pull/57825))
- Remove the 👋 emoji from the Block Editor Handbook. ([58023](https://github.com/WordPress/gutenberg/pull/58023))
- Update versions-in-wordpress.md. ([57916](https://github.com/WordPress/gutenberg/pull/57916))
- [Type] Developer Documentation - Fix removeAllNotices dispatch on the removeAllNotices doc section of @wordpress/notices. ([57436](https://github.com/WordPress/gutenberg/pull/57436))


### Code Quality

- Block Renaming - move backported WP 6.5 code to 6.5 compat dir. ([58126](https://github.com/WordPress/gutenberg/pull/58126))
- Fix comments block. ([57820](https://github.com/WordPress/gutenberg/pull/57820))
- Fon Library: Remove 'version' property from font collection schema. ([58025](https://github.com/WordPress/gutenberg/pull/58025))
- Remove unneeded `margin: 0` override for `Notice` component consumer. ([57794](https://github.com/WordPress/gutenberg/pull/57794))
- Rename __experimentalGetGlobalBlocksByName to getBlocksByName. ([58156](https://github.com/WordPress/gutenberg/pull/58156))
- Scripts: Remove unused variable in bin/list-experimental-api-matches.sh. ([57771](https://github.com/WordPress/gutenberg/pull/57771))
- Shadows: Prevent empty style object when removing shadow. ([58155](https://github.com/WordPress/gutenberg/pull/58155))
- [Fonts API] removing files and files loading no longer needed. ([57972](https://github.com/WordPress/gutenberg/pull/57972))

#### Components
- PaletteEdit: Improve unit tests. ([57645](https://github.com/WordPress/gutenberg/pull/57645))
- Tooltip and Button: Tidy up unit tests. ([57975](https://github.com/WordPress/gutenberg/pull/57975))
- Tooltip: Add test for classname leakage. ([58182](https://github.com/WordPress/gutenberg/pull/58182))

#### Block Editor
- Soft deprecate custom 'pure' HoC in favor of 'React.memo'. ([57173](https://github.com/WordPress/gutenberg/pull/57173))
- Stabilise RecursionProvider and useHasRecursion APIs. ([58120](https://github.com/WordPress/gutenberg/pull/58120))
- Tidy up block patterns selectors. ([57913](https://github.com/WordPress/gutenberg/pull/57913))

#### Block Library
- Gallery Block: Remove duplicate return statement. ([57746](https://github.com/WordPress/gutenberg/pull/57746))
- Navigation: Move the renderer class to the main navigation file. ([57979](https://github.com/WordPress/gutenberg/pull/57979))

#### Font Library
- Remove WP_Font_Family class that is no longer used. ([58184](https://github.com/WordPress/gutenberg/pull/58184))

#### Block Directory
- DownloadableBlocksPanel: Remove withSelect in favor of useSelect. ([58109](https://github.com/WordPress/gutenberg/pull/58109))

#### Patterns
- Stabilize the pattern overrides block context. ([58102](https://github.com/WordPress/gutenberg/pull/58102))

#### Block API
- Block Bindings: Remove the experimental flag. ([58089](https://github.com/WordPress/gutenberg/pull/58089))

#### Post Editor
- Editor: Use hooks instead of HoCs in 'PostScheduleCheck'. ([57833](https://github.com/WordPress/gutenberg/pull/57833))

#### Script Modules API
- Update the code and move it to the compat/wordpress-6.5 folder. ([57778](https://github.com/WordPress/gutenberg/pull/57778))

#### Data Views
- Remove obsolete check from dataviews modal actions title. ([57753](https://github.com/WordPress/gutenberg/pull/57753))


### Tools

- (chore) Revert bump to the v17.5.1 (draft) due to bug in the release found by manual testing. ([58027](https://github.com/WordPress/gutenberg/pull/58027))
- Automate creation of Issue for major release PHP synchronisation. ([57890](https://github.com/WordPress/gutenberg/pull/57890))
- Fix misplaced ReactRefreshWebpackPlugin. ([57777](https://github.com/WordPress/gutenberg/pull/57777))

#### Testing
- Add `setGutenbergExperiments` to `requestUtils`. ([56663](https://github.com/WordPress/gutenberg/pull/56663))
- Add: End to end test to content locking stop editing as blocks behavior. ([57812](https://github.com/WordPress/gutenberg/pull/57812))
- Attempt to fix php unit tests (variations api change). ([58090](https://github.com/WordPress/gutenberg/pull/58090))
- Migrate 'block grouping' end-to-end tests to Playwright. ([57684](https://github.com/WordPress/gutenberg/pull/57684))
- Migrate 'embedding' end-to-end tests to Playwright. ([57969](https://github.com/WordPress/gutenberg/pull/57969))
- Migrate 'typewriter' end-to-end tests to Playwright. ([57673](https://github.com/WordPress/gutenberg/pull/57673))
- Remove unused Navigation block end-to-end test fixtures. ([57848](https://github.com/WordPress/gutenberg/pull/57848))

#### Build Tooling
- Update caniuse-lite package. ([58087](https://github.com/WordPress/gutenberg/pull/58087))
- Update the cherry pick script to work with the new version of gh. ([57917](https://github.com/WordPress/gutenberg/pull/57917))


### Various

- Interactivity API: Fix data-wp-on-document flaky test. ([58008](https://github.com/WordPress/gutenberg/pull/58008))
- Interactivity API: Fix flaky test on-window. ([58134](https://github.com/WordPress/gutenberg/pull/58134))
- Pattern Categories: Fix capitalization. ([58112](https://github.com/WordPress/gutenberg/pull/58112))
- Remove check-latest-npm validation. ([57797](https://github.com/WordPress/gutenberg/pull/57797))

#### Interactivity API
- Create `@wordpress/interactivity-router` module. ([57924](https://github.com/WordPress/gutenberg/pull/57924))
- Fix flaky test on-window, remove duplicate expect on-document. ([58181](https://github.com/WordPress/gutenberg/pull/58181))
- Remove `data-wp-slot` and  `data-wp-fill`. ([57854](https://github.com/WordPress/gutenberg/pull/57854))
- Remove unused `state` and rename `props` to `attributes` in `getElement()`. ([57974](https://github.com/WordPress/gutenberg/pull/57974))

#### Patterns
- Remove pattern override experiment completely. ([58105](https://github.com/WordPress/gutenberg/pull/58105))
- Update pattern overrides to use a hard coded support array. ([57912](https://github.com/WordPress/gutenberg/pull/57912))

#### Data Views
- Dataviews: Add Bulk actions to page. ([57826](https://github.com/WordPress/gutenberg/pull/57826))

#### Post Editor
- Add description to the save panel header when nothing is checked. ([57716](https://github.com/WordPress/gutenberg/pull/57716))

#### HTML API
- Backport updates from Core. ([57022](https://github.com/WordPress/gutenberg/pull/57022))

#### Block Editor
- Video Block: Add raw transformation from `video` html. ([47159](https://github.com/WordPress/gutenberg/pull/47159))


## First time contributors

The following PRs were merged by first time contributors:

- @kt-12: Call variation through callback so it's only loaded when needed - in support of  trac 59969. ([56952](https://github.com/WordPress/gutenberg/pull/56952))
- @leomuniz: [Type] Developer Documentation - Fix removeAllNotices dispatch on the removeAllNotices doc section of @wordpress/notices. ([57436](https://github.com/WordPress/gutenberg/pull/57436))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @afercia @ajlende @andrewserong @annezazu @artemiomorales @arthur791004 @atachibana @bacoords @bph @brookewp @c4rl0sbr4v0 @carolinan @chad1008 @ciampo @creativecoder @DAreRodz @dcalhoun @derekblank @dmsnell @draganescu @ecgan @ellatrix @fluiddot @fullofcaffeine @gaambo @geriux @getdave @glendaviesnz @gonzomir @inc2734 @jameskoster @jeryj @jffng @jorgefilipecosta @jsnajdr @kevin940726 @kt-12 @leomuniz @luisherranz @MaggieCabrera @Mamaduka @matiasbenedetto @mcsf @michalczaplinski @mikachan @mirka @ndiego @noisysocks @ntsekouras @oandregal @ockham @oguzkocer @pbking @ramonjd @richtabor @SantosGuillamot @scruffian @SiobhyB @sirreal @swissspidy @t-hamano @talldan @tellthemachines @tjcafferkey @tyxla @vcanales @youknowriad


= 17.5.2 =

## Changelog

### Bug Fixes

- (Preferences)(17.5.1)(fix) Remove non-core-migrated preferences from the deprecation proxy for `get` ([58153](https://github.com/WordPress/gutenberg/pull/58153))
- (editor)(fix) Append the `edit-post-header-toolbar` class in NavigableToolbar for backward compatibility with plugin GUI injections ([58154](https://github.com/WordPress/gutenberg/pull/58154))

## Contributors

The following contributors merged PRs in this release:

@fullofcaffeine 




= 17.5.1 =

## Changelog

### Bug Fixes

- (Preferences)(hotfix)(17.5) Hotfix for missing preferences in the `core` scope([58031](https://github.com/WordPress/gutenberg/pull/58031))

## Contributors

The following contributors merged PRs in this release:

@youknowriad @fullofcaffeine 




= 17.5.0 =

## Changelog

### Enhancements

#### Editor Unification
- Editor: Add the show most used blocks preference to the site editor. ([57637](https://github.com/WordPress/gutenberg/pull/57637))
- Editor: Migrate and unify the panel preferences. ([57529](https://github.com/WordPress/gutenberg/pull/57529))
- Editor: Unify context text cursor preference. ([57479](https://github.com/WordPress/gutenberg/pull/57479))
- Editor: Unify list view open preference. ([57504](https://github.com/WordPress/gutenberg/pull/57504))
- Editor: Unify right click override preference. ([57468](https://github.com/WordPress/gutenberg/pull/57468))
- Editor: Unify show icon labels preference. ([57480](https://github.com/WordPress/gutenberg/pull/57480))
- Editor: Unify spotlight mode preference. ([57533](https://github.com/WordPress/gutenberg/pull/57533))
- Editor: Unify the distraction free preference. ([57590](https://github.com/WordPress/gutenberg/pull/57590))
- Editor: Unify the show block breadcrumbs preference. ([57506](https://github.com/WordPress/gutenberg/pull/57506))
- Editor: Unify the top toolbar preference. ([57531](https://github.com/WordPress/gutenberg/pull/57531))

#### Components
- Components: Replace `TabPanel` with `Tabs` in inline color picker. ([57292](https://github.com/WordPress/gutenberg/pull/57292)
- Add `compact` size variant to InputControl-based components. ([57398](https://github.com/WordPress/gutenberg/pull/57398))
- BaseControl: Connect to context system. ([57408](https://github.com/WordPress/gutenberg/pull/57408))
- Replace `TabPanel` with `Tabs` in the Style Book. ([57287](https://github.com/WordPress/gutenberg/pull/57287))
- Tooltip: Improve tests. ([57345](https://github.com/WordPress/gutenberg/pull/57345))
- Update @ariakit/react to v0.3.12 and @ariakit/test to v0.3.7. ([57547](https://github.com/WordPress/gutenberg/pull/57547))

#### Font Library
- Font Library: Remove "has_font_mime_type" function. ([57364](https://github.com/WordPress/gutenberg/pull/57364))
- Font Library: Update font uninstall modal text. ([57368](https://github.com/WordPress/gutenberg/pull/57368))
- Font Library: Add progress-bar while uploading font assets. ([57463](https://github.com/WordPress/gutenberg/pull/57463))
- Font Library: Singularize install font families endpoint. ([57569](https://github.com/WordPress/gutenberg/pull/57569))
- Font Library: Unregister font collection. ([54701](https://github.com/WordPress/gutenberg/pull/54701))

#### Site Editor
- Add Template Modal: Update scroll related layout. ([57617](https://github.com/WordPress/gutenberg/pull/57617))
- Components: Replace `TabPanel` with `Tabs` in the Font Library `Modal`. ([57181](https://github.com/WordPress/gutenberg/pull/57181))

#### Interactivity API
- Implement `wp_initial_state()`. ([57556](https://github.com/WordPress/gutenberg/pull/57556))
- Server directive processing: Stop processing non-interactive blocks. ([56302](https://github.com/WordPress/gutenberg/pull/56302))
- Interactive template: Use viewModule. ([57712](https://github.com/WordPress/gutenberg/pull/57712))
- Navigation Block: Use dom.focus for focus control. ([57362](https://github.com/WordPress/gutenberg/pull/57362))


#### Site Editor
- Site editor: Add padding to entity save panel header. ([57471](https://github.com/WordPress/gutenberg/pull/57471))
- Site editor: Add margin to entity save panel header via a classname. ([57473](https://github.com/WordPress/gutenberg/pull/57473))


#### Block Library
- Post Featured Image: Add a useFirstImageFromPost attribute. ([56573](https://github.com/WordPress/gutenberg/pull/56573))
- Gallery Block: Add random order setting. ([57477](https://github.com/WordPress/gutenberg/pull/57477))
- Image Block: Change upload icon label. ([57704](https://github.com/WordPress/gutenberg/pull/57704))


### Bug Fixes

- Avoid using a memoized selector without dependencies. ([57257](https://github.com/WordPress/gutenberg/pull/57257))
- Core Data: Pass the 'options' argument to data action shortcuts. ([57383](https://github.com/WordPress/gutenberg/pull/57383))
- Preferences: Update accessibility scope to "core". ([57563](https://github.com/WordPress/gutenberg/pull/57563))

#### Block Editor
- Fix Link UI displaying out of sync results. ([57522](https://github.com/WordPress/gutenberg/pull/57522))
- Give iframe fallback background color. ([57330](https://github.com/WordPress/gutenberg/pull/57330))
- Rich text: Add HTML string methods to RichTextData. ([57322](https://github.com/WordPress/gutenberg/pull/57322))

#### Block Library
- Footnotes: Fix wrong link when adding more than 9 footnotes. ([57599](https://github.com/WordPress/gutenberg/pull/57599))
- Table: Remove unnecessary margin override in editor styles. ([57699](https://github.com/WordPress/gutenberg/pull/57699))
- Template Part block: Fix template part path arg missing from actions. ([56790](https://github.com/WordPress/gutenberg/pull/56790))

#### Components
- DuotonePicker: Fix top margin when no duotone options. ([57489](https://github.com/WordPress/gutenberg/pull/57489))
- NavigatorProvider: Exclude size value from contain CSS rule. ([57498](https://github.com/WordPress/gutenberg/pull/57498))
- Snackbar: Fix icon positioning. ([57377](https://github.com/WordPress/gutenberg/pull/57377))

#### Patterns
- Pattern Overrides: Add `template-lock: All` to pattern inner blocks to prevent deletion/insertion. ([57661](https://github.com/WordPress/gutenberg/pull/57661))
- Refactor the findOrCreate term method. ([57655](https://github.com/WordPress/gutenberg/pull/57655))
- Edit source pattern in focus mode in post and site editors. ([57036](https://github.com/WordPress/gutenberg/pull/57036))


#### Site Editor
- Make sure comamnd palette toggle does not disappear while being clicked. ([57420](https://github.com/WordPress/gutenberg/pull/57420))
- Reinstate iframe CSS for editor canvas container. ([57503](https://github.com/WordPress/gutenberg/pull/57503))

#### Global Styles
- Use `is-layout` pattern on layout generated classname. ([57564](https://github.com/WordPress/gutenberg/pull/57564))
- Global styles revisions: Add individual headings translations, update tests. ([57472](https://github.com/WordPress/gutenberg/pull/57472))
- Global style revisions: Move change summary code and tests to block editor package. ([57411](https://github.com/WordPress/gutenberg/pull/57411))
- Reduce specificity of block style variation selectors. ([57659](https://github.com/WordPress/gutenberg/pull/57659))
- Background image block support: Add tests for size and repeat output. ([57474](https://github.com/WordPress/gutenberg/pull/57474))


#### Post Editor
- Fix Template preview menu item accessibility. ([57456](https://github.com/WordPress/gutenberg/pull/57456))
- Fullscreen mode description: Use full text instead of abbreviation. ([57518](https://github.com/WordPress/gutenberg/pull/57518))
- Improve pre-publish checks naming consistency. ([57019](https://github.com/WordPress/gutenberg/pull/57019))
- Make the Replace featured image button perceivable by assistive technologies. ([57453](https://github.com/WordPress/gutenberg/pull/57453))

#### Components
- Label the HeightControl. ([57683](https://github.com/WordPress/gutenberg/pull/57683))
- NumberControl: Make increment and decrement buttons keyboard accessible. ([57402](https://github.com/WordPress/gutenberg/pull/57402))

#### Block Tools
- Update the position of the patterns tab in the inserter menu. ([55688](https://github.com/WordPress/gutenberg/pull/55688))
- Use full text instead of abbreviation for min height setting. ([57680](https://github.com/WordPress/gutenberg/pull/57680))
- ResizableEditor: Fix tab order for resize handles. ([57475](https://github.com/WordPress/gutenberg/pull/57475))
- Keep Lock button it in the toolbar until unmounted. ([57229](https://github.com/WordPress/gutenberg/pull/57229))
- Custom field connections: Better description on Experiments page. ([57501](https://github.com/WordPress/gutenberg/pull/57501))

### Performance

#### Block Library
- File: Remove 'block-editor' store subscription. ([57511](https://github.com/WordPress/gutenberg/pull/57511))
- Remove store subscriptions from Audio and Video blocks. ([57449](https://github.com/WordPress/gutenberg/pull/57449))
- Site Logo: Remove unnecessary  'block-editor' store subscription. ([57513](https://github.com/WordPress/gutenberg/pull/57513))
- Send numerical post id when uploading image. ([57388](https://github.com/WordPress/gutenberg/pull/57388))
- PostFeaturedImage: Remove unnecessary 'block-editor' store subscription. ([57554](https://github.com/WordPress/gutenberg/pull/57554))

### Experiments

#### Data Views
- DataViews: Use DropdownMenuRadioItem component when possible. ([57505](https://github.com/WordPress/gutenberg/pull/57505))
- Align icon size + placement in Patterns data view. ([57548](https://github.com/WordPress/gutenberg/pull/57548))
- DataViews: Add `duplicate pattern` action in patterns page. ([57592](https://github.com/WordPress/gutenberg/pull/57592))
- DataViews: Add duplicate template pattern action. ([57638](https://github.com/WordPress/gutenberg/pull/57638))
- DataViews: Add footer to Pages sidebar. ([57690](https://github.com/WordPress/gutenberg/pull/57690))
- DataViews: Add new page button in `Pages`. ([57685](https://github.com/WordPress/gutenberg/pull/57685))
- DataViews: Add sync filter in patterns page. ([57532](https://github.com/WordPress/gutenberg/pull/57532))
- DataViews: Consolidate CSS selectors naming schema. ([57651](https://github.com/WordPress/gutenberg/pull/57651))
- DataViews: Fallback to `(no title)` is there's no rendered title. ([57434](https://github.com/WordPress/gutenberg/pull/57434))
- DataViews: Hide actions menu upon selecting a layout. ([57418](https://github.com/WordPress/gutenberg/pull/57418))
- DataViews: Make `fields` dependant on `view.type`. ([57450](https://github.com/WordPress/gutenberg/pull/57450))
- DataViews: Memoize `onSetSelection`. ([57458](https://github.com/WordPress/gutenberg/pull/57458))
- DataViews: Prevent unnecessary re-renders of Pagination. ([57454](https://github.com/WordPress/gutenberg/pull/57454))
- DataViews: Prevent unnecessary re-renders. ([57452](https://github.com/WordPress/gutenberg/pull/57452))
- DataViews: Update names for `DropdownMenuRadioItemCustom`. ([57416](https://github.com/WordPress/gutenberg/pull/57416))
- DataViews: Use i18n._x to clarify term "Duplicate". ([57686](https://github.com/WordPress/gutenberg/pull/57686))
- DataViews: Use in patterns page. ([57333](https://github.com/WordPress/gutenberg/pull/57333))
- Dataview: Change the stacking order of table header. ([57565](https://github.com/WordPress/gutenberg/pull/57565))
- Dataviews: Add some client side data handling utils. ([57488](https://github.com/WordPress/gutenberg/pull/57488))
- Make title display in grid views consistent. ([57553](https://github.com/WordPress/gutenberg/pull/57553))
- Update Table layout design details. ([57644](https://github.com/WordPress/gutenberg/pull/57644))
- Update pagination spacing in List layout. ([57670](https://github.com/WordPress/gutenberg/pull/57670))
- Update table header gap. ([57671](https://github.com/WordPress/gutenberg/pull/57671))
- [Dataviews] Table layout: Ensure focus is not lost on interaction. ([57340](https://github.com/WordPress/gutenberg/pull/57340))

#### Patterns
- [Pattern Overrides] Fix duplication of inner blocks. ([57538](https://github.com/WordPress/gutenberg/pull/57538))
- [Pattern overrides] Allow multiple attributes overrides. ([57573](https://github.com/WordPress/gutenberg/pull/57573))


### Documentation

- Add links to additional local dev tools in Block Developement Environment readme. ([57682](https://github.com/WordPress/gutenberg/pull/57682))
- Add new section to the Quick Start Guide about wp-env. ([57559](https://github.com/WordPress/gutenberg/pull/57559))
- Block JSON schema: Add renaming key to supports definition. ([57373](https://github.com/WordPress/gutenberg/pull/57373))
- Break out the Curating the Editor Experience doc into its own How-to Guides section. ([57289](https://github.com/WordPress/gutenberg/pull/57289))
- Change the slug for the theme.json doc to avoid conflicts. ([57410](https://github.com/WordPress/gutenberg/pull/57410))
- Docs/tutorial: Fix opposite condition for content generation in render.php. ([57445](https://github.com/WordPress/gutenberg/pull/57445))
- Docs: Fundamentals of Block Development - Static or Dynamic rendering of a block. ([57250](https://github.com/WordPress/gutenberg/pull/57250))
- Docs: Update sample code to fix React warning error on Tutorial page. ([57412](https://github.com/WordPress/gutenberg/pull/57412))
- Fix formatting issue due to incorrect link parsing in the Quick Start Guide. ([57693](https://github.com/WordPress/gutenberg/pull/57693))
- Fix incorrect heading level in Editor curation documentation. ([57409](https://github.com/WordPress/gutenberg/pull/57409))
- Fix two typos in tutorial.md. ([57627](https://github.com/WordPress/gutenberg/pull/57627))
- Fix: Create block getting started links. ([57551](https://github.com/WordPress/gutenberg/pull/57551))
- Improve the static vs dynamic rendering comment in the block tutorial. ([57284](https://github.com/WordPress/gutenberg/pull/57284))
- Update copyright year to 2024 in `license.md`. ([57481](https://github.com/WordPress/gutenberg/pull/57481))
- Update the "Build your first block" tutorial based on user feedback. ([57403](https://github.com/WordPress/gutenberg/pull/57403))
- Update: Material design icons link. ([57550](https://github.com/WordPress/gutenberg/pull/57550))


### Code Quality
- Editor: Unify the DocumentTools component. ([57214](https://github.com/WordPress/gutenberg/pull/57214))
- Make getLastFocus and setLastFocus private. ([57612](https://github.com/WordPress/gutenberg/pull/57612))
- Remove deprecated `behaviors` syntax. ([57165](https://github.com/WordPress/gutenberg/pull/57165))
- Avoid extra `useMarkPersistent` dispatch calls. ([57435](https://github.com/WordPress/gutenberg/pull/57435))
- Clean up code editor CSS. ([57519](https://github.com/WordPress/gutenberg/pull/57519))
- Combine selectors in 'useTransformCommands'. ([57424](https://github.com/WordPress/gutenberg/pull/57424))

#### Block Library
- Background image: Add has-background classname when background image is applied. ([57495](https://github.com/WordPress/gutenberg/pull/57495))
- File: Remove unnecessary synchronization effect. ([57585](https://github.com/WordPress/gutenberg/pull/57585))
- Navigation: Refactor mobile overlay breakpoints to JS. ([57520](https://github.com/WordPress/gutenberg/pull/57520))
- Search Block: Remove unused `buttonBehavior` attribute. ([53467](https://github.com/WordPress/gutenberg/pull/53467))

#### Patterns
- Improve inserter pattern constants. ([57570](https://github.com/WordPress/gutenberg/pull/57570))
- Remove duplicate setting for `getPostLinkProps` and prefer stable naming. ([57535](https://github.com/WordPress/gutenberg/pull/57535))
- Rename `patternBlock` to `patternPost`. ([57568](https://github.com/WordPress/gutenberg/pull/57568))

#### Post Editor
- Editor: Use hooks instead of HoCs in 'PostVisibilityCheck'. ([57705](https://github.com/WordPress/gutenberg/pull/57705))
- Quality: Avoid React warning when changing rendering mode. ([57413](https://github.com/WordPress/gutenberg/pull/57413))

#### Block Editor
- Editor: Unify the inserter sidebar. ([57466](https://github.com/WordPress/gutenberg/pull/57466))
- Remove unused parameters from useOnBlockDrop. ([57527](https://github.com/WordPress/gutenberg/pull/57527))

#### List View
- Editor: Unify the list view sidebar between the post and site editors. ([57467](https://github.com/WordPress/gutenberg/pull/57467))
- Add drag cursor to draggable list items. ([57493](https://github.com/WordPress/gutenberg/pull/57493))

### Tools
- DependencyExtractionWebpackPlugin: Throw when using scripts from modules. ([57795]
- Dependency Extraction Webpack Plugin: Use `import` for module externals. ([57577](https://github.com/WordPress/gutenberg/pull/57577))
- DependencyExtractionWebpackPlugin: Add true shorthand for requestToExternalModule. ([57593](https://github.com/WordPress/gutenberg/pull/57593))
- DependencyExtractionWebpackPlugin: Use module for @wordpress/interactivity. ([57602](https://github.com/WordPress/gutenberg/pull/57602))
- Fix webpack not setting environment.module true. ([57714](https://github.com/WordPress/gutenberg/pull/57714))
- Modules: Load the import map polyfill when needed. ([57256](https://github.com/WordPress/gutenberg/pull/57256))
- Blocks: Add handling for block.json viewModule. ([57437](https://github.com/WordPress/gutenberg/pull/57437))

#### Testing
- Allowed Patterns end-to-end test - move tests that run with a subset of allowed blocks into a group. ([57496](https://github.com/WordPress/gutenberg/pull/57496))
- Clean up end-to-end tests package. ([57575](https://github.com/WordPress/gutenberg/pull/57575))
- Fix flaky 'Post publish button' end-to-end test. ([57407](https://github.com/WordPress/gutenberg/pull/57407))
- Migrate 'allowed patterns' end-to-end tests to Playwright. ([57399](https://github.com/WordPress/gutenberg/pull/57399))
- Migrate 'block editor keyboard shortcuts' end-to-end tests to Playwright. ([57422](https://github.com/WordPress/gutenberg/pull/57422))
- Migrate 'core settings' end-to-end tests to Playwright. ([57581](https://github.com/WordPress/gutenberg/pull/57581))
- Migrate 'datepicker' end-to-end tests to Playwright. ([57545](https://github.com/WordPress/gutenberg/pull/57545))
- Migrate 'dropdown menu' end-to-end tests to Playwright. ([57663](https://github.com/WordPress/gutenberg/pull/57663))
- Migrate 'editor modes' end-to-end tests to Playwright. ([57574](https://github.com/WordPress/gutenberg/pull/57574))
- Migrate 'invalid blocks' end-to-end tests to Playwright. ([57508](https://github.com/WordPress/gutenberg/pull/57508))
- Migrate 'nux' end-to-end tests to Playwright. ([57542](https://github.com/WordPress/gutenberg/pull/57542))
- Migrate 'preferences' end-to-end tests to Playwright. ([57446](https://github.com/WordPress/gutenberg/pull/57446))
- Migrate 'publishing' end-to-end tests to Playwright. ([57521](https://github.com/WordPress/gutenberg/pull/57521))
- Migrate 'scheduling' end-to-end tests to Playwright. ([57539](https://github.com/WordPress/gutenberg/pull/57539))
- Migrate 'sidebar' end-to-end tests to Playwright. ([57448](https://github.com/WordPress/gutenberg/pull/57448))
- Migrate 'taxonomies' end-to-end tests to Playwright. ([57662](https://github.com/WordPress/gutenberg/pull/57662))
- Migrate `editing-widgets` to Playwright. ([57483](https://github.com/WordPress/gutenberg/pull/57483))
- Migrate remaining 'publish panel' end-to-end tests to Playwright. ([57432](https://github.com/WordPress/gutenberg/pull/57432))
- Update 'missing block' end-to-end tests to use the 'setContent' helper. ([57509](https://github.com/WordPress/gutenberg/pull/57509))

#### Build Tooling
- Group GitHub Action Dependabot updates. ([57591](https://github.com/WordPress/gutenberg/pull/57591))
- WP Scripts: Build block.json viewModule. ([57461](https://github.com/WordPress/gutenberg/pull/57461))
- Dependency Extraction Webpack Plugin: Add Module support. ([57199](https://github.com/WordPress/gutenberg/pull/57199))

## First time contributors

The following PRs were merged by first time contributors:

- @HrithikDalal: Font Library: Update font uninstall modal text. ([57368](https://github.com/WordPress/gutenberg/pull/57368))
- @muhme: Fix two typos in tutorial.md. ([57627](https://github.com/WordPress/gutenberg/pull/57627))


## Contributors

The following contributors merged PRs in this release:

@afercia @andrewhayward @andrewserong @atachibana @c4rl0sbr4v0 @carolinan @chad1008 @ciampo @DAreRodz @dcalhoun @derekblank @desrosj @ellatrix @fai-sal @fluiddot @geriux @getdave @glendaviesnz @gziolo @hbhalodia @HrithikDalal @jameskoster @jeryj @jorgefilipecosta @jsnajdr @juanmaguitar @kevin940726 @Mamaduka @matiasbenedetto @mcsf @michalczaplinski @mirka @muhme @ndiego @ntsekouras @oandregal @ockham @ramonjd @scruffian @sirreal @Soean @t-hamano @talldan @tellthemachines @youknowriad




= 17.3.2 =

## Changelog

### Bug Fixes

- Site editor: fix image upload bug ([57040](https://github.com/WordPress/gutenberg/pull/57040))

## Contributors

The following contributors merged PRs in this release:

@glendaviesnz 




= 17.4.1 =

## Changelog

### Bug Fixes

- Rich text: add HTML string methods to RichTextData ([57322](https://github.com/WordPress/gutenberg/pull/57322))

## Contributors

The following contributors merged PRs in this release:

@ellatrix


= 17.3.1 =

## Changelog

### Bug Fixes

- Rich text: add HTML string methods to RichTextData ([57322](https://github.com/WordPress/gutenberg/pull/57322))

## Contributors

The following contributors merged PRs in this release:

@ellatrix 



= 17.4.0 =



## Changelog

### Enhancements

#### Components
- Refactor experimental dropdown menu usages to latest version. ([55625](https://github.com/WordPress/gutenberg/pull/55625))
- Replace `TabPanel` with `Tabs` in the Block Inspector. ([56995](https://github.com/WordPress/gutenberg/pull/56995))
- Replace `TabPanel` with `Tabs` in the editor Global Styles color palette. ([57126](https://github.com/WordPress/gutenberg/pull/57126))
- ToggleGroupControl: Update large button size to 32px. ([57338](https://github.com/WordPress/gutenberg/pull/57338))
- Update ariakit version. ([57325](https://github.com/WordPress/gutenberg/pull/57325))
- `CustomSelect`: Add `WordPressComponentsProps`. ([56998](https://github.com/WordPress/gutenberg/pull/56998))
- `Modal`: Improve application of body class names. ([55430](https://github.com/WordPress/gutenberg/pull/55430))
- - Components: Replace `TabPanel` with `Tabs` in the Block Inserter. ([56918](https://github.com/WordPress/gutenberg/pull/56918))

#### Site Editor
- Add Page Attributes panel. ([57151](https://github.com/WordPress/gutenberg/pull/57151))
- Add Post Taxonomies panel. ([57049](https://github.com/WordPress/gutenberg/pull/57049))
- Add View Link. ([57153](https://github.com/WordPress/gutenberg/pull/57153))
- Add the Discussion panel. ([57150](https://github.com/WordPress/gutenberg/pull/57150))
- Add the featured image panel. ([57053](https://github.com/WordPress/gutenberg/pull/57053))
- Editor: Unify revision panel between post and site editors. ([57010](https://github.com/WordPress/gutenberg/pull/57010))
- Social Link block: Obfuscate email address. ([57384](https://github.com/WordPress/gutenberg/pull/57384))
- DataViews: Mark the new Templates pages as stable. ([57109](https://github.com/WordPress/gutenberg/pull/57109))

#### Design Tools
- Background image: Add backgroundSize and repeat features. ([57005](https://github.com/WordPress/gutenberg/pull/57005))
- Make sure theme color palette presets are output when appearance tools are enabled. ([57190](https://github.com/WordPress/gutenberg/pull/57190))
- Move tools panel to the left of the inspector. ([55785](https://github.com/WordPress/gutenberg/pull/55785))

#### Global Styles
- Global styles revisions: Add pagination. ([56799](https://github.com/WordPress/gutenberg/pull/56799))
- Global styles revisions: Integrate style book. ([56800](https://github.com/WordPress/gutenberg/pull/56800))

### Bug Fixes

#### Components
- DropdownMenu V2: Add fallback styles for when subgrid is not supported. ([57327](https://github.com/WordPress/gutenberg/pull/57327))
- DropdownMenuV2: Do not collapse suffix width. ([57238](https://github.com/WordPress/gutenberg/pull/57238))
- Fix DayButton dot position and expand Button area. ([55502](https://github.com/WordPress/gutenberg/pull/55502))
- Fix logic of `has-text` class addition in Button. ([56949](https://github.com/WordPress/gutenberg/pull/56949))
- Palette Edit: Don't discards colors with default name and slug. ([54332](https://github.com/WordPress/gutenberg/pull/54332))
- PaletteEdit: Consider digits when generating kebab-cased slug. ([56713](https://github.com/WordPress/gutenberg/pull/56713))
- RadioControl: Fully encapsulate styles. ([57347](https://github.com/WordPress/gutenberg/pull/57347))
- Tabs: Make sure individual `Tab`s are linked to the correct `TabPanel`s. ([57033](https://github.com/WordPress/gutenberg/pull/57033))
- Text selection: Show CSS hack to Safari only. ([57300](https://github.com/WordPress/gutenberg/pull/57300))
- Truncate: Improve handling of non-string children. ([57261](https://github.com/WordPress/gutenberg/pull/57261))
- `FormTokenField`: Handle `disabled` prop on internal `Button`. ([57187](https://github.com/WordPress/gutenberg/pull/57187))
- tab panel: Don't render hidden content by default. ([57046](https://github.com/WordPress/gutenberg/pull/57046))

#### Block Editor
- Exclude disabled buttons when setting initialIndex of NavigableToolbar. ([57280](https://github.com/WordPress/gutenberg/pull/57280))
- Fix BlockSwitcher checks for showing a Dropdown menu or not. ([57047](https://github.com/WordPress/gutenberg/pull/57047))
- Fix block lock toolbar item stealing focus when mounted with StrictMode. ([57185](https://github.com/WordPress/gutenberg/pull/57185))
- Fix content lock UI regression. ([56974](https://github.com/WordPress/gutenberg/pull/56974))
- Fix vertical overflow when inserter is open in post and site editor. ([57127](https://github.com/WordPress/gutenberg/pull/57127))
- Hide drop indicator where block isn't allowed to drop. ([56843](https://github.com/WordPress/gutenberg/pull/56843))
- InserterListItem: Use item.isDisabled to detect disabled item. ([57161](https://github.com/WordPress/gutenberg/pull/57161))
- More settings tip: Add explicit font size. ([55835](https://github.com/WordPress/gutenberg/pull/55835))
- Writing flow: Absorb partial multi selection dispatching. ([47525](https://github.com/WordPress/gutenberg/pull/47525))
- Fix the block 'edit' property validation. ([57193](https://github.com/WordPress/gutenberg/pull/57193))

#### Block Library
- Audio: Hide some controls when multi-editing blocks. ([57376](https://github.com/WordPress/gutenberg/pull/57376))
- Disable resizing when viewport is small and wide-aligned. ([57041](https://github.com/WordPress/gutenberg/pull/57041))
- Gallery: Hide some controls when multi-editing blocks. ([57378](https://github.com/WordPress/gutenberg/pull/57378))
- Image Block: Get lightbox trigger button ref via data-wp-init. ([57089](https://github.com/WordPress/gutenberg/pull/57089))
- Image: Hide caption control when multi-editing images. ([57357](https://github.com/WordPress/gutenberg/pull/57357))
- Video: Hide some controls when multi-editing blocks. ([57375](https://github.com/WordPress/gutenberg/pull/57375)) 
- Image Block: Fix deprecation when width/height attribute is number. ([57063](https://github.com/WordPress/gutenberg/pull/57063))

#### Patterns
- Fix: Viewport width not accounted for in the Site Editor > Patterns view. ([55803](https://github.com/WordPress/gutenberg/pull/55803))
- Override all the labels of the pattern categories taxonomy. ([57094](https://github.com/WordPress/gutenberg/pull/57094))
- Pattern Category: Change show_tagcloud to false. ([57212](https://github.com/WordPress/gutenberg/pull/57212))
- Patterns (unsynced): Prevent infinite loops due to recursive patterns. ([56511](https://github.com/WordPress/gutenberg/pull/56511))

#### Site Editor
- Fix image upload bug. ([57040](https://github.com/WordPress/gutenberg/pull/57040))
- Reduce clearance around the Frame in the site editor. ([57023](https://github.com/WordPress/gutenberg/pull/57023))
- Swap Template: Show the right templates for the right post type. ([57149](https://github.com/WordPress/gutenberg/pull/57149))
- Save Button: Fix the translation of the Activate button. ([57147](https://github.com/WordPress/gutenberg/pull/57147)) 
- SlotFill: Allow contextual SlotFillProviders. ([56779](https://github.com/WordPress/gutenberg/pull/56779))

#### Post Editor
- Editor: Use visibility selector for PostTemplatePanel. ([57224](https://github.com/WordPress/gutenberg/pull/57224))
- Fix: Code editor title width in classic theme. ([56922](https://github.com/WordPress/gutenberg/pull/56922))


#### Design Tools
- Allow default duotone styles in classic themes. ([57191](https://github.com/WordPress/gutenberg/pull/57191))
- StylesPreview: Fix endless loop of ratio calculations when on the threshold of a scrollbar. ([57090](https://github.com/WordPress/gutenberg/pull/57090))

#### Interactivity API
- Fix namespaces in nested interactive regions. ([57029](https://github.com/WordPress/gutenberg/pull/57029))
- Fix Interactivity not working on Classic Themes. ([57396](https://github.com/WordPress/gutenberg/pull/57396))
#### Collaborative Editing
- Collab editing: Ensure block attributes are serialisable. ([57025](https://github.com/WordPress/gutenberg/pull/57025))

### Accessibility

- Font size picker: Fix Reset button focus loss. ([57196](https://github.com/WordPress/gutenberg/pull/57196))
- a11y: Apply focus style to revision items. ([57039](https://github.com/WordPress/gutenberg/pull/57039))
- [a11y] Fix: Use spans instead of headings on dataviews table view page title. ([56956](https://github.com/WordPress/gutenberg/pull/56956))


### Performance

#### Block Editor
- Block: Combine store subscriptions. ([56994](https://github.com/WordPress/gutenberg/pull/56994))
- Combine selectors in the 'BackgroundImagePanelItem' component. ([57159](https://github.com/WordPress/gutenberg/pull/57159))
- InnerBlocks: overlay: Remove viewport size condition. ([57135](https://github.com/WordPress/gutenberg/pull/57135))
- Prevent layout re-rendering when changing selected block. ([57136](https://github.com/WordPress/gutenberg/pull/57136))
- Prevent re-rendering the editor header when the selected block changes. ([57140](https://github.com/WordPress/gutenberg/pull/57140))
- Rewrite moving animation for better load performance. ([57133](https://github.com/WordPress/gutenberg/pull/57133))
- Rich text: Avoid block editor subscription if not selected. ([57226](https://github.com/WordPress/gutenberg/pull/57226))
- Try removing extra memoization for individual style panels. ([57160](https://github.com/WordPress/gutenberg/pull/57160))
- hooks: Manage save props in one place. ([57043](https://github.com/WordPress/gutenberg/pull/57043))

#### Block Library
- Gallery: Combine useSelect calls. ([57240](https://github.com/WordPress/gutenberg/pull/57240))
- Image: Reduce 'block-editor' store subscriptions. ([57358](https://github.com/WordPress/gutenberg/pull/57358))
- List: Avoid useSelect in block render. ([57077](https://github.com/WordPress/gutenberg/pull/57077))
- Blocks: Simplify/optimise isUnmodifiedBlock. ([56919](https://github.com/WordPress/gutenberg/pull/56919))
- InnerBlocks: Combine store subscriptions. ([57032](https://github.com/WordPress/gutenberg/pull/57032))


#### Components
- Navigator: Use CSS animations instead of framer-motion. ([56909](https://github.com/WordPress/gutenberg/pull/56909))
- useSelect: Only invalidate on subscribe if store changed. ([57108](https://github.com/WordPress/gutenberg/pull/57108))

### Experiments

#### Data Views
- Add hover style to table rows. ([57058](https://github.com/WordPress/gutenberg/pull/57058))
- Add: See revisions template action. ([57175](https://github.com/WordPress/gutenberg/pull/57175))
- Code Quality: Update: Reuse view revisions action on templates and pages. ([57208](https://github.com/WordPress/gutenberg/pull/57208))
- DataViews: Add list layout to templates. ([57014](https://github.com/WordPress/gutenberg/pull/57014))
- DataViews: Align filter implementations. ([57059](https://github.com/WordPress/gutenberg/pull/57059))
- DataViews: Centralize control of filter visibility in the `Filters` component. ([57056](https://github.com/WordPress/gutenberg/pull/57056))
- DataViews: Close actions menu upon switching layouts. ([57015](https://github.com/WordPress/gutenberg/pull/57015))
- DataViews: Display column header when the field is only filterable. ([57051](https://github.com/WordPress/gutenberg/pull/57051))
- DataViews: Fix bug on operators count for table layout. ([57048](https://github.com/WordPress/gutenberg/pull/57048))
- DataViews: Improve naming for easy identification in React devtools. ([57385](https://github.com/WordPress/gutenberg/pull/57385))
- DataViews: Improve preview. ([57116](https://github.com/WordPress/gutenberg/pull/57116))
- DataViews: Make `deferredRendering` prop optional. ([57334](https://github.com/WordPress/gutenberg/pull/57334))
- DataViews: Make `getItemId` optional. ([57308](https://github.com/WordPress/gutenberg/pull/57308))
- DataViews: Make filters footprint more condensed. ([56983](https://github.com/WordPress/gutenberg/pull/56983))
- DataViews: Memoize `onSelectionChange` callback. ([57390](https://github.com/WordPress/gutenberg/pull/57390))
- DataViews: Remove `paginationInfo` prop from ViewComponent. ([57306](https://github.com/WordPress/gutenberg/pull/57306))
- DataViews: Remove reference to edit site class. ([57075](https://github.com/WordPress/gutenberg/pull/57075))
- DataViews: Rename `operatorsFromField` to `sanitizeOperators`. ([57050](https://github.com/WordPress/gutenberg/pull/57050))
- DataViews: Update `onChangeView` memoization. ([57393](https://github.com/WordPress/gutenberg/pull/57393))
- DataViews: Update documentation. ([57305](https://github.com/WordPress/gutenberg/pull/57305))
- DataViews: Use SelectControl for selecting a page. ([57215](https://github.com/WordPress/gutenberg/pull/57215))
- Dataviews: Simplify pagination. ([57071](https://github.com/WordPress/gutenberg/pull/57071))
- Fix: Empty dropdown(s) on the grid view. ([57316](https://github.com/WordPress/gutenberg/pull/57316))
- Fix: Template list title font styles. ([57027](https://github.com/WordPress/gutenberg/pull/57027))
- Sort order: Use unicode characters instead of svg icons. ([56833](https://github.com/WordPress/gutenberg/pull/56833))
- Update: Make secondary actions trigger always visible. ([57174](https://github.com/WordPress/gutenberg/pull/57174))
- Use default variants for Filter and View buttons. ([57057](https://github.com/WordPress/gutenberg/pull/57057))

#### Patterns
- Fix broken undo history stack for Pattern Overrides. ([57088](https://github.com/WordPress/gutenberg/pull/57088))
- Fix unsaved pattern not reflecting on pattern overrides. ([57148](https://github.com/WordPress/gutenberg/pull/57148))
- [Pattern Overrides] Use a single checkbox to turn on pattern overrides for all allowed attributes. ([57009](https://github.com/WordPress/gutenberg/pull/57009))

#### List View
- Allow right-click to open block settings dropdown, add editor setting. ([50273](https://github.com/WordPress/gutenberg/pull/50273))

### Documentation

- Add new section on markup representation of a block. ([57230](https://github.com/WordPress/gutenberg/pull/57230))
- Added additional explanations to attributes and supports sections. ([57120](https://github.com/WordPress/gutenberg/pull/57120))
- Added documentation for the text-decoration-control component. ([57184](https://github.com/WordPress/gutenberg/pull/57184))
- CardHeader used instead of CardFooter. ([45585](https://github.com/WordPress/gutenberg/pull/45585))
- Components: Update TypeScript-related tips in Contributing Guide. ([57267](https://github.com/WordPress/gutenberg/pull/57267))
- Doc: Block Wrapper - enclose html tag, use correct keyword `supports` not `support`. ([56906](https://github.com/WordPress/gutenberg/pull/56906))
- Docs/getting started readme. ([57223](https://github.com/WordPress/gutenberg/pull/57223))
- Docs: Add new "Build your first block" tutorial to the Getting Started section of the BEH. ([56931](https://github.com/WordPress/gutenberg/pull/56931))
- Docs: Fundamentals block development/block in the editor -- add page to manifest (toc). ([57179](https://github.com/WordPress/gutenberg/pull/57179))
- Docs: Fundamentals of Block Development - block in the editor. ([56488](https://github.com/WordPress/gutenberg/pull/56488))
- Enforce heading sentence case throughout the BEH. ([57143](https://github.com/WordPress/gutenberg/pull/57143))
- Fix grammar and typos in the Block Development Environment doc. ([57123](https://github.com/WordPress/gutenberg/pull/57123))
- Fix incorrect links in ToggleGroupControl docs. ([57236](https://github.com/WordPress/gutenberg/pull/57236))
- Fix: Typo on footnotes docs. ([57348](https://github.com/WordPress/gutenberg/pull/57348))
- Fixes heading hierarchy in block filters. ([57239](https://github.com/WordPress/gutenberg/pull/57239))
- Minor heading to improve readability and reference. ([57102](https://github.com/WordPress/gutenberg/pull/57102))
- Platform Docs: Fix missing link. ([57145](https://github.com/WordPress/gutenberg/pull/57145))
- Remove Radix UI-related documentation. ([57336](https://github.com/WordPress/gutenberg/pull/57336))
- Remove links to excalidraw diagrams from images. ([56980](https://github.com/WordPress/gutenberg/pull/56980))
- Remove the "How to use JavaScript in the Block Editor" documentation. ([57166](https://github.com/WordPress/gutenberg/pull/57166))
- Remove unnecessary TOCs from documentation. ([57087](https://github.com/WordPress/gutenberg/pull/57087))
- Restore descriptions for deprecated button props. ([37690](https://github.com/WordPress/gutenberg/pull/37690))
- Small heading fix. ([57098](https://github.com/WordPress/gutenberg/pull/57098))
- Snackbar: Remove `__unstableHTML` prop from TS. ([57218](https://github.com/WordPress/gutenberg/pull/57218))
- Update block toolbar and settings sidebar image. ([57203](https://github.com/WordPress/gutenberg/pull/57203))
- fix: Updated the link for "Building a custom block editor". ([57319](https://github.com/WordPress/gutenberg/pull/57319))


### Code Quality

- Add missing block/theme json $schema property. ([57201](https://github.com/WordPress/gutenberg/pull/57201))
- Add missing period in block descriptions. ([57131](https://github.com/WordPress/gutenberg/pull/57131))
- Fix code style in Gutenberg_HTML_Tag_Processor_6_5. ([57030](https://github.com/WordPress/gutenberg/pull/57030))
- Font size picker: Use Button API for keeping focus on reset. ([57221](https://github.com/WordPress/gutenberg/pull/57221))
- Mobile: Fix getPxFromCssUnit circular dependency. ([57045](https://github.com/WordPress/gutenberg/pull/57045))

#### Block Editor
- Editor: Move the Excerpt panel to the editor package. ([57096](https://github.com/WordPress/gutenberg/pull/57096))
- Refactor useCanContextualToolbarShow for simplicity and clarity. ([56914](https://github.com/WordPress/gutenberg/pull/56914))
- Remove unnecessary isDisabled option on useShortcut for BlockToolbarPopover. ([56907](https://github.com/WordPress/gutenberg/pull/56907))
- Replace block variation buttons with ToggleGroupControl. ([45654](https://github.com/WordPress/gutenberg/pull/45654))
- Replace isSmall prop #53560. ([53599](https://github.com/WordPress/gutenberg/pull/53599))
- Several little refactors. ([57107](https://github.com/WordPress/gutenberg/pull/57107))
- useBlockTypesState: Divide useSelect call into two. ([57163](https://github.com/WordPress/gutenberg/pull/57163))
- useInputRules: Remove unneeded check for inputRule. ([57164](https://github.com/WordPress/gutenberg/pull/57164))

#### Components
- Adding unit tests for `useCompositeState` to `Composite` component. ([56645](https://github.com/WordPress/gutenberg/pull/56645))
- Delete experimental radix-ui based DropdownMenu component. ([55626](https://github.com/WordPress/gutenberg/pull/55626))
- GradientPicker: Use index while iterating over gradient entries to avoid React "duplicated key" warning. ([57361](https://github.com/WordPress/gutenberg/pull/57361))
- TabPanel: Refactor unit tests to @ariakit/test. ([57302](https://github.com/WordPress/gutenberg/pull/57302))
- Tabs: Update styling to more closely match previous implementation. ([57275](https://github.com/WordPress/gutenberg/pull/57275))
- ToggleGroupControl: Fix snapshots. ([57367](https://github.com/WordPress/gutenberg/pull/57367))
- Move kebabCase() function from block-editor package and mark it as private API. ([56758](https://github.com/WordPress/gutenberg/pull/56758))

#### Block Library
- Gallery Block: Remove unused attributes property in shortcode transformation. ([57356](https://github.com/WordPress/gutenberg/pull/57356))
- Remove cruft in Button block editor styles. ([30950](https://github.com/WordPress/gutenberg/pull/30950))
- Tag Cloud: Replace 'withSelect' HoC with 'useSelect'. ([57194](https://github.com/WordPress/gutenberg/pull/57194))

#### Global Styles
- Global styles revisions: Refactor sticky pagination footer to use CSS. ([57294](https://github.com/WordPress/gutenberg/pull/57294))
- Relocate revisions from fill to sidebar component. ([57034](https://github.com/WordPress/gutenberg/pull/57034))
- Simplify the conditions in GlobalStylesEditorCanvasContainerLink. ([57144](https://github.com/WordPress/gutenberg/pull/57144))

#### List View
- Editor: Move and unify the inserter and list view states. ([57158](https://github.com/WordPress/gutenberg/pull/57158))
- Editor: Unify the list view shortcut registration and definition. ([57200](https://github.com/WordPress/gutenberg/pull/57200))
- ListView: Replace prop drilldown by a stable ref in store. ([57198](https://github.com/WordPress/gutenberg/pull/57198))

#### Typography
- Font Library: Consolidate existing API rest endpoints. ([57282](https://github.com/WordPress/gutenberg/pull/57282))
- Quality: Replace wpKebabCase function with kebabCase function from components package. ([57038](https://github.com/WordPress/gutenberg/pull/57038))

#### Site Editor
- Editor: Move the panel visibility state from the edit-post to the editor package. ([57012](https://github.com/WordPress/gutenberg/pull/57012))
- Remove `isResizing` variable from layout component as it is always false. ([57119](https://github.com/WordPress/gutenberg/pull/57119))
- Allow disabling and enabling comments. ([57205](https://github.com/WordPress/gutenberg/pull/57205))

#### Navigation Menus
- Add basic test coverage for Navigation Menu editing mode. ([56871](https://github.com/WordPress/gutenberg/pull/56871))
- Fix flaky Navigation focus mode test. ([57016](https://github.com/WordPress/gutenberg/pull/57016))

#### Plugin
- Implement proposal to remove the WordPress-Docs ruleset. ([56982](https://github.com/WordPress/gutenberg/pull/56982))
- i18n: Make menu and title labels in Gutenberg plugin translatable. ([43500](https://github.com/WordPress/gutenberg/pull/43500))

#### Modules API
- Refactor, tests, and final dependencies array structure. ([57231](https://github.com/WordPress/gutenberg/pull/57231))

### Tools

- Dependency Extraction Webpack Plugin: Fix test issues. ([57332](https://github.com/WordPress/gutenberg/pull/57332))

#### Testing
- Add  an end-to-end test to check image upload working in site editor. ([57086](https://github.com/WordPress/gutenberg/pull/57086))
- Components: Add unit test `__experimentalExpandOnFocus` unit tests for `FormTokenField`. ([57122](https://github.com/WordPress/gutenberg/pull/57122))
- Global styles revisions e2e: Tidy up selectors to open revisions panel. ([57146](https://github.com/WordPress/gutenberg/pull/57146))
- Migrate 'Comments Form' end-to-end tests to Playwright. ([57337](https://github.com/WordPress/gutenberg/pull/57337))
- Migrate Site Editor 'settings sidebar' end-to-end tests to Playwright. ([57392](https://github.com/WordPress/gutenberg/pull/57392))
- Migrate remaining 'block switcher' end-to-end tests to Playwright. ([57381](https://github.com/WordPress/gutenberg/pull/57381))
- e2e: Try to fix flaky font-library test. ([57092](https://github.com/WordPress/gutenberg/pull/57092))

#### Build Tooling
- DependencyExtractionWebpackPlugin: Drop webpack4 and node<18. ([57303](https://github.com/WordPress/gutenberg/pull/57303))
- Disable webpack perf hints when compiling packages. ([57155](https://github.com/WordPress/gutenberg/pull/57155))
- Update to Node.js 20.x. ([56331](https://github.com/WordPress/gutenberg/pull/56331))

## First time contributors

The following PRs were merged by first time contributors:

- @dotslashbit: fix: Updated the link for "Building a custom block editor". ([57319](https://github.com/WordPress/gutenberg/pull/57319))
- @koen12344: Restore descriptions for deprecated button props. ([37690](https://github.com/WordPress/gutenberg/pull/37690))
- @kurudrive: Fix DayButton dot position and expand Button area. ([55502](https://github.com/WordPress/gutenberg/pull/55502))


## Contributors

The following contributors merged PRs in this release:

@andrewhayward @andrewserong @anton-vlasenko @arthur791004 @atachibana @bacoords @BenjaminZekavica @brookewp @c4rl0sbr4v0 @chad1008 @ciampo @colorful-tones @DAreRodz @dcalhoun @ddryo @derekblank @desrosj @dotslashbit @ellatrix @fluiddot @geriux @getdave @glendaviesnz @gvgvgvijayan @jameskoster @jasmussen @jeryj @jorgefilipecosta @jsnajdr @juanmaguitar @kevin940726 @koen12344 @kurudrive @luisherranz @Mamaduka @matiasbenedetto @mcsf @mhimon @mirka @ndiego @ntsekouras @oandregal @ockham @ramonjd @richtabor @SiobhyB @sirreal @stokesman @t-hamano @tellthemachines @TimBroddin @youknowriad @yuliyan




= 17.2.4 =

## Changelog

### Bug Fixes

- Site editor: fix image upload bug ([57040](https://github.com/WordPress/gutenberg/pull/57040))

## Contributors

The following contributors merged PRs in this release:

@glendaviesnz 




= 17.3.0 =



## Changelog

### Bug Fixes

- (edit-site)(use-init-edited-entity-from-url) Safely access `toString()` on `siteData`'s `page_on_front`. ([57035](https://github.com/WordPress/gutenberg/pull/57035))

#### Components
- Fix form token field suggestion list reopening after blurring the input. ([57002](https://github.com/WordPress/gutenberg/pull/57002))




## Contributors

The following contributors merged PRs in this release:

@fullofcaffeine @talldan

= 17.3.0-rc.1 =


## Changelog

### Enhancements

- Components: Replace `TabPanel` with `Tabs` in the editor's `ColorPanel`. ([56878](https://github.com/WordPress/gutenberg/pull/56878))
- Editor: Move the edit template blocks notification to editor package. ([56901](https://github.com/WordPress/gutenberg/pull/56901))
- Editor: Unify the preview dropdown between post and site editors. ([56921](https://github.com/WordPress/gutenberg/pull/56921))
- Editor: Use the same PostTemplatePanel between post and site editors. ([56817](https://github.com/WordPress/gutenberg/pull/56817))
- Tabs: Replace `id` with new `tabId` prop. ([56883](https://github.com/WordPress/gutenberg/pull/56883))
- Update main toolbar buttons to all be compact. ([56635](https://github.com/WordPress/gutenberg/pull/56635), [56729](https://github.com/WordPress/gutenberg/pull/56729))
- Update preferences organization. ([56481](https://github.com/WordPress/gutenberg/pull/56481))

#### Components
- FocalPointPicker with __next40pxDefaultSize. ([56021](https://github.com/WordPress/gutenberg/pull/56021))
- Font Library: Improve usability of font variant selection. ([56158](https://github.com/WordPress/gutenberg/pull/56158))
- Tabs: Sync browser focus to selected tab in controlled mode. ([56658](https://github.com/WordPress/gutenberg/pull/56658))
- Use consistent styling for duotone panels. ([56801](https://github.com/WordPress/gutenberg/pull/56801))
- `BorderControl`: Fix button styles. ([56730](https://github.com/WordPress/gutenberg/pull/56730))
- `DimensionControl`: Add __next40pxDefaultSize prop. ([56805](https://github.com/WordPress/gutenberg/pull/56805))
- `FontSizePicker`: Add opt-in prop for 40px default size. ([56804](https://github.com/WordPress/gutenberg/pull/56804))
- `QueryControls`: Add opt-in prop for 40px default size. ([56576](https://github.com/WordPress/gutenberg/pull/56576))

#### Block Library
- Control dimensions (margin and padding) of the list-item block. ([55874](https://github.com/WordPress/gutenberg/pull/55874))
- Consistent default typography controls across blocks. ([55208](https://github.com/WordPress/gutenberg/pull/55208))
- Social Icons: Add Gravatar service. ([56544](https://github.com/WordPress/gutenberg/pull/56544))
- Tweak table block placeholder with __next40pxDefaultSize props. ([56935](https://github.com/WordPress/gutenberg/pull/56935))

#### Site Editor
- Merge the post only mode and the post editor. ([56671](https://github.com/WordPress/gutenberg/pull/56671))
- Site Editor Sidebar: Add "Areas" details panel to all templates and update icon. ([55677](https://github.com/WordPress/gutenberg/pull/55677))

#### Block Editor
- Allow dragging between adjacent container blocks based on a threshold. ([56466](https://github.com/WordPress/gutenberg/pull/56466))
- Components: Replace `TabPanel` with `Tabs` in the editor's `ColorGradientControl`. ([56351](https://github.com/WordPress/gutenberg/pull/56351))

#### Data Views
- Update data view layout. ([56786](https://github.com/WordPress/gutenberg/pull/56786))

#### Layout
- Match the front end layout classname in the editor. ([56774](https://github.com/WordPress/gutenberg/pull/56774))

#### Global Styles
- Global style revisions: Show change summary on selected item. ([56577](https://github.com/WordPress/gutenberg/pull/56577))

#### Icons
- Another round of HiDPI icon tweaks. ([56532](https://github.com/WordPress/gutenberg/pull/56532))

#### Media
- Update external images panel in post publish sidebar. ([55524](https://github.com/WordPress/gutenberg/pull/55524))

#### Post Editor
- Implement `Tabs` in editor settings. ([55360](https://github.com/WordPress/gutenberg/pull/55360))


### Bug Fixes

- Create-block-interactive-template: Add all files to the generated plugin zip. ([56943](https://github.com/WordPress/gutenberg/pull/56943))
- Create-block-interactive-template: Prevent crash when Gutenberg plugin is not installed. ([56941](https://github.com/WordPress/gutenberg/pull/56941))
- Fix end-to-end test: Update how we find the template title to match markup changes. ([56992](https://github.com/WordPress/gutenberg/pull/56992))
- Fix: Fatal php error if a template was created by an author that was deleted. ([56990](https://github.com/WordPress/gutenberg/pull/56990))
- Fix: PHP 8.1 deprecated warning strpos(). ([56171](https://github.com/WordPress/gutenberg/pull/56171))
- Fix: Use span on template list titles. ([56955](https://github.com/WordPress/gutenberg/pull/56955))
- Font Library: Add font family and font face preview keys to schema. ([56793](https://github.com/WordPress/gutenberg/pull/56793))
- Remove unnecessary CSS for shrinking central header area. ([56220](https://github.com/WordPress/gutenberg/pull/56220))
- Revert format types hook refactor. ([56859](https://github.com/WordPress/gutenberg/pull/56859))
- Show template center UI when no block is selected. ([56217](https://github.com/WordPress/gutenberg/pull/56217))
- setImmutably: Don't clone all objects. ([56612](https://github.com/WordPress/gutenberg/pull/56612))

#### Block Library
- Fix error when using a navigation block that returns an empty fallback result. ([56629](https://github.com/WordPress/gutenberg/pull/56629))
- Fixture Tests: Correctly generate fixture files for form-related blocks. ([56719](https://github.com/WordPress/gutenberg/pull/56719))
- Image: Fix resetting behaviour for alt image text. ([56809](https://github.com/WordPress/gutenberg/pull/56809))
- Social Links Block: Prevent Theme Styles Distorting Size. ([56301](https://github.com/WordPress/gutenberg/pull/56301))
- Update image block save to only save align none class. ([56449](https://github.com/WordPress/gutenberg/pull/56449))

#### Components
- DropdownMenuV2Ariakit: Prevent prefix collapsing if all radios or checkboxes are unselected. ([56720](https://github.com/WordPress/gutenberg/pull/56720))
- FormToggle: Do not use "/" math operator. ([56672](https://github.com/WordPress/gutenberg/pull/56672))
- PaletteEdit: Temporary custom gradient not saving. ([56896](https://github.com/WordPress/gutenberg/pull/56896))
- `ToggleGroupControl`: React correctly to external controlled updates. ([56678](https://github.com/WordPress/gutenberg/pull/56678))

#### Block Editor
- Apply __next40pxDefaultSize to TextControl and Button component in renaming UIs. ([56933](https://github.com/WordPress/gutenberg/pull/56933))
- Pattern inserter: Fix Broken preview layout. ([56814](https://github.com/WordPress/gutenberg/pull/56814))
- Patterns: Keep synced pattern when added via drag and drop. ([56924](https://github.com/WordPress/gutenberg/pull/56924))

#### Design Tools
- Background image support: Fix duplicate output of styling rules. ([56997](https://github.com/WordPress/gutenberg/pull/56997))
- Fix sticky position in classic themes with appearance tools support. ([56743](https://github.com/WordPress/gutenberg/pull/56743))

#### Post Editor
- Editor Canvas: Fix animation when device type changes. ([56970](https://github.com/WordPress/gutenberg/pull/56970))
- Editor: Fix display of edit template blocks notification. ([56978](https://github.com/WordPress/gutenberg/pull/56978))

#### Site Editor
- Fix active edited post. ([56863](https://github.com/WordPress/gutenberg/pull/56863))
- Show back button when editing navigation and template area in-place with no URL params. ([56741](https://github.com/WordPress/gutenberg/pull/56741))

#### Typography
- Fix order of typography sizes and families. ([56659](https://github.com/WordPress/gutenberg/pull/56659))
- Font Library: Fix font uninstallation. ([56762](https://github.com/WordPress/gutenberg/pull/56762))

#### Navigation in Site View
- Navigation editor: Fix content mode. ([56856](https://github.com/WordPress/gutenberg/pull/56856))

#### Patterns
- Fix top position and height of Pattern Modal Sidebar. ([56787](https://github.com/WordPress/gutenberg/pull/56787))

#### Interactivity API
- Start using modules in the interactive create-block template. ([56694](https://github.com/WordPress/gutenberg/pull/56694))

#### Layout
- Fix input not showing when switching to "Fixed" width. ([56660](https://github.com/WordPress/gutenberg/pull/56660))

#### Data Views
- Align data view icon usage. ([56602](https://github.com/WordPress/gutenberg/pull/56602))

#### Block Styles
- Consolidate and resolve display issues between InserterPreviewPanel and BlockStylesPreviewPanel. ([56011](https://github.com/WordPress/gutenberg/pull/56011))

#### Inspector Controls
- Decode some characters if used in taxonomy name so it's displayed correctly in Query Loop filters. ([50376](https://github.com/WordPress/gutenberg/pull/50376))


### Accessibility

#### Data Views
- Add scroll padding to dataviews container. ([56946](https://github.com/WordPress/gutenberg/pull/56946))
- Adding `aria-sort` to table view headers. ([56860](https://github.com/WordPress/gutenberg/pull/56860))
- Fix: Use span instead of heading for the template titles. ([56785](https://github.com/WordPress/gutenberg/pull/56785))

#### Post Editor
- Avoid to show unnecessary Tooltip for the Post Schedule button. ([56759](https://github.com/WordPress/gutenberg/pull/56759))

#### Block Editor
- Increase right padding of URL field to take the Submit button into account. ([56685](https://github.com/WordPress/gutenberg/pull/56685))

#### Site Editor
- Shorter screen reader announcement after changing pages. ([56339](https://github.com/WordPress/gutenberg/pull/56339))

#### Components
- Use tooltip for the Timezone only when necessary. ([56214](https://github.com/WordPress/gutenberg/pull/56214))


### Performance

- Block editor: Make all BlockEdit hooks pure. ([56813](https://github.com/WordPress/gutenberg/pull/56813))
- Block editor: Remove 4 useSelect in favour of context. ([56915](https://github.com/WordPress/gutenberg/pull/56915))
- Block editor: hooks: Avoid BlockEdit filter for content locking UI. ([56957](https://github.com/WordPress/gutenberg/pull/56957))
- Block editor: hooks: Share block settings. ([56852](https://github.com/WordPress/gutenberg/pull/56852))
- Keycodes: Avoid regex for capital case. ([56822](https://github.com/WordPress/gutenberg/pull/56822))
- Measure typing without inspector. ([56753](https://github.com/WordPress/gutenberg/pull/56753))
- Media upload component: Lazy mount. ([56958](https://github.com/WordPress/gutenberg/pull/56958))
- Paragraph: Store subscription for selected block only. ([56967](https://github.com/WordPress/gutenberg/pull/56967))
- Perf: Reopen inspector for remaining tests. ([56780](https://github.com/WordPress/gutenberg/pull/56780))
- useBlockProps: Combine store subscriptions. ([56847](https://github.com/WordPress/gutenberg/pull/56847))

#### Block Editor
- Improve opening inserter in post editor. ([57006](https://github.com/WordPress/gutenberg/pull/57006))
- hooks: Subscribe only to relevant attributes. ([56783](https://github.com/WordPress/gutenberg/pull/56783))

#### Site Editor
- Fix typing performance by not rendering sidebar. ([56927](https://github.com/WordPress/gutenberg/pull/56927))

#### Components
- ToolsPanel: Fix deregister/register on type. ([56770](https://github.com/WordPress/gutenberg/pull/56770))

#### Modules API
- Load the import map polyfill only when there is an import map. ([56699](https://github.com/WordPress/gutenberg/pull/56699))

#### Post Editor
- Editor: Avoid double parsing content in 'getSuggestedPostFormat' selelector. ([56679](https://github.com/WordPress/gutenberg/pull/56679))


### Experiments

#### Data Views
- DataViews: Add story. ([56761](https://github.com/WordPress/gutenberg/pull/56761))
- DataViews: Add support for `NOT IN` operator in filter. ([56479](https://github.com/WordPress/gutenberg/pull/56479))
- DataViews: Centralize the view definition and rename `list` to `table`. ([56693](https://github.com/WordPress/gutenberg/pull/56693))
- DataViews: Do not export strings constants. ([56754](https://github.com/WordPress/gutenberg/pull/56754))
- DataViews: Export the view components as defaults. ([56677](https://github.com/WordPress/gutenberg/pull/56677))
- DataViews: Fix dropdown menu actions with modal. ([56760](https://github.com/WordPress/gutenberg/pull/56760))
- DataViews: Hide pagination if we have only one page. ([56948](https://github.com/WordPress/gutenberg/pull/56948))
- DataViews: Implement `NOT IN` operator for author filter in templates. ([56777](https://github.com/WordPress/gutenberg/pull/56777))
- DataViews: Iterate on list view. ([56746](https://github.com/WordPress/gutenberg/pull/56746))
- DataViews: Make `Actions` styles the same as any other column header. ([56654](https://github.com/WordPress/gutenberg/pull/56654))
- DataViews: Make `mediaField` not hidable. ([56643](https://github.com/WordPress/gutenberg/pull/56643))
- DataViews: Rename view components. ([56709](https://github.com/WordPress/gutenberg/pull/56709))
- DataViews: Render data async conditionally. ([56851](https://github.com/WordPress/gutenberg/pull/56851))
- DataViews: Set proper role for AddFilter's items. ([56714](https://github.com/WordPress/gutenberg/pull/56714))
- DataViews: Set proper semantics for dropdown items. ([56676](https://github.com/WordPress/gutenberg/pull/56676))
- DataViews: Update sorting semantics. ([56717](https://github.com/WordPress/gutenberg/pull/56717))
- Dataviews: Extract to dedicated bundled package. ([56721](https://github.com/WordPress/gutenberg/pull/56721))

#### Block Validation/Deprecation
- Input Field Block: Use `useblockProps` hook in save function. ([56507](https://github.com/WordPress/gutenberg/pull/56507))

#### Patterns
- Implement partially synced patterns behind an experimental flag. ([56235](https://github.com/WordPress/gutenberg/pull/56235))


### Documentation

- Add the nested blocks chapter to the platform documentation. ([56689](https://github.com/WordPress/gutenberg/pull/56689))
- Components: Update CHANGELOG.md. ([56960](https://github.com/WordPress/gutenberg/pull/56960))
- Doc: Search Control - add Storybook link. ([56815](https://github.com/WordPress/gutenberg/pull/56815))
- Doc: Spinner - add Storybook link. ([56818](https://github.com/WordPress/gutenberg/pull/56818))
- Docs: Add storybook link for spinner component. ([56953](https://github.com/WordPress/gutenberg/pull/56953))
- Docs: Fix {% end %} tab position to show the text. ([56735](https://github.com/WordPress/gutenberg/pull/56735))
- Docs: Fundamentals of Block Development - Minor fixes - registration-of-a-block. ([56731](https://github.com/WordPress/gutenberg/pull/56731))
- Docs: Fundamentals of Block Development - add links. ([56700](https://github.com/WordPress/gutenberg/pull/56700))
- Docs: Fundamentals of Block Development ---- Small fixes for "Block wrapper". ([56651](https://github.com/WordPress/gutenberg/pull/56651))
- Link to Dashicons. ([56872](https://github.com/WordPress/gutenberg/pull/56872))
- Platform Docs: Add trusted by section. ([56749](https://github.com/WordPress/gutenberg/pull/56749))
- Revert "Doc: Spinner - add Storybook link". ([56913](https://github.com/WordPress/gutenberg/pull/56913))
- Update Getting Started Guide for Gutenberg 17.2. ([56674](https://github.com/WordPress/gutenberg/pull/56674))
- Update InnerBlocks defaultblock doc usage. ([56728](https://github.com/WordPress/gutenberg/pull/56728))
- Update formatting and fix grammar in the Block Editor Handbook readme. ([56798](https://github.com/WordPress/gutenberg/pull/56798))


### Code Quality

- Block editor: hooks: Avoid getEditWrapperProps. ([56912](https://github.com/WordPress/gutenberg/pull/56912))
- Block lib: Use RichText.isEmpty where forgotten. ([56726](https://github.com/WordPress/gutenberg/pull/56726))
- Block library: Reusable caption component util. ([56606](https://github.com/WordPress/gutenberg/pull/56606))
- Core data revisions: Remove hardcoded supports constant. ([56701](https://github.com/WordPress/gutenberg/pull/56701))
- Editor: Cleanup default editor mode handling. ([56819](https://github.com/WordPress/gutenberg/pull/56819))
- Editor: Move the BlockCanvas component within the EditorCanvas component. ([56850](https://github.com/WordPress/gutenberg/pull/56850))
- Editor: Move the device type state to the editor package. ([56866](https://github.com/WordPress/gutenberg/pull/56866))
- Editor: Unify device preview styles. ([56904](https://github.com/WordPress/gutenberg/pull/56904))
- Fix PHP linter failing. ([56905](https://github.com/WordPress/gutenberg/pull/56905))
- Framework: Bundle the BlockTools component within BlockCanvas. ([56996](https://github.com/WordPress/gutenberg/pull/56996))
- Move `useDebouncedInput` hook to @wordpress/compose package. ([56744](https://github.com/WordPress/gutenberg/pull/56744))
- Post Editor: Rely on the editor store for the template mode state. ([56716](https://github.com/WordPress/gutenberg/pull/56716))
- Refactor <BlockToolbar />. ([56335](https://github.com/WordPress/gutenberg/pull/56335))
- Remove Block Tools BackCompat. ([56874](https://github.com/WordPress/gutenberg/pull/56874))
- Site and Post Editor: Unify the DocumentBar component. ([56778](https://github.com/WordPress/gutenberg/pull/56778))
- getValueFromObjectPath: Remove memize. ([56711](https://github.com/WordPress/gutenberg/pull/56711))

#### Block Editor
- Don't render undefined classname in useBlockProps hook. ([56923](https://github.com/WordPress/gutenberg/pull/56923))
- One hook to rule them all: Preparation for a block supports API. ([56862](https://github.com/WordPress/gutenberg/pull/56862))
- RichText: Pass value to store. ([43204](https://github.com/WordPress/gutenberg/pull/43204))
- hooks: Manage BlockListBlock filters in one place. ([56875](https://github.com/WordPress/gutenberg/pull/56875))

#### Global Styles
- Command Palette: Use getRevisions instead of deprecated selector. ([56738](https://github.com/WordPress/gutenberg/pull/56738))
- Global styles revisions: Remove PHP unit tests that are running in Core. ([56492](https://github.com/WordPress/gutenberg/pull/56492))

#### Components
- Site editor: Do not use navigator's internal classname. ([56911](https://github.com/WordPress/gutenberg/pull/56911))

#### Data Views
- DataViews: Remove TanStack. ([56873](https://github.com/WordPress/gutenberg/pull/56873))


### Tools

- Env: Migrate to Compose V2. ([51339](https://github.com/WordPress/gutenberg/pull/51339))
- Scripts: Fix CSS imports not minified. ([56516](https://github.com/WordPress/gutenberg/pull/56516))
- wp-env: Make env-cwd option work on Windows. ([56265](https://github.com/WordPress/gutenberg/pull/56265))

#### Testing
- Migrate 'editor multi entity saving' end-to-end tests to Playwright. ([56670](https://github.com/WordPress/gutenberg/pull/56670))
- Migrate 'inner-blocks-locking-all-embed' end-to-end tests to Playwright. ([56673](https://github.com/WordPress/gutenberg/pull/56673))
- Migrate 'site editor export' end-to-end tests to Playwright. ([56675](https://github.com/WordPress/gutenberg/pull/56675))
- RN: Add watch mode for native tests. ([56788](https://github.com/WordPress/gutenberg/pull/56788))
- Scripts: Enable skipping Playwright browser installation. ([56594](https://github.com/WordPress/gutenberg/pull/56594))
- Tabs: Implement `ariakit/test` in unit tests. ([56835](https://github.com/WordPress/gutenberg/pull/56835))
- `CustomSelectControl`: Add additional unit tests. ([56575](https://github.com/WordPress/gutenberg/pull/56575))


### Copy

- Copy/fix capitalization of WordPress. ([56834](https://github.com/WordPress/gutenberg/pull/56834))

#### Site Editor
- Improve text and design of the block removal warnings. ([56869](https://github.com/WordPress/gutenberg/pull/56869))

#### Global Styles
- Global styles welcome guide: Add a space between translated strings. ([56839](https://github.com/WordPress/gutenberg/pull/56839))

#### Block Library
- Simplify page list edit warning. ([56829](https://github.com/WordPress/gutenberg/pull/56829))

#### Patterns
- End pattern page descriptions with a period. ([56828](https://github.com/WordPress/gutenberg/pull/56828))


## First time contributors

The following PRs were merged by first time contributors:

- @benoitchantre: Scripts: Fix CSS imports not minified. ([56516](https://github.com/WordPress/gutenberg/pull/56516))
- @kmanijak: Decode some characters if used in taxonomy name so it's displayed correctly in Query Loop filters. ([50376](https://github.com/WordPress/gutenberg/pull/50376))
- @lithrel: Env: Migrate to Compose V2. ([51339](https://github.com/WordPress/gutenberg/pull/51339))
- @nk-o: Fix: PHP 8.1 deprecated warning strpos(). ([56171](https://github.com/WordPress/gutenberg/pull/56171))
- @taylorgorman: Link to Dashicons. ([56872](https://github.com/WordPress/gutenberg/pull/56872))
- @valerogarte: #55702 - Control dimensions (margin and padding) of the list-item block. ([55874](https://github.com/WordPress/gutenberg/pull/55874))


## Contributors

The following contributors merged PRs in this release:

@afercia @ajlende @alexstine @andrewhayward @andrewserong @apeatling @atachibana @Aurorum @benoitchantre @bph @brookewp @chad1008 @ciampo @colorful-tones @dcalhoun @derekblank @draganescu @ellatrix @fluiddot @geriux @getdave @jameskoster @jasmussen @jeherve @jeryj @jffng @jonathanbossenger @jorgefilipecosta @jsnajdr @juanmaguitar @kevin940726 @kmanijak @lithrel @luisherranz @Mamaduka @matiasbenedetto @mikachan @miminari @mtias @ndiego @nk-o @ntsekouras @oandregal @ramonjd @richtabor @scruffian @SiobhyB @t-hamano @talldan @taylorgorman @tellthemachines @tyxla @valerogarte @WunderBart @youknowriad




= 17.2.3 =

## Changelog

### Bug Fixes

#### Components
-   `FormTokenField`: Fix a regression where the suggestion list would re-open after clicking away from the input ([#57002](https://github.com/WordPress/gutenberg/pull/57002)).

## Contributors

The following contributors merged PRs in this release:

@talldan


= 17.2.2 =

This patch release fixes a WSOD which could occur in the site editor. See https://github.com/WordPress/gutenberg/pull/57035.


= 17.3.0-rc.1 =



## Changelog

### Enhancements

- Components: Replace `TabPanel` with `Tabs` in the editor's `ColorPanel`. ([56878](https://github.com/WordPress/gutenberg/pull/56878))
- Editor: Move the edit template blocks notification to editor package. ([56901](https://github.com/WordPress/gutenberg/pull/56901))
- Editor: Unify the preview dropdown between post and site editors. ([56921](https://github.com/WordPress/gutenberg/pull/56921))
- Editor: Use the same PostTemplatePanel between post and site editors. ([56817](https://github.com/WordPress/gutenberg/pull/56817))
- Tabs: Replace `id` with new `tabId` prop. ([56883](https://github.com/WordPress/gutenberg/pull/56883))
- Update main toolbar buttons to all be compact. ([56635](https://github.com/WordPress/gutenberg/pull/56635), [56729](https://github.com/WordPress/gutenberg/pull/56729))
- Update preferences organization. ([56481](https://github.com/WordPress/gutenberg/pull/56481))

#### Components
- FocalPointPicker with __next40pxDefaultSize. ([56021](https://github.com/WordPress/gutenberg/pull/56021))
- Font Library: Improve usability of font variant selection. ([56158](https://github.com/WordPress/gutenberg/pull/56158))
- Tabs: Sync browser focus to selected tab in controlled mode. ([56658](https://github.com/WordPress/gutenberg/pull/56658))
- Use consistent styling for duotone panels. ([56801](https://github.com/WordPress/gutenberg/pull/56801))
- `BorderControl`: Fix button styles. ([56730](https://github.com/WordPress/gutenberg/pull/56730))
- `DimensionControl`: Add __next40pxDefaultSize prop. ([56805](https://github.com/WordPress/gutenberg/pull/56805))
- `FontSizePicker`: Add opt-in prop for 40px default size. ([56804](https://github.com/WordPress/gutenberg/pull/56804))
- `QueryControls`: Add opt-in prop for 40px default size. ([56576](https://github.com/WordPress/gutenberg/pull/56576))

#### Block Library
- Control dimensions (margin and padding) of the list-item block. ([55874](https://github.com/WordPress/gutenberg/pull/55874))
- Consistent default typography controls across blocks. ([55208](https://github.com/WordPress/gutenberg/pull/55208))
- Social Icons: Add Gravatar service. ([56544](https://github.com/WordPress/gutenberg/pull/56544))
- Tweak table block placeholder with __next40pxDefaultSize props. ([56935](https://github.com/WordPress/gutenberg/pull/56935))

#### Site Editor
- Merge the post only mode and the post editor. ([56671](https://github.com/WordPress/gutenberg/pull/56671))
- Site Editor Sidebar: Add "Areas" details panel to all templates and update icon. ([55677](https://github.com/WordPress/gutenberg/pull/55677))

#### Block Editor
- Allow dragging between adjacent container blocks based on a threshold. ([56466](https://github.com/WordPress/gutenberg/pull/56466))
- Components: Replace `TabPanel` with `Tabs` in the editor's `ColorGradientControl`. ([56351](https://github.com/WordPress/gutenberg/pull/56351))

#### Data Views
- Update data view layout. ([56786](https://github.com/WordPress/gutenberg/pull/56786))

#### Layout
- Match the front end layout classname in the editor. ([56774](https://github.com/WordPress/gutenberg/pull/56774))

#### Global Styles
- Global style revisions: Show change summary on selected item. ([56577](https://github.com/WordPress/gutenberg/pull/56577))

#### Icons
- Another round of HiDPI icon tweaks. ([56532](https://github.com/WordPress/gutenberg/pull/56532))

#### Media
- Update external images panel in post publish sidebar. ([55524](https://github.com/WordPress/gutenberg/pull/55524))

#### Post Editor
- Implement `Tabs` in editor settings. ([55360](https://github.com/WordPress/gutenberg/pull/55360))


### Bug Fixes

- Create-block-interactive-template: Add all files to the generated plugin zip. ([56943](https://github.com/WordPress/gutenberg/pull/56943))
- Create-block-interactive-template: Prevent crash when Gutenberg plugin is not installed. ([56941](https://github.com/WordPress/gutenberg/pull/56941))
- Fix end-to-end test: Update how we find the template title to match markup changes. ([56992](https://github.com/WordPress/gutenberg/pull/56992))
- Fix: Fatal php error if a template was created by an author that was deleted. ([56990](https://github.com/WordPress/gutenberg/pull/56990))
- Fix: PHP 8.1 deprecated warning strpos(). ([56171](https://github.com/WordPress/gutenberg/pull/56171))
- Fix: Use span on template list titles. ([56955](https://github.com/WordPress/gutenberg/pull/56955))
- Font Library: Add font family and font face preview keys to schema. ([56793](https://github.com/WordPress/gutenberg/pull/56793))
- Remove unnecessary CSS for shrinking central header area. ([56220](https://github.com/WordPress/gutenberg/pull/56220))
- Revert format types hook refactor. ([56859](https://github.com/WordPress/gutenberg/pull/56859))
- Show template center UI when no block is selected. ([56217](https://github.com/WordPress/gutenberg/pull/56217))
- setImmutably: Don't clone all objects. ([56612](https://github.com/WordPress/gutenberg/pull/56612))

#### Block Library
- Fix error when using a navigation block that returns an empty fallback result. ([56629](https://github.com/WordPress/gutenberg/pull/56629))
- Fixture Tests: Correctly generate fixture files for form-related blocks. ([56719](https://github.com/WordPress/gutenberg/pull/56719))
- Image: Fix resetting behaviour for alt image text. ([56809](https://github.com/WordPress/gutenberg/pull/56809))
- Social Links Block: Prevent Theme Styles Distorting Size. ([56301](https://github.com/WordPress/gutenberg/pull/56301))
- Update image block save to only save align none class. ([56449](https://github.com/WordPress/gutenberg/pull/56449))

#### Components
- DropdownMenuV2Ariakit: Prevent prefix collapsing if all radios or checkboxes are unselected. ([56720](https://github.com/WordPress/gutenberg/pull/56720))
- FormToggle: Do not use "/" math operator. ([56672](https://github.com/WordPress/gutenberg/pull/56672))
- PaletteEdit: Temporary custom gradient not saving. ([56896](https://github.com/WordPress/gutenberg/pull/56896))
- `ToggleGroupControl`: React correctly to external controlled updates. ([56678](https://github.com/WordPress/gutenberg/pull/56678))

#### Block Editor
- Apply __next40pxDefaultSize to TextControl and Button component in renaming UIs. ([56933](https://github.com/WordPress/gutenberg/pull/56933))
- Pattern inserter: Fix Broken preview layout. ([56814](https://github.com/WordPress/gutenberg/pull/56814))
- Patterns: Keep synced pattern when added via drag and drop. ([56924](https://github.com/WordPress/gutenberg/pull/56924))

#### Design Tools
- Background image support: Fix duplicate output of styling rules. ([56997](https://github.com/WordPress/gutenberg/pull/56997))
- Fix sticky position in classic themes with appearance tools support. ([56743](https://github.com/WordPress/gutenberg/pull/56743))

#### Post Editor
- Editor Canvas: Fix animation when device type changes. ([56970](https://github.com/WordPress/gutenberg/pull/56970))
- Editor: Fix display of edit template blocks notification. ([56978](https://github.com/WordPress/gutenberg/pull/56978))

#### Site Editor
- Fix active edited post. ([56863](https://github.com/WordPress/gutenberg/pull/56863))
- Show back button when editing navigation and template area in-place with no URL params. ([56741](https://github.com/WordPress/gutenberg/pull/56741))

#### Typography
- Fix order of typography sizes and families. ([56659](https://github.com/WordPress/gutenberg/pull/56659))
- Font Library: Fix font uninstallation. ([56762](https://github.com/WordPress/gutenberg/pull/56762))

#### Navigation in Site View
- Navigation editor: Fix content mode. ([56856](https://github.com/WordPress/gutenberg/pull/56856))

#### Patterns
- Fix top position and height of Pattern Modal Sidebar. ([56787](https://github.com/WordPress/gutenberg/pull/56787))

#### Interactivity API
- Start using modules in the interactive create-block template. ([56694](https://github.com/WordPress/gutenberg/pull/56694))

#### Layout
- Fix input not showing when switching to "Fixed" width. ([56660](https://github.com/WordPress/gutenberg/pull/56660))

#### Data Views
- Align data view icon usage. ([56602](https://github.com/WordPress/gutenberg/pull/56602))

#### Block Styles
- Consolidate and resolve display issues between InserterPreviewPanel and BlockStylesPreviewPanel. ([56011](https://github.com/WordPress/gutenberg/pull/56011))

#### Inspector Controls
- Decode some characters if used in taxonomy name so it's displayed correctly in Query Loop filters. ([50376](https://github.com/WordPress/gutenberg/pull/50376))


### Accessibility

#### Data Views
- Add scroll padding to dataviews container. ([56946](https://github.com/WordPress/gutenberg/pull/56946))
- Adding `aria-sort` to table view headers. ([56860](https://github.com/WordPress/gutenberg/pull/56860))
- Fix: Use span instead of heading for the template titles. ([56785](https://github.com/WordPress/gutenberg/pull/56785))

#### Post Editor
- Avoid to show unnecessary Tooltip for the Post Schedule button. ([56759](https://github.com/WordPress/gutenberg/pull/56759))

#### Block Editor
- Increase right padding of URL field to take the Submit button into account. ([56685](https://github.com/WordPress/gutenberg/pull/56685))

#### Site Editor
- Shorter screen reader announcement after changing pages. ([56339](https://github.com/WordPress/gutenberg/pull/56339))

#### Components
- Use tooltip for the Timezone only when necessary. ([56214](https://github.com/WordPress/gutenberg/pull/56214))


### Performance

- Block editor: Make all BlockEdit hooks pure. ([56813](https://github.com/WordPress/gutenberg/pull/56813))
- Block editor: Remove 4 useSelect in favour of context. ([56915](https://github.com/WordPress/gutenberg/pull/56915))
- Block editor: hooks: Avoid BlockEdit filter for content locking UI. ([56957](https://github.com/WordPress/gutenberg/pull/56957))
- Block editor: hooks: Share block settings. ([56852](https://github.com/WordPress/gutenberg/pull/56852))
- Keycodes: Avoid regex for capital case. ([56822](https://github.com/WordPress/gutenberg/pull/56822))
- Measure typing without inspector. ([56753](https://github.com/WordPress/gutenberg/pull/56753))
- Media upload component: Lazy mount. ([56958](https://github.com/WordPress/gutenberg/pull/56958))
- Paragraph: Store subscription for selected block only. ([56967](https://github.com/WordPress/gutenberg/pull/56967))
- Perf: Reopen inspector for remaining tests. ([56780](https://github.com/WordPress/gutenberg/pull/56780))
- useBlockProps: Combine store subscriptions. ([56847](https://github.com/WordPress/gutenberg/pull/56847))

#### Block Editor
- Improve opening inserter in post editor. ([57006](https://github.com/WordPress/gutenberg/pull/57006))
- hooks: Subscribe only to relevant attributes. ([56783](https://github.com/WordPress/gutenberg/pull/56783))

#### Site Editor
- Fix typing performance by not rendering sidebar. ([56927](https://github.com/WordPress/gutenberg/pull/56927))

#### Components
- ToolsPanel: Fix deregister/register on type. ([56770](https://github.com/WordPress/gutenberg/pull/56770))

#### Modules API
- Load the import map polyfill only when there is an import map. ([56699](https://github.com/WordPress/gutenberg/pull/56699))

#### Post Editor
- Editor: Avoid double parsing content in 'getSuggestedPostFormat' selelector. ([56679](https://github.com/WordPress/gutenberg/pull/56679))


### Experiments

#### Data Views
- DataViews: Add story. ([56761](https://github.com/WordPress/gutenberg/pull/56761))
- DataViews: Add support for `NOT IN` operator in filter. ([56479](https://github.com/WordPress/gutenberg/pull/56479))
- DataViews: Centralize the view definition and rename `list` to `table`. ([56693](https://github.com/WordPress/gutenberg/pull/56693))
- DataViews: Do not export strings constants. ([56754](https://github.com/WordPress/gutenberg/pull/56754))
- DataViews: Export the view components as defaults. ([56677](https://github.com/WordPress/gutenberg/pull/56677))
- DataViews: Fix dropdown menu actions with modal. ([56760](https://github.com/WordPress/gutenberg/pull/56760))
- DataViews: Hide pagination if we have only one page. ([56948](https://github.com/WordPress/gutenberg/pull/56948))
- DataViews: Implement `NOT IN` operator for author filter in templates. ([56777](https://github.com/WordPress/gutenberg/pull/56777))
- DataViews: Iterate on list view. ([56746](https://github.com/WordPress/gutenberg/pull/56746))
- DataViews: Make `Actions` styles the same as any other column header. ([56654](https://github.com/WordPress/gutenberg/pull/56654))
- DataViews: Make `mediaField` not hidable. ([56643](https://github.com/WordPress/gutenberg/pull/56643))
- DataViews: Rename view components. ([56709](https://github.com/WordPress/gutenberg/pull/56709))
- DataViews: Render data async conditionally. ([56851](https://github.com/WordPress/gutenberg/pull/56851))
- DataViews: Set proper role for AddFilter's items. ([56714](https://github.com/WordPress/gutenberg/pull/56714))
- DataViews: Set proper semantics for dropdown items. ([56676](https://github.com/WordPress/gutenberg/pull/56676))
- DataViews: Update sorting semantics. ([56717](https://github.com/WordPress/gutenberg/pull/56717))
- Dataviews: Extract to dedicated bundled package. ([56721](https://github.com/WordPress/gutenberg/pull/56721))

#### Block Validation/Deprecation
- Input Field Block: Use `useblockProps` hook in save function. ([56507](https://github.com/WordPress/gutenberg/pull/56507))

#### Patterns
- Implement partially synced patterns behind an experimental flag. ([56235](https://github.com/WordPress/gutenberg/pull/56235))


### Documentation

- Add the nested blocks chapter to the platform documentation. ([56689](https://github.com/WordPress/gutenberg/pull/56689))
- Components: Update CHANGELOG.md. ([56960](https://github.com/WordPress/gutenberg/pull/56960))
- Doc: Search Control - add Storybook link. ([56815](https://github.com/WordPress/gutenberg/pull/56815))
- Doc: Spinner - add Storybook link. ([56818](https://github.com/WordPress/gutenberg/pull/56818))
- Docs: Add storybook link for spinner component. ([56953](https://github.com/WordPress/gutenberg/pull/56953))
- Docs: Fix {% end %} tab position to show the text. ([56735](https://github.com/WordPress/gutenberg/pull/56735))
- Docs: Fundamentals of Block Development - Minor fixes - registration-of-a-block. ([56731](https://github.com/WordPress/gutenberg/pull/56731))
- Docs: Fundamentals of Block Development - add links. ([56700](https://github.com/WordPress/gutenberg/pull/56700))
- Docs: Fundamentals of Block Development ---- Small fixes for "Block wrapper". ([56651](https://github.com/WordPress/gutenberg/pull/56651))
- Link to Dashicons. ([56872](https://github.com/WordPress/gutenberg/pull/56872))
- Platform Docs: Add trusted by section. ([56749](https://github.com/WordPress/gutenberg/pull/56749))
- Revert "Doc: Spinner - add Storybook link". ([56913](https://github.com/WordPress/gutenberg/pull/56913))
- Update Getting Started Guide for Gutenberg 17.2. ([56674](https://github.com/WordPress/gutenberg/pull/56674))
- Update InnerBlocks defaultblock doc usage. ([56728](https://github.com/WordPress/gutenberg/pull/56728))
- Update formatting and fix grammar in the Block Editor Handbook readme. ([56798](https://github.com/WordPress/gutenberg/pull/56798))


### Code Quality

- Block editor: hooks: Avoid getEditWrapperProps. ([56912](https://github.com/WordPress/gutenberg/pull/56912))
- Block lib: Use RichText.isEmpty where forgotten. ([56726](https://github.com/WordPress/gutenberg/pull/56726))
- Block library: Reusable caption component util. ([56606](https://github.com/WordPress/gutenberg/pull/56606))
- Core data revisions: Remove hardcoded supports constant. ([56701](https://github.com/WordPress/gutenberg/pull/56701))
- Editor: Cleanup default editor mode handling. ([56819](https://github.com/WordPress/gutenberg/pull/56819))
- Editor: Move the BlockCanvas component within the EditorCanvas component. ([56850](https://github.com/WordPress/gutenberg/pull/56850))
- Editor: Move the device type state to the editor package. ([56866](https://github.com/WordPress/gutenberg/pull/56866))
- Editor: Unify device preview styles. ([56904](https://github.com/WordPress/gutenberg/pull/56904))
- Fix PHP linter failing. ([56905](https://github.com/WordPress/gutenberg/pull/56905))
- Framework: Bundle the BlockTools component within BlockCanvas. ([56996](https://github.com/WordPress/gutenberg/pull/56996))
- Move `useDebouncedInput` hook to @wordpress/compose package. ([56744](https://github.com/WordPress/gutenberg/pull/56744))
- Post Editor: Rely on the editor store for the template mode state. ([56716](https://github.com/WordPress/gutenberg/pull/56716))
- Refactor <BlockToolbar />. ([56335](https://github.com/WordPress/gutenberg/pull/56335))
- Remove Block Tools BackCompat. ([56874](https://github.com/WordPress/gutenberg/pull/56874))
- Site and Post Editor: Unify the DocumentBar component. ([56778](https://github.com/WordPress/gutenberg/pull/56778))
- getValueFromObjectPath: Remove memize. ([56711](https://github.com/WordPress/gutenberg/pull/56711))

#### Block Editor
- Don't render undefined classname in useBlockProps hook. ([56923](https://github.com/WordPress/gutenberg/pull/56923))
- One hook to rule them all: Preparation for a block supports API. ([56862](https://github.com/WordPress/gutenberg/pull/56862))
- RichText: Pass value to store. ([43204](https://github.com/WordPress/gutenberg/pull/43204))
- hooks: Manage BlockListBlock filters in one place. ([56875](https://github.com/WordPress/gutenberg/pull/56875))

#### Global Styles
- Command Palette: Use getRevisions instead of deprecated selector. ([56738](https://github.com/WordPress/gutenberg/pull/56738))
- Global styles revisions: Remove PHP unit tests that are running in Core. ([56492](https://github.com/WordPress/gutenberg/pull/56492))

#### Components
- Site editor: Do not use navigator's internal classname. ([56911](https://github.com/WordPress/gutenberg/pull/56911))

#### Data Views
- DataViews: Remove TanStack. ([56873](https://github.com/WordPress/gutenberg/pull/56873))


### Tools

- Env: Migrate to Compose V2. ([51339](https://github.com/WordPress/gutenberg/pull/51339))
- Scripts: Fix CSS imports not minified. ([56516](https://github.com/WordPress/gutenberg/pull/56516))
- wp-env: Make env-cwd option work on Windows. ([56265](https://github.com/WordPress/gutenberg/pull/56265))

#### Testing
- Migrate 'editor multi entity saving' end-to-end tests to Playwright. ([56670](https://github.com/WordPress/gutenberg/pull/56670))
- Migrate 'inner-blocks-locking-all-embed' end-to-end tests to Playwright. ([56673](https://github.com/WordPress/gutenberg/pull/56673))
- Migrate 'site editor export' end-to-end tests to Playwright. ([56675](https://github.com/WordPress/gutenberg/pull/56675))
- RN: Add watch mode for native tests. ([56788](https://github.com/WordPress/gutenberg/pull/56788))
- Scripts: Enable skipping Playwright browser installation. ([56594](https://github.com/WordPress/gutenberg/pull/56594))
- Tabs: Implement `ariakit/test` in unit tests. ([56835](https://github.com/WordPress/gutenberg/pull/56835))
- `CustomSelectControl`: Add additional unit tests. ([56575](https://github.com/WordPress/gutenberg/pull/56575))


### Various

- Copy/fix capitalization of WordPress. ([56834](https://github.com/WordPress/gutenberg/pull/56834))

#### Site Editor
- Improve text and design of the block removal warnings. ([56869](https://github.com/WordPress/gutenberg/pull/56869))

#### Global Styles
- Global styles welcome guide: Add a space between translated strings. ([56839](https://github.com/WordPress/gutenberg/pull/56839))

#### Block Library
- Simplify page list edit warning. ([56829](https://github.com/WordPress/gutenberg/pull/56829))

#### Patterns
- End pattern page descriptions with a period. ([56828](https://github.com/WordPress/gutenberg/pull/56828))


## First time contributors

The following PRs were merged by first time contributors:

- @benoitchantre: Scripts: Fix CSS imports not minified. ([56516](https://github.com/WordPress/gutenberg/pull/56516))
- @kmanijak: Decode some characters if used in taxonomy name so it's displayed correctly in Query Loop filters. ([50376](https://github.com/WordPress/gutenberg/pull/50376))
- @lithrel: Env: Migrate to Compose V2. ([51339](https://github.com/WordPress/gutenberg/pull/51339))
- @nk-o: Fix: PHP 8.1 deprecated warning strpos(). ([56171](https://github.com/WordPress/gutenberg/pull/56171))
- @taylorgorman: Link to Dashicons. ([56872](https://github.com/WordPress/gutenberg/pull/56872))
- @valerogarte: #55702 - Control dimensions (margin and padding) of the list-item block. ([55874](https://github.com/WordPress/gutenberg/pull/55874))


## Contributors

The following contributors merged PRs in this release:

@afercia @ajlende @alexstine @andrewhayward @andrewserong @apeatling @atachibana @Aurorum @benoitchantre @bph @brookewp @chad1008 @ciampo @colorful-tones @dcalhoun @derekblank @draganescu @ellatrix @fluiddot @geriux @getdave @jameskoster @jasmussen @jeherve @jeryj @jffng @jonathanbossenger @jorgefilipecosta @jsnajdr @juanmaguitar @kevin940726 @kmanijak @lithrel @luisherranz @Mamaduka @matiasbenedetto @mikachan @miminari @mtias @ndiego @nk-o @ntsekouras @oandregal @ramonjd @richtabor @scruffian @SiobhyB @t-hamano @talldan @taylorgorman @tellthemachines @tyxla @valerogarte @WunderBart @youknowriad


= 17.2.1 =

## Changelog

### Bug Fixes

- Fix: Fatal php error if a template was created by an author that was deleted ([56990](https://github.com/WordPress/gutenberg/pull/56990))

## Contributors

The following contributors merged PRs in this release:

@jorgefilipecosta 


= 17.2.0 =



## Changelog

### Bug Fixes

#### Post Editor
- Editor: Fix issue where createBlock in block template caused list view collapse. ([56666](https://github.com/WordPress/gutenberg/pull/56666))

#### Modules API
- Modules: Fix import map polyfill not being copied on the generated plugin ZIP. ([56655](https://github.com/WordPress/gutenberg/pull/56655))


### Documentation

- Interactivity API: New store() API documentation. ([56764](https://github.com/WordPress/gutenberg/pull/56764))
- Interactivity API: Update TS/JSDocs after migrating to the new `store()` API. ([56748](https://github.com/WordPress/gutenberg/pull/56748))


### Tools

#### Build Tooling
- Add missing labels to changelog script, and enhance mapping function. ([55066](https://github.com/WordPress/gutenberg/pull/55066))




## Contributors

The following contributors merged PRs in this release:

@andrewserong @DAreRodz @luisherranz @vcanales
= 17.2.0-rc.1 =



## Changelog

### Features

#### Modules API
- Interactivity API: Use modules instead of scripts in the frontend. ([56143](https://github.com/WordPress/gutenberg/pull/56143))


### Enhancements

- Add translator comments for strings containing date formats. ([56531](https://github.com/WordPress/gutenberg/pull/56531))
- Block Settings: Only display parent block selector on small screens. ([56431](https://github.com/WordPress/gutenberg/pull/56431))
- Block Theme Preview: Display the theme name on the activate button. ([55752](https://github.com/WordPress/gutenberg/pull/55752))
- Core data revisions: Extend support to other post types. ([56353](https://github.com/WordPress/gutenberg/pull/56353))
- Improve tooltip for parent blocks on the block toolbar. ([56146](https://github.com/WordPress/gutenberg/pull/56146))
- Simplify template author token. ([56566](https://github.com/WordPress/gutenberg/pull/56566))
- Style engine: Allow CSS var output for fontSize and fontFamily and update documentation. ([56528](https://github.com/WordPress/gutenberg/pull/56528))
- Try: Change "Detach pattern" to "Detach". ([56323](https://github.com/WordPress/gutenberg/pull/56323))
- useEntityRecord: Improve unit tests. ([56415](https://github.com/WordPress/gutenberg/pull/56415))

#### Components
- Add focus rings to focusable disabled buttons. ([56383](https://github.com/WordPress/gutenberg/pull/56383))
- DropdownMenu V2 tweaks. ([56041](https://github.com/WordPress/gutenberg/pull/56041))
- DropdownMenu V2: Add support for rendering in legacy popover slot. ([56342](https://github.com/WordPress/gutenberg/pull/56342))
- FormToggle: Refine animation. ([56515](https://github.com/WordPress/gutenberg/pull/56515))
- Slot: Add styles prop to bubblesVirtually version. ([56428](https://github.com/WordPress/gutenberg/pull/56428))
- Tabs: Cleanup and improvements. ([56224](https://github.com/WordPress/gutenberg/pull/56224))
- Try Ariakit Select for new CustomSelectControl component. ([55790](https://github.com/WordPress/gutenberg/pull/55790))

#### Data Views
- Data list view: Make filter row, table header, and pagination sticky. ([56157](https://github.com/WordPress/gutenberg/pull/56157))
- Simplify dataviews view button. ([56485](https://github.com/WordPress/gutenberg/pull/56485))
- Update data view menu item actions. ([56398](https://github.com/WordPress/gutenberg/pull/56398))

#### Global Styles
- Global style revisions: Redesign style revision items. ([55913](https://github.com/WordPress/gutenberg/pull/55913))
- Global styles revisions: Migrate API call to getRevisions(). ([56349](https://github.com/WordPress/gutenberg/pull/56349))
- Style Revisions: Remove style revisions dropdown menu. ([56454](https://github.com/WordPress/gutenberg/pull/56454))

#### Site Editor
- Add 'View site' action to 'Site updated' snackbar. ([52693](https://github.com/WordPress/gutenberg/pull/52693))
- Add the Post Author component to the Page sidebar. ([56368](https://github.com/WordPress/gutenberg/pull/56368))
- Redirect to main page menu if page record not found. ([56177](https://github.com/WordPress/gutenberg/pull/56177))

#### Block Editor
- Drag and drop: Allow dragging to the beginning and end of a document. ([56070](https://github.com/WordPress/gutenberg/pull/56070))
- List View: Expand state if a block is dragged to within a collapsed block in the editor canvas. ([56493](https://github.com/WordPress/gutenberg/pull/56493))

#### Layout
- Add layout classes to legacy Group inner container. ([56130](https://github.com/WordPress/gutenberg/pull/56130))
- Add setting to disable custom content size controls. ([56236](https://github.com/WordPress/gutenberg/pull/56236))

#### Patterns
- Small tweaks to CreatePatternModal. ([56016](https://github.com/WordPress/gutenberg/pull/56016))
- Update Labels in Block Inserter (block patterns tab). ([55986](https://github.com/WordPress/gutenberg/pull/55986))

#### Icons
- Update trash icon. ([56569](https://github.com/WordPress/gutenberg/pull/56569))

#### Block Library
- Disable block renaming support for Nav Link block. ([56425](https://github.com/WordPress/gutenberg/pull/56425))

#### Distraction Free
- Add top toolbar to distraction free mode. ([56295](https://github.com/WordPress/gutenberg/pull/56295))

#### CSS & Styling
- Gallery Block: Use styled scrollbars for image captions. ([56252](https://github.com/WordPress/gutenberg/pull/56252))

#### Typography
- Font Library: Remove insecure properties. ([56230](https://github.com/WordPress/gutenberg/pull/56230))


### New APIs

- Revisions: Add new selectors to fetch entity revisions. ([54046](https://github.com/WordPress/gutenberg/pull/54046))

#### Interactivity API
- Migration to the new `store()` API. ([55459](https://github.com/WordPress/gutenberg/pull/55459))


### Bug Fixes

- Block Editor: Undeprecate the '__experimentalImageSizeControl' component. ([56414](https://github.com/WordPress/gutenberg/pull/56414))
- Core data: Harmonize getRevision selector and resolver function signatures. ([56416](https://github.com/WordPress/gutenberg/pull/56416))
- Editor styles: Scope without adding specificity. ([56564](https://github.com/WordPress/gutenberg/pull/56564))
- Fix Restore Post title placeholder. ([56580](https://github.com/WordPress/gutenberg/pull/56580))
- Post Schedule Panel: Remove text overflow ellipsis. ([56319](https://github.com/WordPress/gutenberg/pull/56319))
- PostCSS style transformation: Fail gracefully instead of throwing an error. ([56093](https://github.com/WordPress/gutenberg/pull/56093))
- Rich text: Pad multiple spaces through en/em replacement. ([56341](https://github.com/WordPress/gutenberg/pull/56341))
- Site Editor Sidebar: Fix actions vertical alignment. ([56218](https://github.com/WordPress/gutenberg/pull/56218))
- Site Editor: Add a fallback template showing the title and content for the post only mode. ([56509](https://github.com/WordPress/gutenberg/pull/56509))
- useEntityRecord: Do not trigger REST API requests when disabled. ([56108](https://github.com/WordPress/gutenberg/pull/56108))

#### Block Library
- File block: Remove anchor tag when copy pasting to file name. ([56508](https://github.com/WordPress/gutenberg/pull/56508))
- Fix label of columns inspector panel. ([56647](https://github.com/WordPress/gutenberg/pull/56647))
- Post Template: Fix incorrect offset query. ([56440](https://github.com/WordPress/gutenberg/pull/56440))

#### Block Editor
- (RichText)(Workaround)(17.1.x) Fallback to a string arg in `collapseWhiteSpace()` if `value` is not a string. ([56570](https://github.com/WordPress/gutenberg/pull/56570))
- Cover block: Pass dropZoneElement reference to fix dragging within cover block area. ([56312](https://github.com/WordPress/gutenberg/pull/56312))
- useMovingAnimation: Clear translate3d rule when animation is finished. ([56410](https://github.com/WordPress/gutenberg/pull/56410))

#### Components
- Design Tools: Fix last ToolsPanelItem styling. ([56536](https://github.com/WordPress/gutenberg/pull/56536))
- Fix FormTokenField suggestions broken scrollbar when `__experimentalExpandOnFocus` is defined. ([56426](https://github.com/WordPress/gutenberg/pull/56426))
- Tabs: Fix flaky unit tests. ([55950](https://github.com/WordPress/gutenberg/pull/55950))

#### Global Styles
- Additional CSS: Fix on change validation. ([56434](https://github.com/WordPress/gutenberg/pull/56434))
- Global styles revisions: Update isResolving flag. ([56491](https://github.com/WordPress/gutenberg/pull/56491))
- Spacing: Fix block error if spacing unit array empty in theme.json. ([56306](https://github.com/WordPress/gutenberg/pull/56306))

#### CSS & Styling
- Reduce specificity of default Cover text color styles. ([56411](https://github.com/WordPress/gutenberg/pull/56411))
- Restore Post Title visual styles in Code View mode. ([56582](https://github.com/WordPress/gutenberg/pull/56582))

#### Saving
- Editor: Reinstate anonymous callback for saved post state. ([56529](https://github.com/WordPress/gutenberg/pull/56529))

#### Post Editor
- Save post button: Avoid extra re-renders when enablng/disabling tooltip. ([56502](https://github.com/WordPress/gutenberg/pull/56502))

#### Plugin
- Update Readme.txt tested up to 6.4. ([56427](https://github.com/WordPress/gutenberg/pull/56427))

#### Site Editor
- Fix template resolution for templates assigned as home page. ([56418](https://github.com/WordPress/gutenberg/pull/56418))

#### Patterns
- Fix issue with template in replace template screen. ([56407](https://github.com/WordPress/gutenberg/pull/56407))

#### Layout
- Fix issue where layout classnames are injected for blocks without layout support. ([56187](https://github.com/WordPress/gutenberg/pull/56187))

#### Typography
- Font Library: Fix fonts not displaying correctly. ([55393](https://github.com/WordPress/gutenberg/pull/55393))

#### Colors
- Duotone: Backport from Core to fix filters in classic themes. ([54778](https://github.com/WordPress/gutenberg/pull/54778))


### Accessibility

- Migrating `StyleBook` to use updated `Composite` implementation. ([55344](https://github.com/WordPress/gutenberg/pull/55344))

#### Data Views
- DataViews: Make disabled pagination buttons focusable. ([56422](https://github.com/WordPress/gutenberg/pull/56422))

#### Block Library
- Image Block: Enable image block to be selected correctly when clicked. ([56043](https://github.com/WordPress/gutenberg/pull/56043))

#### Post Editor
- Tooltip: Don't render buttons tooltip when show button text labels is enabled. ([55842](https://github.com/WordPress/gutenberg/pull/55842))

#### Components
- Improve `Button` saving state accessibility. ([55547](https://github.com/WordPress/gutenberg/pull/55547))

#### Patterns
- Fix focus loss after converting to a synced pattern. ([55473](https://github.com/WordPress/gutenberg/pull/55473))


### Performance

- Avoid calling postcss when not needed. ([56601](https://github.com/WordPress/gutenberg/pull/56601))
- Block Editor: Optimize 'Connections' inspector controls. ([56443](https://github.com/WordPress/gutenberg/pull/56443))

#### Global Styles
- Make search more responsive for block type list. ([56139](https://github.com/WordPress/gutenberg/pull/56139))


### Experiments

#### Data Views
- DataViews: Document `view.layout`. ([56637](https://github.com/WordPress/gutenberg/pull/56637))
- DataViews: Extract common constants to file. ([56251](https://github.com/WordPress/gutenberg/pull/56251))
- DataViews: Rename `InFilter` component to `FilterSummary`. ([56506](https://github.com/WordPress/gutenberg/pull/56506))
- DataViews: Scope names of V2 UI components. ([56503](https://github.com/WordPress/gutenberg/pull/56503))
- DataViews: Update field API to generate filters based on type. ([55996](https://github.com/WordPress/gutenberg/pull/55996))
- DataViews: Update filter component. ([56110](https://github.com/WordPress/gutenberg/pull/56110))
- Dataviews: Add confirmation step before deleting a page. ([56504](https://github.com/WordPress/gutenberg/pull/56504))
- Dataviews: Add preview and grid view in templates list. ([56382](https://github.com/WordPress/gutenberg/pull/56382))
- Dataviews: Grid layout refinements. ([56441](https://github.com/WordPress/gutenberg/pull/56441))
- Dataviews: Remove link from author. ([56467](https://github.com/WordPress/gutenberg/pull/56467))
- Dataviews: Update item actions in grid view. ([56501](https://github.com/WordPress/gutenberg/pull/56501))
- Fix data view menu item radius. ([56395](https://github.com/WordPress/gutenberg/pull/56395))

#### Post Editor
- Render html in post titles in visual mode and edit HTML in post title in code view. ([54718](https://github.com/WordPress/gutenberg/pull/54718))


### Documentation

- Add the attributes definition page to the create block tutorial of the platform documentation. ([56429](https://github.com/WordPress/gutenberg/pull/56429))
- Add the transforms page to the create block tutorial of the platform documentation. ([56559](https://github.com/WordPress/gutenberg/pull/56559))
- Add thee block supports page to the create block tutorial of the framework docs. ([56483](https://github.com/WordPress/gutenberg/pull/56483))
- Added clarifications and examples to "Get started with wp-scripts". ([56298](https://github.com/WordPress/gutenberg/pull/56298))
- Block Editor: Fix typo in `URLInput`'s `onKeyDown` prop documentation. ([56322](https://github.com/WordPress/gutenberg/pull/56322))
- Bring back non-JS tabs in block editor handbook. ([56561](https://github.com/WordPress/gutenberg/pull/56561))
- Docs: Fix incorrect build script description in script package. ([56332](https://github.com/WordPress/gutenberg/pull/56332))
- Docs: Fundamentals of Block Development - File structure of a block. ([56551](https://github.com/WordPress/gutenberg/pull/56551))
- Docs: Fundamentals of Block Development - Registration of a block. ([56334](https://github.com/WordPress/gutenberg/pull/56334))
- Docs: Fundamentals of Block Development - The block wrapper. ([56596](https://github.com/WordPress/gutenberg/pull/56596))
- Docs: Fundamentals of Block Development - Working with Javascript in the Block Editor. ([56553](https://github.com/WordPress/gutenberg/pull/56553))
- Docs: Fundamentals of Block Development - block.json. ([56435](https://github.com/WordPress/gutenberg/pull/56435))
- Docs: Improve downloadBlob example. ([56225](https://github.com/WordPress/gutenberg/pull/56225))
- Documentation - Block Editor Handbook - Add end user documentation about Block Editor as a resource on the Landing Page of the Block Editor Handbook. ([49854](https://github.com/WordPress/gutenberg/pull/49854))
- Fix overly complex code example in ComboboxControl readme. ([56365](https://github.com/WordPress/gutenberg/pull/56365))
- Fix version in useSetting deprecation notice. ([56377](https://github.com/WordPress/gutenberg/pull/56377))
- Fundamentals block development - landing and first pages. ([56584](https://github.com/WordPress/gutenberg/pull/56584))
- Fundamentals of Block Development - fix save definition. ([56605](https://github.com/WordPress/gutenberg/pull/56605))
- Link preview image to live example using WordPress Playground. ([56292](https://github.com/WordPress/gutenberg/pull/56292))
- NavigableContainers: Fix doc typo in onKeyDown prop. ([56352](https://github.com/WordPress/gutenberg/pull/56352))
- Release docs: Add new section about troubleshooting the release. ([56436](https://github.com/WordPress/gutenberg/pull/56436))
- Remove all {% codetabs %} instances and any vanilla JS references. ([56121](https://github.com/WordPress/gutenberg/pull/56121))
- Simplify code example in ToggleControl component readme. ([56389](https://github.com/WordPress/gutenberg/pull/56389))
- Text and Heading: Improve documentation around default values and truncation logic. ([56518](https://github.com/WordPress/gutenberg/pull/56518))
- Theme JSON schema: Add heading/button key to color definition. ([55674](https://github.com/WordPress/gutenberg/pull/55674))
- Update for 6.4.1 for versions in WP. ([56216](https://github.com/WordPress/gutenberg/pull/56216))
- Update references to the gutenberg-examples repo to the new block-development-examples. ([56119](https://github.com/WordPress/gutenberg/pull/56119))
- Update template name in `create-block` command. ([56281](https://github.com/WordPress/gutenberg/pull/56281))
- Update webpack options for wp-scripts in README.md. ([56314](https://github.com/WordPress/gutenberg/pull/56314))
- `BoxControl`: Update story and refactor to Typescript. ([56462](https://github.com/WordPress/gutenberg/pull/56462))


### Code Quality

- Blocks pkg: Remove 'browser' dependencies. ([56433](https://github.com/WordPress/gutenberg/pull/56433))
- DataViews: Code Quality remove some unused props from action. ([56477](https://github.com/WordPress/gutenberg/pull/56477))
- Editor: Move the template focus modes to the editor store. ([56472](https://github.com/WordPress/gutenberg/pull/56472))
- Extract a PostPanelRow component from the different sidebar panels. ([56238](https://github.com/WordPress/gutenberg/pull/56238))
- Interactivity API: Add missing changelog entry for the new `store()` API. ([56611](https://github.com/WordPress/gutenberg/pull/56611))
- Migrating block editor `BlockPatternsList` component. ([56210](https://github.com/WordPress/gutenberg/pull/56210))
- Move the DisableNonContentBlocks component to the editor package. ([56423](https://github.com/WordPress/gutenberg/pull/56423))
- Post Schedule Panel: Fix Sass deprecation warning for division. ([56412](https://github.com/WordPress/gutenberg/pull/56412))
- Remove compatibility layer for WP 6.2. ([56464](https://github.com/WordPress/gutenberg/pull/56464))
- Unify the PostSchedule component between site and post editors. ([56196](https://github.com/WordPress/gutenberg/pull/56196))
- Update: Refactor useAddedBy to use authorText and originalSource fields. ([56568](https://github.com/WordPress/gutenberg/pull/56568))

#### Block Library
-  Add align support to the image block - alternative. ([55954](https://github.com/WordPress/gutenberg/pull/55954))
- Backmerge block renaming fixes/refactors from 6.4 branch into Gutenberg trunk. ([56386](https://github.com/WordPress/gutenberg/pull/56386))
- Pattern placeholder: Remove duplicate 'useDispatch' hook. ([56397](https://github.com/WordPress/gutenberg/pull/56397))

#### Components
- Remove incorrect version from deprecated `__nextHasNoMarginBottom` prop of `AnglePickerControl` Component. ([56336](https://github.com/WordPress/gutenberg/pull/56336))
- Revert "DropdownMenu V2: Add support for rendering in legacy popover slot". ([56484](https://github.com/WordPress/gutenberg/pull/56484))

#### Data Views
- Dataviews: Ensure items and fields are using a unique id. ([56366](https://github.com/WordPress/gutenberg/pull/56366))

#### Block Editor
- useInnerBlocksProps: Stabilise dropZoneElement prop. ([56313](https://github.com/WordPress/gutenberg/pull/56313))

#### Design Tools
- Fix: Theme.json font settings in unit test. ([56309](https://github.com/WordPress/gutenberg/pull/56309))


### Tools

- Workflows: Update 'days-before-stale' for flaky test report issues. ([56585](https://github.com/WordPress/gutenberg/pull/56585))
- scripts: Update `jest-dev-server` to v9. ([56552](https://github.com/WordPress/gutenberg/pull/56552))

#### Testing
- Dataviews: Add first end-to-end tests. ([56634](https://github.com/WordPress/gutenberg/pull/56634))
- Migrate 'align hook' end-to-end tests to Playwright. ([56480](https://github.com/WordPress/gutenberg/pull/56480))
- Migrate 'block directory' end-to-end tests to Playwright. ([56593](https://github.com/WordPress/gutenberg/pull/56593))
- Migrate 'block icons' end-to-end tests to Playwright. ([56610](https://github.com/WordPress/gutenberg/pull/56610))
- Migrate 'custom taxonomies' end-to-end test to Playwright. ([56486](https://github.com/WordPress/gutenberg/pull/56486))
- Migrate 'sidebar permalink' end-to-end tests to Playwright. ([56253](https://github.com/WordPress/gutenberg/pull/56253))
- Migrate Is Typing Test to Playwright. ([56616](https://github.com/WordPress/gutenberg/pull/56616))
- Page spec: Merging create page and toggle preview tests. ([56129](https://github.com/WordPress/gutenberg/pull/56129))
- Playwright Utils: Fix the method of getting post ID in 'publishPost'. ([56421](https://github.com/WordPress/gutenberg/pull/56421))
- end-to-end tests: Merge Puppeteer into single job, split Playwright further. ([56363](https://github.com/WordPress/gutenberg/pull/56363))

#### Build Tooling
- Create block: Update `interactive-template` to the new `store()` API. ([56613](https://github.com/WordPress/gutenberg/pull/56613))


### Security

- WP_Theme_JSON_Gutenberg: Add nested indexed array schema sanitization. ([56447](https://github.com/WordPress/gutenberg/pull/56447))


### Various

- Add: Author text and original source to wp_template_part. ([56567](https://github.com/WordPress/gutenberg/pull/56567))
- Migrating `BlockPatternSetup` to use updated `Composite` implementation. ([55425](https://github.com/WordPress/gutenberg/pull/55425))
- Migrating `InserterListbox` to use updated Composite implementation. ([56246](https://github.com/WordPress/gutenberg/pull/56246))

#### Data Views
- Dataviews: All Templates: Add filters to template author. ([56338](https://github.com/WordPress/gutenberg/pull/56338))
- Dataviews: All templates: Add: Sorting to template author and add author_text to the rest API. ([56333](https://github.com/WordPress/gutenberg/pull/56333))

#### HTML API
- Backport updates from Core. ([56578](https://github.com/WordPress/gutenberg/pull/56578))




## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @afercia @andrewhayward @andrewserong @annezazu @apeatling @arthur791004 @bph @brookewp @chad1008 @chiilog @ciampo @DAreRodz @dmsnell @draganescu @ellatrix @fabiankaegy @flootr @fluiddot @fullofcaffeine @geriux @getdave @glendaviesnz @jameskoster @jasmussen @jeryj @jffng @jorgefilipecosta @juanmaguitar @kevin940726 @luisherranz @MaggieCabrera @Mamaduka @matiasbenedetto @megane9988 @NekoJonez @ntsekouras @oandregal @ramonjd @richtabor @ryanwelcher @SavPhill @Soean @t-hamano @talldan @tellthemachines @youknowriad @zaguiini




= 17.1.4 =

## Changelog

### Bug Fixes

#### Block Library
- Post Template: Fix incorrect offset query. ([56440](https://github.com/WordPress/gutenberg/pull/56440))

## Contributors

The following contributors merged PRs in this release:

@t-hamano


= 17.2.0-rc.1 =



## Changelog

### Features

#### Modules API
- Interactivity API: Use modules instead of scripts in the frontend. ([56143](https://github.com/WordPress/gutenberg/pull/56143))


### Enhancements

- Add translator comments for strings containing date formats. ([56531](https://github.com/WordPress/gutenberg/pull/56531))
- Block Settings: Only display parent block selector on small screens. ([56431](https://github.com/WordPress/gutenberg/pull/56431))
- Block Theme Preview: Display the theme name on the activate button. ([55752](https://github.com/WordPress/gutenberg/pull/55752))
- Core data revisions: Extend support to other post types. ([56353](https://github.com/WordPress/gutenberg/pull/56353))
- Improve tooltip for parent blocks on the block toolbar. ([56146](https://github.com/WordPress/gutenberg/pull/56146))
- Simplify template author token. ([56566](https://github.com/WordPress/gutenberg/pull/56566))
- Style engine: Allow CSS var output for fontSize and fontFamily and update documentation. ([56528](https://github.com/WordPress/gutenberg/pull/56528))
- Try: Change "Detach pattern" to "Detach". ([56323](https://github.com/WordPress/gutenberg/pull/56323))
- useEntityRecord: Improve unit tests. ([56415](https://github.com/WordPress/gutenberg/pull/56415))

#### Components
- Add focus rings to focusable disabled buttons. ([56383](https://github.com/WordPress/gutenberg/pull/56383))
- DropdownMenu V2 tweaks. ([56041](https://github.com/WordPress/gutenberg/pull/56041))
- DropdownMenu V2: Add support for rendering in legacy popover slot. ([56342](https://github.com/WordPress/gutenberg/pull/56342))
- FormToggle: Refine animation. ([56515](https://github.com/WordPress/gutenberg/pull/56515))
- Slot: Add styles prop to bubblesVirtually version. ([56428](https://github.com/WordPress/gutenberg/pull/56428))
- Tabs: Cleanup and improvements. ([56224](https://github.com/WordPress/gutenberg/pull/56224))
- Try Ariakit Select for new CustomSelectControl component. ([55790](https://github.com/WordPress/gutenberg/pull/55790))

#### Data Views
- Data list view: Make filter row, table header, and pagination sticky. ([56157](https://github.com/WordPress/gutenberg/pull/56157))
- Simplify dataviews view button. ([56485](https://github.com/WordPress/gutenberg/pull/56485))
- Update data view menu item actions. ([56398](https://github.com/WordPress/gutenberg/pull/56398))

#### Global Styles
- Global style revisions: Redesign style revision items. ([55913](https://github.com/WordPress/gutenberg/pull/55913))
- Global styles revisions: Migrate API call to getRevisions(). ([56349](https://github.com/WordPress/gutenberg/pull/56349))
- Style Revisions: Remove style revisions dropdown menu. ([56454](https://github.com/WordPress/gutenberg/pull/56454))

#### Site Editor
- Add 'View site' action to 'Site updated' snackbar. ([52693](https://github.com/WordPress/gutenberg/pull/52693))
- Add the Post Author component to the Page sidebar. ([56368](https://github.com/WordPress/gutenberg/pull/56368))
- Redirect to main page menu if page record not found. ([56177](https://github.com/WordPress/gutenberg/pull/56177))

#### Block Editor
- Drag and drop: Allow dragging to the beginning and end of a document. ([56070](https://github.com/WordPress/gutenberg/pull/56070))
- List View: Expand state if a block is dragged to within a collapsed block in the editor canvas. ([56493](https://github.com/WordPress/gutenberg/pull/56493))

#### Layout
- Add layout classes to legacy Group inner container. ([56130](https://github.com/WordPress/gutenberg/pull/56130))
- Add setting to disable custom content size controls. ([56236](https://github.com/WordPress/gutenberg/pull/56236))

#### Patterns
- Small tweaks to CreatePatternModal. ([56016](https://github.com/WordPress/gutenberg/pull/56016))
- Update Labels in Block Inserter (block patterns tab). ([55986](https://github.com/WordPress/gutenberg/pull/55986))

#### Icons
- Update trash icon. ([56569](https://github.com/WordPress/gutenberg/pull/56569))

#### Block Library
- Disable block renaming support for Nav Link block. ([56425](https://github.com/WordPress/gutenberg/pull/56425))

#### Distraction Free
- Add top toolbar to distraction free mode. ([56295](https://github.com/WordPress/gutenberg/pull/56295))

#### CSS & Styling
- Gallery Block: Use styled scrollbars for image captions. ([56252](https://github.com/WordPress/gutenberg/pull/56252))

#### Typography
- Font Library: Remove insecure properties. ([56230](https://github.com/WordPress/gutenberg/pull/56230))


### New APIs

- Revisions: Add new selectors to fetch entity revisions. ([54046](https://github.com/WordPress/gutenberg/pull/54046))

#### Interactivity API
- Migration to the new `store()` API. ([55459](https://github.com/WordPress/gutenberg/pull/55459))


### Bug Fixes

- Block Editor: Undeprecate the '__experimentalImageSizeControl' component. ([56414](https://github.com/WordPress/gutenberg/pull/56414))
- Core data: Harmonize getRevision selector and resolver function signatures. ([56416](https://github.com/WordPress/gutenberg/pull/56416))
- Editor styles: Scope without adding specificity. ([56564](https://github.com/WordPress/gutenberg/pull/56564))
- Fix Restore Post title placeholder. ([56580](https://github.com/WordPress/gutenberg/pull/56580))
- Post Schedule Panel: Remove text overflow ellipsis. ([56319](https://github.com/WordPress/gutenberg/pull/56319))
- PostCSS style transformation: Fail gracefully instead of throwing an error. ([56093](https://github.com/WordPress/gutenberg/pull/56093))
- Rich text: Pad multiple spaces through en/em replacement. ([56341](https://github.com/WordPress/gutenberg/pull/56341))
- Site Editor Sidebar: Fix actions vertical alignment. ([56218](https://github.com/WordPress/gutenberg/pull/56218))
- Site Editor: Add a fallback template showing the title and content for the post only mode. ([56509](https://github.com/WordPress/gutenberg/pull/56509))
- useEntityRecord: Do not trigger REST API requests when disabled. ([56108](https://github.com/WordPress/gutenberg/pull/56108))

#### Block Library
- File block: Remove anchor tag when copy pasting to file name. ([56508](https://github.com/WordPress/gutenberg/pull/56508))
- Fix label of columns inspector panel. ([56647](https://github.com/WordPress/gutenberg/pull/56647))
- Post Template: Fix incorrect offset query. ([56440](https://github.com/WordPress/gutenberg/pull/56440))

#### Block Editor
- (RichText)(Workaround)(17.1.x) Fallback to a string arg in `collapseWhiteSpace()` if `value` is not a string. ([56570](https://github.com/WordPress/gutenberg/pull/56570))
- Cover block: Pass dropZoneElement reference to fix dragging within cover block area. ([56312](https://github.com/WordPress/gutenberg/pull/56312))
- useMovingAnimation: Clear translate3d rule when animation is finished. ([56410](https://github.com/WordPress/gutenberg/pull/56410))

#### Components
- Design Tools: Fix last ToolsPanelItem styling. ([56536](https://github.com/WordPress/gutenberg/pull/56536))
- Fix FormTokenField suggestions broken scrollbar when `__experimentalExpandOnFocus` is defined. ([56426](https://github.com/WordPress/gutenberg/pull/56426))
- Tabs: Fix flaky unit tests. ([55950](https://github.com/WordPress/gutenberg/pull/55950))

#### Global Styles
- Additional CSS: Fix on change validation. ([56434](https://github.com/WordPress/gutenberg/pull/56434))
- Global styles revisions: Update isResolving flag. ([56491](https://github.com/WordPress/gutenberg/pull/56491))
- Spacing: Fix block error if spacing unit array empty in theme.json. ([56306](https://github.com/WordPress/gutenberg/pull/56306))

#### CSS & Styling
- Reduce specificity of default Cover text color styles. ([56411](https://github.com/WordPress/gutenberg/pull/56411))
- Restore Post Title visual styles in Code View mode. ([56582](https://github.com/WordPress/gutenberg/pull/56582))

#### Saving
- Editor: Reinstate anonymous callback for saved post state. ([56529](https://github.com/WordPress/gutenberg/pull/56529))

#### Post Editor
- Save post button: Avoid extra re-renders when enablng/disabling tooltip. ([56502](https://github.com/WordPress/gutenberg/pull/56502))

#### Plugin
- Update Readme.txt tested up to 6.4. ([56427](https://github.com/WordPress/gutenberg/pull/56427))

#### Site Editor
- Fix template resolution for templates assigned as home page. ([56418](https://github.com/WordPress/gutenberg/pull/56418))

#### Patterns
- Fix issue with template in replace template screen. ([56407](https://github.com/WordPress/gutenberg/pull/56407))

#### Layout
- Fix issue where layout classnames are injected for blocks without layout support. ([56187](https://github.com/WordPress/gutenberg/pull/56187))

#### Typography
- Font Library: Fix fonts not displaying correctly. ([55393](https://github.com/WordPress/gutenberg/pull/55393))

#### Colors
- Duotone: Backport from Core to fix filters in classic themes. ([54778](https://github.com/WordPress/gutenberg/pull/54778))


### Accessibility

- Migrating `StyleBook` to use updated `Composite` implementation. ([55344](https://github.com/WordPress/gutenberg/pull/55344))

#### Data Views
- DataViews: Make disabled pagination buttons focusable. ([56422](https://github.com/WordPress/gutenberg/pull/56422))

#### Block Library
- Image Block: Enable image block to be selected correctly when clicked. ([56043](https://github.com/WordPress/gutenberg/pull/56043))

#### Post Editor
- Tooltip: Don't render buttons tooltip when show button text labels is enabled. ([55842](https://github.com/WordPress/gutenberg/pull/55842))

#### Components
- Improve `Button` saving state accessibility. ([55547](https://github.com/WordPress/gutenberg/pull/55547))

#### Patterns
- Fix focus loss after converting to a synced pattern. ([55473](https://github.com/WordPress/gutenberg/pull/55473))


### Performance

- Avoid calling postcss when not needed. ([56601](https://github.com/WordPress/gutenberg/pull/56601))
- Block Editor: Optimize 'Connections' inspector controls. ([56443](https://github.com/WordPress/gutenberg/pull/56443))

#### Global Styles
- Make search more responsive for block type list. ([56139](https://github.com/WordPress/gutenberg/pull/56139))


### Experiments

#### Data Views
- DataViews: Document `view.layout`. ([56637](https://github.com/WordPress/gutenberg/pull/56637))
- DataViews: Extract common constants to file. ([56251](https://github.com/WordPress/gutenberg/pull/56251))
- DataViews: Rename `InFilter` component to `FilterSummary`. ([56506](https://github.com/WordPress/gutenberg/pull/56506))
- DataViews: Scope names of V2 UI components. ([56503](https://github.com/WordPress/gutenberg/pull/56503))
- DataViews: Update field API to generate filters based on type. ([55996](https://github.com/WordPress/gutenberg/pull/55996))
- DataViews: Update filter component. ([56110](https://github.com/WordPress/gutenberg/pull/56110))
- Dataviews: Add confirmation step before deleting a page. ([56504](https://github.com/WordPress/gutenberg/pull/56504))
- Dataviews: Add preview and grid view in templates list. ([56382](https://github.com/WordPress/gutenberg/pull/56382))
- Dataviews: Grid layout refinements. ([56441](https://github.com/WordPress/gutenberg/pull/56441))
- Dataviews: Remove link from author. ([56467](https://github.com/WordPress/gutenberg/pull/56467))
- Dataviews: Update item actions in grid view. ([56501](https://github.com/WordPress/gutenberg/pull/56501))
- Fix data view menu item radius. ([56395](https://github.com/WordPress/gutenberg/pull/56395))

#### Post Editor
- Render html in post titles in visual mode and edit HTML in post title in code view. ([54718](https://github.com/WordPress/gutenberg/pull/54718))


### Documentation

- Add the attributes definition page to the create block tutorial of the platform documentation. ([56429](https://github.com/WordPress/gutenberg/pull/56429))
- Add the transforms page to the create block tutorial of the platform documentation. ([56559](https://github.com/WordPress/gutenberg/pull/56559))
- Add thee block supports page to the create block tutorial of the framework docs. ([56483](https://github.com/WordPress/gutenberg/pull/56483))
- Added clarifications and examples to "Get started with wp-scripts". ([56298](https://github.com/WordPress/gutenberg/pull/56298))
- Block Editor: Fix typo in `URLInput`'s `onKeyDown` prop documentation. ([56322](https://github.com/WordPress/gutenberg/pull/56322))
- Bring back non-JS tabs in block editor handbook. ([56561](https://github.com/WordPress/gutenberg/pull/56561))
- Docs: Fix incorrect build script description in script package. ([56332](https://github.com/WordPress/gutenberg/pull/56332))
- Docs: Fundamentals of Block Development - File structure of a block. ([56551](https://github.com/WordPress/gutenberg/pull/56551))
- Docs: Fundamentals of Block Development - Registration of a block. ([56334](https://github.com/WordPress/gutenberg/pull/56334))
- Docs: Fundamentals of Block Development - The block wrapper. ([56596](https://github.com/WordPress/gutenberg/pull/56596))
- Docs: Fundamentals of Block Development - Working with Javascript in the Block Editor. ([56553](https://github.com/WordPress/gutenberg/pull/56553))
- Docs: Fundamentals of Block Development - block.json. ([56435](https://github.com/WordPress/gutenberg/pull/56435))
- Docs: Improve downloadBlob example. ([56225](https://github.com/WordPress/gutenberg/pull/56225))
- Documentation - Block Editor Handbook - Add end user documentation about Block Editor as a resource on the Landing Page of the Block Editor Handbook. ([49854](https://github.com/WordPress/gutenberg/pull/49854))
- Fix overly complex code example in ComboboxControl readme. ([56365](https://github.com/WordPress/gutenberg/pull/56365))
- Fix version in useSetting deprecation notice. ([56377](https://github.com/WordPress/gutenberg/pull/56377))
- Fundamentals block development - landing and first pages. ([56584](https://github.com/WordPress/gutenberg/pull/56584))
- Fundamentals of Block Development - fix save definition. ([56605](https://github.com/WordPress/gutenberg/pull/56605))
- Link preview image to live example using WordPress Playground. ([56292](https://github.com/WordPress/gutenberg/pull/56292))
- NavigableContainers: Fix doc typo in onKeyDown prop. ([56352](https://github.com/WordPress/gutenberg/pull/56352))
- Release docs: Add new section about troubleshooting the release. ([56436](https://github.com/WordPress/gutenberg/pull/56436))
- Remove all {% codetabs %} instances and any vanilla JS references. ([56121](https://github.com/WordPress/gutenberg/pull/56121))
- Simplify code example in ToggleControl component readme. ([56389](https://github.com/WordPress/gutenberg/pull/56389))
- Text and Heading: Improve documentation around default values and truncation logic. ([56518](https://github.com/WordPress/gutenberg/pull/56518))
- Theme JSON schema: Add heading/button key to color definition. ([55674](https://github.com/WordPress/gutenberg/pull/55674))
- Update for 6.4.1 for versions in WP. ([56216](https://github.com/WordPress/gutenberg/pull/56216))
- Update references to the gutenberg-examples repo to the new block-development-examples. ([56119](https://github.com/WordPress/gutenberg/pull/56119))
- Update template name in `create-block` command. ([56281](https://github.com/WordPress/gutenberg/pull/56281))
- Update webpack options for wp-scripts in README.md. ([56314](https://github.com/WordPress/gutenberg/pull/56314))
- `BoxControl`: Update story and refactor to Typescript. ([56462](https://github.com/WordPress/gutenberg/pull/56462))


### Code Quality

- Blocks pkg: Remove 'browser' dependencies. ([56433](https://github.com/WordPress/gutenberg/pull/56433))
- DataViews: Code Quality remove some unused props from action. ([56477](https://github.com/WordPress/gutenberg/pull/56477))
- Editor: Move the template focus modes to the editor store. ([56472](https://github.com/WordPress/gutenberg/pull/56472))
- Extract a PostPanelRow component from the different sidebar panels. ([56238](https://github.com/WordPress/gutenberg/pull/56238))
- Interactivity API: Add missing changelog entry for the new `store()` API. ([56611](https://github.com/WordPress/gutenberg/pull/56611))
- Migrating block editor `BlockPatternsList` component. ([56210](https://github.com/WordPress/gutenberg/pull/56210))
- Move the DisableNonContentBlocks component to the editor package. ([56423](https://github.com/WordPress/gutenberg/pull/56423))
- Post Schedule Panel: Fix Sass deprecation warning for division. ([56412](https://github.com/WordPress/gutenberg/pull/56412))
- Remove compatibility layer for WP 6.2. ([56464](https://github.com/WordPress/gutenberg/pull/56464))
- Unify the PostSchedule component between site and post editors. ([56196](https://github.com/WordPress/gutenberg/pull/56196))
- Update: Refactor useAddedBy to use authorText and originalSource fields. ([56568](https://github.com/WordPress/gutenberg/pull/56568))

#### Block Library
-  Add align support to the image block - alternative. ([55954](https://github.com/WordPress/gutenberg/pull/55954))
- Backmerge block renaming fixes/refactors from 6.4 branch into Gutenberg trunk. ([56386](https://github.com/WordPress/gutenberg/pull/56386))
- Pattern placeholder: Remove duplicate 'useDispatch' hook. ([56397](https://github.com/WordPress/gutenberg/pull/56397))

#### Components
- Remove incorrect version from deprecated `__nextHasNoMarginBottom` prop of `AnglePickerControl` Component. ([56336](https://github.com/WordPress/gutenberg/pull/56336))
- Revert "DropdownMenu V2: Add support for rendering in legacy popover slot". ([56484](https://github.com/WordPress/gutenberg/pull/56484))

#### Data Views
- Dataviews: Ensure items and fields are using a unique id. ([56366](https://github.com/WordPress/gutenberg/pull/56366))

#### Block Editor
- useInnerBlocksProps: Stabilise dropZoneElement prop. ([56313](https://github.com/WordPress/gutenberg/pull/56313))

#### Design Tools
- Fix: Theme.json font settings in unit test. ([56309](https://github.com/WordPress/gutenberg/pull/56309))


### Tools

- Workflows: Update 'days-before-stale' for flaky test report issues. ([56585](https://github.com/WordPress/gutenberg/pull/56585))
- scripts: Update `jest-dev-server` to v9. ([56552](https://github.com/WordPress/gutenberg/pull/56552))

#### Testing
- Dataviews: Add first end-to-end tests. ([56634](https://github.com/WordPress/gutenberg/pull/56634))
- Migrate 'align hook' end-to-end tests to Playwright. ([56480](https://github.com/WordPress/gutenberg/pull/56480))
- Migrate 'block directory' end-to-end tests to Playwright. ([56593](https://github.com/WordPress/gutenberg/pull/56593))
- Migrate 'block icons' end-to-end tests to Playwright. ([56610](https://github.com/WordPress/gutenberg/pull/56610))
- Migrate 'custom taxonomies' end-to-end test to Playwright. ([56486](https://github.com/WordPress/gutenberg/pull/56486))
- Migrate 'sidebar permalink' end-to-end tests to Playwright. ([56253](https://github.com/WordPress/gutenberg/pull/56253))
- Migrate Is Typing Test to Playwright. ([56616](https://github.com/WordPress/gutenberg/pull/56616))
- Page spec: Merging create page and toggle preview tests. ([56129](https://github.com/WordPress/gutenberg/pull/56129))
- Playwright Utils: Fix the method of getting post ID in 'publishPost'. ([56421](https://github.com/WordPress/gutenberg/pull/56421))
- end-to-end tests: Merge Puppeteer into single job, split Playwright further. ([56363](https://github.com/WordPress/gutenberg/pull/56363))

#### Build Tooling
- Create block: Update `interactive-template` to the new `store()` API. ([56613](https://github.com/WordPress/gutenberg/pull/56613))


### Security

- WP_Theme_JSON_Gutenberg: Add nested indexed array schema sanitization. ([56447](https://github.com/WordPress/gutenberg/pull/56447))


### Various

- Add: Author text and original source to wp_template_part. ([56567](https://github.com/WordPress/gutenberg/pull/56567))
- Migrating `BlockPatternSetup` to use updated `Composite` implementation. ([55425](https://github.com/WordPress/gutenberg/pull/55425))
- Migrating `InserterListbox` to use updated Composite implementation. ([56246](https://github.com/WordPress/gutenberg/pull/56246))

#### Data Views
- Dataviews: All Templates: Add filters to template author. ([56338](https://github.com/WordPress/gutenberg/pull/56338))
- Dataviews: All templates: Add: Sorting to template author and add author_text to the rest API. ([56333](https://github.com/WordPress/gutenberg/pull/56333))

#### HTML API
- Backport updates from Core. ([56578](https://github.com/WordPress/gutenberg/pull/56578))




## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @afercia @andrewhayward @andrewserong @annezazu @apeatling @arthur791004 @bph @brookewp @chad1008 @chiilog @ciampo @DAreRodz @dmsnell @draganescu @ellatrix @fabiankaegy @flootr @fluiddot @fullofcaffeine @geriux @getdave @glendaviesnz @jameskoster @jasmussen @jeryj @jffng @jorgefilipecosta @juanmaguitar @kevin940726 @luisherranz @MaggieCabrera @Mamaduka @matiasbenedetto @megane9988 @NekoJonez @ntsekouras @oandregal @ramonjd @richtabor @ryanwelcher @SavPhill @Soean @t-hamano @talldan @tellthemachines @youknowriad @zaguiini


= 17.1.3 =


## Changelog

### Bug fixes

#### Components
- https://github.com/WordPress/gutenberg/pull/56570



= 17.1.2 =

## Changelog

### Bug Fixes

#### Block Editor

- PostCSS style transformation: fail gracefully instead of throwing an error (https://github.com/WordPress/gutenberg/pull/56093)

## Contributors

The following contributors merged PRs in this release:

@zaguiini


= 17.1.1 =

# Changelog

## Bug Fixes

### Block Library

Fix fatal error when calling undefined block library function. #56459


= 17.0.3 =

## Changelog

### Bug Fixes

#### Block Editor

- PostCSS style transformation: fail gracefully instead of throwing an error (https://github.com/WordPress/gutenberg/pull/56093)



= 17.1.0 =


## Changelog

### Enhancements

#### Block Library
- Navigation block: Fix Inaccurate description of the Show icon button setting. ([55429](https://github.com/WordPress/gutenberg/pull/55429))
- Query Loop: Add accesibility markup at the end of the loop in all cases. ([55890](https://github.com/WordPress/gutenberg/pull/55890))
- Template Part: Add fallback to the current theme when not provided. ([55965](https://github.com/WordPress/gutenberg/pull/55965))
- Update components to use __next40pxDefaultSize. ([56022](https://github.com/WordPress/gutenberg/pull/56022))

#### Components
- Tabs: Improve focus behavior. ([55287](https://github.com/WordPress/gutenberg/pull/55287))
- Tabs: Update subcomponents to accept full HTML element props. ([55860](https://github.com/WordPress/gutenberg/pull/55860))
- TextControl: Add opt-in prop for 40px default size. ([55471](https://github.com/WordPress/gutenberg/pull/55471))
- ToggleGroupControl: Add opt-in prop for 40px default size. ([55789](https://github.com/WordPress/gutenberg/pull/55789))

#### Patterns
- Move "Manage patterns" below "Detach pattern". ([56018](https://github.com/WordPress/gutenberg/pull/56018))
- Show theme patterns from directory in site editor. ([55877](https://github.com/WordPress/gutenberg/pull/55877))

#### Global Styles
- Global Style Revisions: Ensure consistent back button behaviour. ([55881](https://github.com/WordPress/gutenberg/pull/55881))
- Global Styles Revisions: More descriptive text timeline. ([55868](https://github.com/WordPress/gutenberg/pull/55868))
- Global Styles Revisions: Add route for single styles revisions. ([55827](https://github.com/WordPress/gutenberg/pull/55827))

#### Block Locking
- Block Quick Navigation: Truncate text. ([56142](https://github.com/WordPress/gutenberg/pull/56142))

#### Block Editor
- Button block: Support double enter to skip to default block. ([56134](https://github.com/WordPress/gutenberg/pull/56134))

#### Design Tools
- Add block gap support to Quote block. ([56064](https://github.com/WordPress/gutenberg/pull/56064))

#### Post Editor
- "Detach" text change in template options. ([55870](https://github.com/WordPress/gutenberg/pull/55870))

#### Site Editor
- Site editor: Add edit page slug field. ([55767](https://github.com/WordPress/gutenberg/pull/55767))

#### Interactivity API
- Server directive processing: Process only root blocks. ([55739](https://github.com/WordPress/gutenberg/pull/55739))

#### Block settings menu
- Remove the extraneous template part title in replace control. ([55603](https://github.com/WordPress/gutenberg/pull/55603))

#### List View
- Add keyboard shortcut to select all blocks. ([54899](https://github.com/WordPress/gutenberg/pull/54899))


### New APIs

- Download blob: Remove downloadjs dependency. ([56024](https://github.com/WordPress/gutenberg/pull/56024))


### Bug Fixes

#### Block Library
- Background Image Support: Hide the background image reset button when there's no image. ([55973](https://github.com/WordPress/gutenberg/pull/55973))
- Background image support: Fix focus loss when resetting background image. ([55984](https://github.com/WordPress/gutenberg/pull/55984))
- Custom Link: Decode value in URL input field. ([55549](https://github.com/WordPress/gutenberg/pull/55549))
- Fix lightbox trigger styles. ([55859](https://github.com/WordPress/gutenberg/pull/55859))
- Form block: Use `type="submit"` for buttons. ([55690](https://github.com/WordPress/gutenberg/pull/55690))
- Image block: Add check for lightbox values during image block migration. ([56057](https://github.com/WordPress/gutenberg/pull/56057))
- Image block: Don't show pointer cursor on linked image in the editor. ([55882](https://github.com/WordPress/gutenberg/pull/55882))
- Lightbox: Fix button misalignment in gallery image. ([56060](https://github.com/WordPress/gutenberg/pull/56060))
- Lightbox: Fix close button position. ([56125](https://github.com/WordPress/gutenberg/pull/56125))
- Missing block: Use raw source for originalContent. ([56014](https://github.com/WordPress/gutenberg/pull/56014))
- Navigation Link block: Register variations on post type / taxonomy registration. ([54801](https://github.com/WordPress/gutenberg/pull/54801))
- Pattern: Fix regression error in post type templates. ([55858](https://github.com/WordPress/gutenberg/pull/55858))
- Pattern: Process embeds. ([55979](https://github.com/WordPress/gutenberg/pull/55979))
- Post feature image block: Wrap images with hrefs in an A tag. ([55498](https://github.com/WordPress/gutenberg/pull/55498))
- Quote Block: Fix the Quote block layout supports. ([55240](https://github.com/WordPress/gutenberg/pull/55240))
- Read More block: Reduce text decoration specificity. ([56038](https://github.com/WordPress/gutenberg/pull/56038))

#### Data Views
- DataViews: Add missing key to `ResetFilters` component. ([56189](https://github.com/WordPress/gutenberg/pull/56189))
- DataViews: Fix issue with irrelevant statuses. ([55967](https://github.com/WordPress/gutenberg/pull/55967))
- DataViews: Fix nested button tags on sidebar. ([56089](https://github.com/WordPress/gutenberg/pull/56089))
- DataViews: Fix pagination on manual input. ([55940](https://github.com/WordPress/gutenberg/pull/55940))
- DataViews: Fix spacing issue in top-level bar. ([56151](https://github.com/WordPress/gutenberg/pull/56151))
- DataViews: Fix status filter upon switching the default views from the sidebar. ([55856](https://github.com/WordPress/gutenberg/pull/55856))
- DataViews: Make items per page an even number. ([55906](https://github.com/WordPress/gutenberg/pull/55906))
- DataViews: Make used taxonomy private. ([55918](https://github.com/WordPress/gutenberg/pull/55918))
- DataViews: Reset pagination upon filter change. ([55797](https://github.com/WordPress/gutenberg/pull/55797))
- DataViews: Add a missing icon for the side by side view. ([55925](https://github.com/WordPress/gutenberg/pull/55925))

#### Components
- DropdownMenu: Remove extra vertical space around the toggle button. ([56136](https://github.com/WordPress/gutenberg/pull/56136))
- DropdownMenuV2: Prevent default on Escape key presses. ([55962](https://github.com/WordPress/gutenberg/pull/55962))
- DropdownMenuV2: Use the `Icon` component to render radio checks. ([55964](https://github.com/WordPress/gutenberg/pull/55964))

#### Typography
- Fix fatal error in WP_Fonts_Resolver::Get_settings(). ([55981](https://github.com/WordPress/gutenberg/pull/55981))
- Font Library: Create fonts dir if a font face needs to use the filesystem. ([56120](https://github.com/WordPress/gutenberg/pull/56120))
- Font Library: Fix font installation failure. ([55893](https://github.com/WordPress/gutenberg/pull/55893))

#### Block Editor
- Iframe: Bubble events from html element instead of body element to fix drag chip positioning. ([56099](https://github.com/WordPress/gutenberg/pull/56099))
- Post Featured Image: Handling correctly when uploading a file without mime type. ([56133](https://github.com/WordPress/gutenberg/pull/56133))
- Block Editor: Fix Block editor crash. ([56051](https://github.com/WordPress/gutenberg/pull/56051))
- Move clientId key to BlockContextualToolbar. ([56008](https://github.com/WordPress/gutenberg/pull/56008))

#### Patterns
- Add context for translators to any unclear usage of "synced". ([55935](https://github.com/WordPress/gutenberg/pull/55935))
- Use existing download function for JSON downloads to fix non-ASCII encoding. ([55912](https://github.com/WordPress/gutenberg/pull/55912))

#### Inspector Controls
- Global Styles: Don't show "Apply Styles Globally" button in non-block based themes. ([56033](https://github.com/WordPress/gutenberg/pull/56033))

#### Template Editor
- Templates: Update filter to call all of the individual methods. ([55980](https://github.com/WordPress/gutenberg/pull/55980))

#### Global Styles
- Global styles revisions: Load unsaved revision item into the revisions preview. ([55880](https://github.com/WordPress/gutenberg/pull/55880))

#### Post Editor
- Edit Post: Fix pattern modal reopening when making the title empty again. ([55873](https://github.com/WordPress/gutenberg/pull/55873))

#### Data Layer
- Core data: Fix wrong store results when page receives less items that what is stored. ([55832](https://github.com/WordPress/gutenberg/pull/55832))


### Accessibility

#### Data Views
- DataViews: Add labels to "in-filters". ([56001](https://github.com/WordPress/gutenberg/pull/56001))
- DataViews: Show actions label. ([56027](https://github.com/WordPress/gutenberg/pull/56027))

#### Components
- Fix the image link button pressed state. ([56123](https://github.com/WordPress/gutenberg/pull/56123))

#### Block Editor
- Fix mismatching link control action buttons visual order and DOM order. ([56042](https://github.com/WordPress/gutenberg/pull/56042))
- Escape on Block Toolbar returns focus to Editor Canvas. ([55712](https://github.com/WordPress/gutenberg/pull/55712))

#### Site Editor
- Prevent sidebar focus in site editor on small screens. ([55934](https://github.com/WordPress/gutenberg/pull/55934))

#### Block Library
- Heading level dropdown: Remove obtrusive tooltips in favor of visible text. ([56035](https://github.com/WordPress/gutenberg/pull/56035))


### Performance

#### Tooling
- Add a metric to trace template navigation in the site editor. ([55796](https://github.com/WordPress/gutenberg/pull/55796))

#### List View
- ListViewBlock: Combine 'useSelect' hooks. ([55889](https://github.com/WordPress/gutenberg/pull/55889))

#### Block Editor
- Block Editor: Optimize 'Block Hooks' inspector controls. ([56101](https://github.com/WordPress/gutenberg/pull/56101))
- Block Editor: Optimize BlockListAppender. ([56116](https://github.com/WordPress/gutenberg/pull/56116))

#### Site Editor
- Avoid rerendering the sitehub unnecessarily. ([55818](https://github.com/WordPress/gutenberg/pull/55818))

#### Layout
- Block Editor: Optimize layout style renderer subscription. ([55762](https://github.com/WordPress/gutenberg/pull/55762))


### Experiments

#### Data Views
- DataViews: Add ability to create custom views. ([55773](https://github.com/WordPress/gutenberg/pull/55773))
- DataViews: Add control to reset all filters at once. ([55955](https://github.com/WordPress/gutenberg/pull/55955))
- DataViews: Add delete and restore actions. ([55781](https://github.com/WordPress/gutenberg/pull/55781))
- DataViews: Add initial "Side by side" prototype. ([55343](https://github.com/WordPress/gutenberg/pull/55343))
- DataViews: Add new page size option. ([56112](https://github.com/WordPress/gutenberg/pull/56112))
- DataViews: Add rename functionality to custom views. ([55997](https://github.com/WordPress/gutenberg/pull/55997))
- DataViews: Allow users to add filters dynamically. ([55992](https://github.com/WordPress/gutenberg/pull/55992))
- DataViews: Update 'All pages' sidebar heading. ([56148](https://github.com/WordPress/gutenberg/pull/56148))
- DataViews: Update 'View' button. ([56144](https://github.com/WordPress/gutenberg/pull/56144))
- DataViews: Update `all templates` page. ([55848](https://github.com/WordPress/gutenberg/pull/55848))
- DataViews: Update author and title fields in template's list. ([56029](https://github.com/WordPress/gutenberg/pull/56029))
- DataViews: Update filters in view configuration. ([55735](https://github.com/WordPress/gutenberg/pull/55735))
- DataViews: Add filters to table columns. ([55508](https://github.com/WordPress/gutenberg/pull/55508))
- DataViews: Add: Ability to delete custom views. ([55924](https://github.com/WordPress/gutenberg/pull/55924))
- DataViews: Add: Custom views header indication. ([55926](https://github.com/WordPress/gutenberg/pull/55926))
- DataViews: Remove unnecessary label when no visible filters exist. ([55838](https://github.com/WordPress/gutenberg/pull/55838))


### Documentation

- Add a first block type page to the platform documentation. ([56109](https://github.com/WordPress/gutenberg/pull/56109))
- Add new block development "Quick Start Guide" and update the `create-block-tutorial-template`. ([56056](https://github.com/WordPress/gutenberg/pull/56056))
- Clean up DataViews docs: `filter.id` is not used. ([55833](https://github.com/WordPress/gutenberg/pull/55833))
- DataViews: Document `enableSorting` and `enableHiding`. ([55988](https://github.com/WordPress/gutenberg/pull/55988))
- DataViews: Document actions. ([55959](https://github.com/WordPress/gutenberg/pull/55959))
- Doc: Corrected + updated links. ([56084](https://github.com/WordPress/gutenberg/pull/56084))
- Doc: Fixes wrong link in #56084. ([56106](https://github.com/WordPress/gutenberg/pull/56106))
- Docs: Changes imports from `wp.editor` to `wp.blockEditor` for PlainText and RichText. ([55841](https://github.com/WordPress/gutenberg/pull/55841))
- Fix formatting issue in the "Get started with create-block" doc. ([55872](https://github.com/WordPress/gutenberg/pull/55872))
- Fix: 404 Link on git workflow docs. ([55897](https://github.com/WordPress/gutenberg/pull/55897))
- Fix: 404 link in get-started-with-create-block docs. ([55932](https://github.com/WordPress/gutenberg/pull/55932))
- Fix: Create meta block link in block attributes documentation. ([55804](https://github.com/WordPress/gutenberg/pull/55804))
- Fix: Filter duotone link on block-supports documentation. ([55896](https://github.com/WordPress/gutenberg/pull/55896))
- Fix: Two invalid links on docs/contributors/documentation/README.md. ([55843](https://github.com/WordPress/gutenberg/pull/55843))
- New additional resource for wp-env. ([55987](https://github.com/WordPress/gutenberg/pull/55987))
- Update documentation to clarify workflow branch for release package publishing. ([56183](https://github.com/WordPress/gutenberg/pull/56183))
- Update jest links to the new site. ([55802](https://github.com/WordPress/gutenberg/pull/55802))


### Code Quality

- Block lib: Remove multiline=false (deprecated). ([56113](https://github.com/WordPress/gutenberg/pull/56113))
- Delete unused `SelectedBlockPopover` component. ([55821](https://github.com/WordPress/gutenberg/pull/55821))
- Fix: Remove unrequired nullish coalescing. ([55854](https://github.com/WordPress/gutenberg/pull/55854))
- Fix: Use of integer value in a conditional rendering condition on Gradients. ([55855](https://github.com/WordPress/gutenberg/pull/55855))
- Give nice unique names to block controls HOCs. ([55795](https://github.com/WordPress/gutenberg/pull/55795))
- Migrating `PatternTransformationsMenu`. ([56122](https://github.com/WordPress/gutenberg/pull/56122))
- Migrating block inserter media tab components. ([56195](https://github.com/WordPress/gutenberg/pull/56195))
- Move document tools motion to header-edit-mode layout level. ([55904](https://github.com/WordPress/gutenberg/pull/55904))
- Only render block toolbar if blockType has value. ([55861](https://github.com/WordPress/gutenberg/pull/55861))
- Refactor Edit Widgets Document Tools Navigation to own component. ([55778](https://github.com/WordPress/gutenberg/pull/55778))
- Refactor Selected Block Tools. ([55737](https://github.com/WordPress/gutenberg/pull/55737))
- Refactor Site Editor Document Tools Navigation to own component. ([55770](https://github.com/WordPress/gutenberg/pull/55770))
- Remove BlockStyles.Slot empty component. ([55991](https://github.com/WordPress/gutenberg/pull/55991))
- Remove obsolete `queryContext`. ([56034](https://github.com/WordPress/gutenberg/pull/56034))
- Remove unnecessary empty className. ([55998](https://github.com/WordPress/gutenberg/pull/55998))
- Rename Unforward to Unforwarded and export the named const. ([55820](https://github.com/WordPress/gutenberg/pull/55820))
- Render Selected Block Tools in Header when using Top Toolbar. ([55787](https://github.com/WordPress/gutenberg/pull/55787))
- Reusable Blocks: Unlock a private hook and a component at the file level. ([55809](https://github.com/WordPress/gutenberg/pull/55809))
- Server directive processing: Improve how block references are saved. ([56107](https://github.com/WordPress/gutenberg/pull/56107))
- Share the editor settings between the post and site editors. ([55970](https://github.com/WordPress/gutenberg/pull/55970))
- Site Editor: Fix deprecation console error in top toolbar. ([55678](https://github.com/WordPress/gutenberg/pull/55678))
- Site Editor: Unlock global styles' private hooks at the file level. ([55800](https://github.com/WordPress/gutenberg/pull/55800))
- Site Editor: Update edited entity sync logic. ([55928](https://github.com/WordPress/gutenberg/pull/55928))
- Site Editor: Use EditorProvider instead of custom logic. ([56000](https://github.com/WordPress/gutenberg/pull/56000))
- SiteEditor: Optimize BackToPageNotification component. ([56102](https://github.com/WordPress/gutenberg/pull/56102))
- SiteEditor: Refactor disable non page content blocks. ([56103](https://github.com/WordPress/gutenberg/pull/56103))
- Unify the PageUrl and PageSlug components between site and post editors. ([56203](https://github.com/WordPress/gutenberg/pull/56203))

#### Data Views
- DataViews: Fix translatable string. ([56075](https://github.com/WordPress/gutenberg/pull/56075))
- DataViews: Remove `filter.name`. ([55834](https://github.com/WordPress/gutenberg/pull/55834))
- DataViews: Remove reset values from filters. ([55839](https://github.com/WordPress/gutenberg/pull/55839))
- DataViews: Remove unnecessary `sortingFn` prop from field description. ([55989](https://github.com/WordPress/gutenberg/pull/55989))
- DataViews: Simplify filters API. ([55917](https://github.com/WordPress/gutenberg/pull/55917))
- DataViews: Update actions API. ([56026](https://github.com/WordPress/gutenberg/pull/56026))

#### Block Editor
- Rich text: Remove preserveWhiteSpace serialisation differences. ([55999](https://github.com/WordPress/gutenberg/pull/55999))
- Rich text: highlight format: Gracefully handle old span format. ([56071](https://github.com/WordPress/gutenberg/pull/56071))
- Update Link Control labels to use gray-900. ([55867](https://github.com/WordPress/gutenberg/pull/55867))

#### Components
- `DisclosureContent`: Migrate from `reakit` to `@ariakit/react`. ([55639](https://github.com/WordPress/gutenberg/pull/55639))
- `Divider`: Migrate from `reakit` to `@ariakit/react`. ([55622](https://github.com/WordPress/gutenberg/pull/55622))
- `RadioGroup`: Migrate from `reakit` to `ariakit`. ([55580](https://github.com/WordPress/gutenberg/pull/55580))

#### Site Editor
- Core Data: Move the template lookup to core-data selectors/resolvers. ([55883](https://github.com/WordPress/gutenberg/pull/55883))
- Don't use 'useEntityRecord' to only dispatch actions. ([56076](https://github.com/WordPress/gutenberg/pull/56076))

#### Block Library
- Navigation: Refactor the PHP render function to make it easier to make changes in the future. ([55605](https://github.com/WordPress/gutenberg/pull/55605))
- Update `blockEditor.__unstableCanInsertBlockType` hook namespace. ([55845](https://github.com/WordPress/gutenberg/pull/55845))

#### Data Layer
- Data: Fix ESLint warnings for the 'useSelect' hook. ([55916](https://github.com/WordPress/gutenberg/pull/55916))

#### Post Editor
- Edit Post: Use a single 'useSelect' hook for getting selectors. ([55902](https://github.com/WordPress/gutenberg/pull/55902))

#### Colors
- Add Unit testing for duotone enhanced pagination. ([55542](https://github.com/WordPress/gutenberg/pull/55542))

#### Patterns
- Split up the block editor inserter patterns tab into separate component files. ([55315](https://github.com/WordPress/gutenberg/pull/55315))

#### Design Tools
- Block styles: Remove __unstableElementContext in favour of useStyleOverride. ([54493](https://github.com/WordPress/gutenberg/pull/54493))


### Tools

- Issue Templates: Add default type labels to issue templates. ([55826](https://github.com/WordPress/gutenberg/pull/55826))
- Label enforcer: Make the warning message less scary for new contributors. ([55900](https://github.com/WordPress/gutenberg/pull/55900))
- Quote feature request label. ([55862](https://github.com/WordPress/gutenberg/pull/55862))

#### Testing
- Disable 'no-conditional-in-test' ESLint rule for Playwright. ([56088](https://github.com/WordPress/gutenberg/pull/56088))
- Fix 'Block Switcher' test file name for Playwright end-to-end tests. ([55840](https://github.com/WordPress/gutenberg/pull/55840))
- Fix flaky 'Meta boxes' end-to-end tests. ([56083](https://github.com/WordPress/gutenberg/pull/56083))
- Migrate 'CPT locking' end-to-end tests to Playwright. ([55929](https://github.com/WordPress/gutenberg/pull/55929))
- Migrate 'Meta boxes' end-to-end tests to Playwright. ([55915](https://github.com/WordPress/gutenberg/pull/55915))
- Migrate 'Plugins API' end-to-end tests to Playwright. ([55958](https://github.com/WordPress/gutenberg/pull/55958))
- Migrate 'annotations' end-to-end tests to Playwright. ([55966](https://github.com/WordPress/gutenberg/pull/55966))
- Migrate 'container blocks' end-to-end tests to Playwright. ([56141](https://github.com/WordPress/gutenberg/pull/56141))
- Migrate 'inner-blocks-prioritized-inserter-blocks' end-to-end tests to Playwright. ([55828](https://github.com/WordPress/gutenberg/pull/55828))
- Migrate 'inner-blocks-render-appender' end-to-end tests to Playwright. ([55814](https://github.com/WordPress/gutenberg/pull/55814))
- Migrate 'meta-attribute-block' end-to-end tests to Playwright. ([55830](https://github.com/WordPress/gutenberg/pull/55830))
- Migrate Child Block Test to Playwright. ([55199](https://github.com/WordPress/gutenberg/pull/55199))
- Migrate flaky PostPublishButton end-to-end tests to Playwright. ([52285](https://github.com/WordPress/gutenberg/pull/52285))
- Perf Tests: Stabilise the Site Editor metrics. ([55922](https://github.com/WordPress/gutenberg/pull/55922))
- Playwright Utils: Fix 'clickBlockOptionsMenuItem' helper. ([55923](https://github.com/WordPress/gutenberg/pull/55923))
- Query block enhanced pagination: Simplify test setup. ([55805](https://github.com/WordPress/gutenberg/pull/55805))
- Site editor template preview: Add end-to-end test and aria-pressed attribute to template preview toggle. ([56096](https://github.com/WordPress/gutenberg/pull/56096))
- Upgrade Playwright to 1.39.0. ([54051](https://github.com/WordPress/gutenberg/pull/54051))
- end-to-end Utils: Add setPreferences and editPost utils. ([55099](https://github.com/WordPress/gutenberg/pull/55099))
- end-to-end Utils: Add support for web-vitals.js. ([55660](https://github.com/WordPress/gutenberg/pull/55660))

#### Build Tooling
- Package `@ariakit/test` should be a dev dependency. ([56091](https://github.com/WordPress/gutenberg/pull/56091))


## First time contributors

The following PRs were merged by first time contributors:

- @joanrodas: Update Link Control labels to use gray-900. ([55867](https://github.com/WordPress/gutenberg/pull/55867))
- @JorgeVilchez95: "Detach" text change in template options. ([55870](https://github.com/WordPress/gutenberg/pull/55870))
- @sacerro: Styles: More descriptive text for revisions timeline. ([55868](https://github.com/WordPress/gutenberg/pull/55868))


## Contributors

The following contributors merged PRs in this release:

@afercia @andrewhayward @andrewserong @anomiex @anton-vlasenko @aristath @artemiomorales @bph @brookewp @c4rl0sbr4v0 @chad1008 @ciampo @DAreRodz @dcalhoun @dsas @ellatrix @flootr @fluiddot @gaambo @glendaviesnz @gziolo @jameskoster @jeryj @jhnstn @joanrodas @jorgefilipecosta @JorgeVilchez95 @jsnajdr @juanmaguitar @kevin940726 @Mamaduka @masteradhoc @matiasbenedetto @ndiego @ntsekouras @oandregal @peterwilsoncc @pooja-muchandikar @priethor @ramonjd @renatho @richtabor @sacerro @scruffian @shimotmk @SiobhyB @Soean @swissspidy @t-hamano @talldan @tellthemachines @torounit @tyxla @WunderBart @youknowriad




= 17.0.2 =



## Changelog

### Bug Fixes

#### Typography
- Fix another fatal error in WP_Fonts_Resolver::Get_settings(). ([56067](https://github.com/WordPress/gutenberg/pull/56067))




## Contributors

The following contributors merged PRs in this release:

@arthur791004


= 17.0.1 =

## Changelog

### Bug Fixes

- Fix a fatal error in `WP_Fonts_Resolver::get_settings()`. ([55981](https://github.com/WordPress/gutenberg/pull/55981))

## Contributors

@anton-vlasenko


= 16.9.1 =

Fixes a PHP fatal error in `WP_Fonts_Resolver::get_settings()`: https://github.com/WordPress/gutenberg/pull/55981


= 17.0.0 =



## Changelog


### Enhancements

#### Link Control
- Add blog icon to the blog home page in LinkControl search results. ([55610](https://github.com/WordPress/gutenberg/pull/55610))
- Add home icon to the front page in LinkControl results. ([55606](https://github.com/WordPress/gutenberg/pull/55606))

#### Block Theme Preview
- Block Theme Preview: Display loading state when activating. ([55658](https://github.com/WordPress/gutenberg/pull/55658))

#### Block Library
- Template Part block: Use `_build_block_template_result_from_post`. ([55811](https://github.com/WordPress/gutenberg/pull/55811))

#### Block Toolbar
- Improve toolbar button focus visual. ([55523](https://github.com/WordPress/gutenberg/pull/55523))

#### Components
- Add new ariakit-based `DropdownMenu` component. ([54939](https://github.com/WordPress/gutenberg/pull/54939))
- Update InputControl and SelectControl default heights. ([55490](https://github.com/WordPress/gutenberg/pull/55490))
- Update ariakit to version 0.3.5. ([55365](https://github.com/WordPress/gutenberg/pull/55365))

#### Block Editor
- Adjust the padding of the category item to make it visually balanced. ([55598](https://github.com/WordPress/gutenberg/pull/55598))

#### Patterns
- Suggest commands when editing pattern in site editor. ([55332](https://github.com/WordPress/gutenberg/pull/55332))

### Bug Fixes

- Fix autocomplete trigger character detection. ([55301](https://github.com/WordPress/gutenberg/pull/55301))
- Fix typo in `FontCollection`. ([55439](https://github.com/WordPress/gutenberg/pull/55439))

#### Block Editor

- Block Editor: Avoid rendering empty Slot for block alignments. ([55689](https://github.com/WordPress/gutenberg/pull/55689))
- Block Example: Avoid a crash when block is not registered. ([55686](https://github.com/WordPress/gutenberg/pull/55686))

#### Command Palette
- Command Palette: Fix a crash when transform to a block without icon. ([55676](https://github.com/WordPress/gutenberg/pull/55676))

#### Link Control
- Fix: LinkControl on site editor does not show font page and post page indication. ([55694](https://github.com/WordPress/gutenberg/pull/55694))
- Fix: LinkControl on widgets editor does not show font page and post page indication. ([55732](https://github.com/WordPress/gutenberg/pull/55732))

#### Interactivity API
- Fix: Update page title when using enhanced pagination in query loop. ([55446](https://github.com/WordPress/gutenberg/pull/55446))

#### Block Library
- Fix: Post terms block: Missing options for prefix and suffix when the…. ([55726](https://github.com/WordPress/gutenberg/pull/55726))
- Ensure Term Description block is registered in core. ([55669](https://github.com/WordPress/gutenberg/pull/55669))
- Fix #55679 missing space in the string. ([55682](https://github.com/WordPress/gutenberg/pull/55682))
- Image block: Wrap images with hrefs in an A tag. ([55470](https://github.com/WordPress/gutenberg/pull/55470))
- Image: Improve focus management in lightbox. ([55428](https://github.com/WordPress/gutenberg/pull/55428))
- Image: Update default fullscreen icon for lightbox trigger. ([55463](https://github.com/WordPress/gutenberg/pull/55463))
- Navigation block: Remove browser default padding from the two submenu buttons. ([50943](https://github.com/WordPress/gutenberg/pull/50943))
- Query Loop: Disallow "enhanced pagination" with core blocks that may contain third-party blocks. ([55539](https://github.com/WordPress/gutenberg/pull/55539))
- Query block enhanced pagination: Detect inner plugin blocks during render. ([55714](https://github.com/WordPress/gutenberg/pull/55714))
- Query: Require queryId for enhanced pagination to prevent PHP notices. ([55720](https://github.com/WordPress/gutenberg/pull/55720))
- Update label for lightbox editor UI. ([55724](https://github.com/WordPress/gutenberg/pull/55724))
- [Block] File: Fix embedded PDF files in Safari. ([55667](https://github.com/WordPress/gutenberg/pull/55667))

#### Patterns
- Fix bug with authors and contributors not seeing user pattern categories. ([55553](https://github.com/WordPress/gutenberg/pull/55553))
- Fix pattern category renaming causing potential duplicate categories. ([55607](https://github.com/WordPress/gutenberg/pull/55607))

#### Post Editor
- Edit Post: Fix revision button misalignment. ([55659](https://github.com/WordPress/gutenberg/pull/55659))
- Preferences modal: Fix the position of sticky heading when blocks are hidden. ([55456](https://github.com/WordPress/gutenberg/pull/55456))
- Fix: Add __next40pxDefaultSize to author select in PostAuthor. ([55597](https://github.com/WordPress/gutenberg/pull/55597))

#### Site Editor
- Fix the 'Slug' display for draft pages. ([55774](https://github.com/WordPress/gutenberg/pull/55774))

#### Data Views
- List all users in author filter. ([55723](https://github.com/WordPress/gutenberg/pull/55723))
- Don't register dataviews postype and taxonomy if experiment is disabled. ([55743](https://github.com/WordPress/gutenberg/pull/55743))

#### Design Tools
- Remove default dimensions controls from core/avatar. ([55596](https://github.com/WordPress/gutenberg/pull/55596))


#### Interactivity API
- Fix server processing of an empty `data-wp-context` directive. ([55482](https://github.com/WordPress/gutenberg/pull/55482))
- Make duotone support compatible with enhanced pagination. ([55415](https://github.com/WordPress/gutenberg/pull/55415))
- Make layout support compatible with enhanced pagination. ([55416](https://github.com/WordPress/gutenberg/pull/55416))

#### Global Styles
- Fix duotone not showing in site editor style block level styles. ([55361](https://github.com/WordPress/gutenberg/pull/55361))


### Accessibility

#### Block Library
- Navigation block: Change aria-haspopup to dialog. ([55466](https://github.com/WordPress/gutenberg/pull/55466))

#### Components
- Autocomplete: Fix Voiceover not announcing suggestions. ([54902](https://github.com/WordPress/gutenberg/pull/54902))

#### Interactivity API
- Query Loop: Update modal role and focus first element. ([54507](https://github.com/WordPress/gutenberg/pull/54507))


### Performance

- Add useSettings hook for reading multiple settings at once. ([55337](https://github.com/WordPress/gutenberg/pull/55337))
- Block Editor: Optimize 'Layout' controls. ([55754](https://github.com/WordPress/gutenberg/pull/55754))
- Block Editor: Optimize 'anchor' inspector controls. ([55721](https://github.com/WordPress/gutenberg/pull/55721))
- Block Editor: Optimize 'duotone' controls. ([55753](https://github.com/WordPress/gutenberg/pull/55753))
- Block Editor: Optimize alignment toolbar controls. ([55692](https://github.com/WordPress/gutenberg/pull/55692))
- Start logging site editor metrics in codevitals. ([55759](https://github.com/WordPress/gutenberg/pull/55759))
- useAvailableAlignments: Avoid useSelect subscription when alignments array is empty. ([55449](https://github.com/WordPress/gutenberg/pull/55449))


### Experiments

#### Data Views
- Trash Data View: Use trash icon. ([55771](https://github.com/WordPress/gutenberg/pull/55771))
- Add quick actions. ([55488](https://github.com/WordPress/gutenberg/pull/55488))
- Update icons and design tweaks. ([55391](https://github.com/WordPress/gutenberg/pull/55391))
- Add ability to persist dataviews on the database. ([55465](https://github.com/WordPress/gutenberg/pull/55465))
- Extract `search` from filters. ([55722](https://github.com/WordPress/gutenberg/pull/55722))
- Limit users to those who have published pages. ([55455](https://github.com/WordPress/gutenberg/pull/55455))
- List all pages, not only those with publish and draft statuses. ([55476](https://github.com/WordPress/gutenberg/pull/55476))
- Add: Default readonly views to dataviews. ([55740](https://github.com/WordPress/gutenberg/pull/55740))
- Add: Possibility to tree shake DataViewsProvider. ([55641](https://github.com/WordPress/gutenberg/pull/55641))

#### Form block
- Blocks: Capitalize title and end the description with a period. ([55728](https://github.com/WordPress/gutenberg/pull/55728))
- Update copy. ([55468](https://github.com/WordPress/gutenberg/pull/55468))
- Allow using groups and columns inside the experimental form block. ([55758](https://github.com/WordPress/gutenberg/pull/55758))

#### Collaborative Editing
- Remove dangling comma causing PHPUnit failures. ([55494](https://github.com/WordPress/gutenberg/pull/55494))
- [Try] HTTP based PHP signaling server for colaborative editing. ([53922](https://github.com/WordPress/gutenberg/pull/53922))

### Documentation

- Adds a few grammar fixes to `block-registration` documentation. ([55663](https://github.com/WordPress/gutenberg/pull/55663))
- Block JSON schema: Add heading/button key to color definition. ([55675](https://github.com/WordPress/gutenberg/pull/55675))
- DataViews: Document `data` and `filters`. ([55504](https://github.com/WordPress/gutenberg/pull/55504))
- Docs: Fix some typos. ([55654](https://github.com/WordPress/gutenberg/pull/55654))
- Docs: Sidebar Block editor handbook - create-block before wp-scripts. ([55534](https://github.com/WordPress/gutenberg/pull/55534))
- Fix: Typos inside /docs. ([55472](https://github.com/WordPress/gutenberg/pull/55472))
- Scripts: Fix typo in readme. ([55531](https://github.com/WordPress/gutenberg/pull/55531))
- Update links to point to getting started guides. ([55479](https://github.com/WordPress/gutenberg/pull/55479))
- docs: Fix end-to-end test documentation formatting. ([55631](https://github.com/WordPress/gutenberg/pull/55631))


### Code Quality
- Use PostCSS + PostCSS plugins for style transformation. ([49521](https://github.com/WordPress/gutenberg/pull/49521))
- CS: Remove redundant ignore annotations. ([55615](https://github.com/WordPress/gutenberg/pull/55615))
- Chore: Fix: Potential access to properties of undefined object. ([55697](https://github.com/WordPress/gutenberg/pull/55697))
- Fix: Add missing defaultStatuses on PagePages. ([55761](https://github.com/WordPress/gutenberg/pull/55761))
- Resizeable box (for resizing cover block) should use after block popover slot. ([55784](https://github.com/WordPress/gutenberg/pull/55784))
- Update: Code quality: Use for each instead of map. ([55798](https://github.com/WordPress/gutenberg/pull/55798))
- Update: Remove path awareness from data-views specific code. ([55695](https://github.com/WordPress/gutenberg/pull/55695))
- Update: Remove useless self assignment. ([55696](https://github.com/WordPress/gutenberg/pull/55696))
- Backport updates from Core during the 6.4 release cycle. ([55703](https://github.com/WordPress/gutenberg/pull/55703))

#### Data Views
- DataViews: Iterate on filter's API. ([55440](https://github.com/WordPress/gutenberg/pull/55440))
- DataViews: Pass `search` filter as global, unattached from fields. ([55475](https://github.com/WordPress/gutenberg/pull/55475))
- DataViews: Remove string from pages sidebar. ([55510](https://github.com/WordPress/gutenberg/pull/55510))
- Rename `TextFilter` to `Search`. ([55731](https://github.com/WordPress/gutenberg/pull/55731))
- Remove unused file dataview context. ([55775](https://github.com/WordPress/gutenberg/pull/55775))

#### Block Library
- Pattern: Unlock the private hook outside the component. ([55792](https://github.com/WordPress/gutenberg/pull/55792))

#### Patterns
- Change pattern category taxonomy public param to false. ([55748](https://github.com/WordPress/gutenberg/pull/55748))


### Tools

- Replace 'npx' with 'node' on test-playwright.js file'. ([55616](https://github.com/WordPress/gutenberg/pull/55616))
- wp-env: Fix errors which prevent it from working without internet. ([53547](https://github.com/WordPress/gutenberg/pull/53547))
- [create-block] Add ABSPATH check. ([55533](https://github.com/WordPress/gutenberg/pull/55533))

#### Testing
- E2E: Revert typing delay on the autocomplete mentions test. ([55132](https://github.com/WordPress/gutenberg/pull/55132))
- Fix flaky 'Switch to Draft' action in Preview end-to-end tests. ([55772](https://github.com/WordPress/gutenberg/pull/55772))
- Migrate 'Site Title block' end-to-end tests to Playwright. ([55704](https://github.com/WordPress/gutenberg/pull/55704))
- Migrate 'block context' end-to-end tests to Playwright. ([55793](https://github.com/WordPress/gutenberg/pull/55793))
- Performance tests: Fix canvas locator timeout. ([55441](https://github.com/WordPress/gutenberg/pull/55441))
- Scripts: Fix default Playwright configuration. ([55453](https://github.com/WordPress/gutenberg/pull/55453))


## First time contributors

The following PRs were merged by first time contributors:

- @garibiza: Fix #55679 missing space in the string. ([55682](https://github.com/WordPress/gutenberg/pull/55682))
- @iamsadi22: Replace 'npx' with 'node' on test-playwright.js file'. ([55616](https://github.com/WordPress/gutenberg/pull/55616))
- @parikshit-adhikari: Fix: Typos inside /docs. ([55472](https://github.com/WordPress/gutenberg/pull/55472))
- @strarsis: Use PostCSS + PostCSS plugins for style transformation. ([49521](https://github.com/WordPress/gutenberg/pull/49521))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @ajlende @alexstine @aristath @artemiomorales @arthur791004 @aurooba @c4rl0sbr4v0 @carolinan @ciampo @DAreRodz @dcalhoun @derekblank @dmsnell @fluiddot @garibiza @geriux @glendaviesnz @iamsadi22 @jameskoster @jeryj @jorgefilipecosta @jsnajdr @juanmaguitar @kevin940726 @KevinBatdorf @luisherranz @MaggieCabrera @Mamaduka @noahtallen @ntsekouras @oandregal @parikshit-adhikari @peterwilsoncc @ramonjd @richtabor @SergeyBiryukov @SiobhyB @Soean @strarsis @swissspidy @t-hamano @talldan @WunderBart @youknowriad


= 16.9.0 =

## Changelog

### Features

#### Create Block
- Introduce the transformer property. ([55423](https://github.com/WordPress/gutenberg/pull/55423))

#### Data Views
- Enable users to sort by `date`. ([55388](https://github.com/WordPress/gutenberg/pull/55388))

#### Block Library
- Enable Block Renaming support for (almost) all blocks. ([54426](https://github.com/WordPress/gutenberg/pull/54426))


### Enhancements

#### Command API
- Add block-specific commands as contextual suggestions [#53539]. ([53974](https://github.com/WordPress/gutenberg/pull/53974))

#### Components
- Add `Tabs` (a composable `TabPanel` v2). ([53960](https://github.com/WordPress/gutenberg/pull/53960))
- Add `type="button"` to vanilla `<button>` elements. ([55125](https://github.com/WordPress/gutenberg/pull/55125))
- ConfirmDialog: Ts unit test storybook. ([54954](https://github.com/WordPress/gutenberg/pull/54954))
- GradientPicker: Remove padding and disable overflow of color picker popovers. ([55265](https://github.com/WordPress/gutenberg/pull/55265))
- Migrate `Composite` component from `reakit` to `ariakit`. ([54225](https://github.com/WordPress/gutenberg/pull/54225))
- Remove margins from Notice component. ([54800](https://github.com/WordPress/gutenberg/pull/54800))

#### Patterns
- Add duplicate pattern command. ([55292](https://github.com/WordPress/gutenberg/pull/55292))
- Add rename command. ([55188](https://github.com/WordPress/gutenberg/pull/55188))
- Add rename/delete options for pattern categories in site editor. ([55035](https://github.com/WordPress/gutenberg/pull/55035))
- Register new media related categories. ([55236](https://github.com/WordPress/gutenberg/pull/55236))
- Use modal for pattern duplication flow as workaround for changing sync status. ([54764](https://github.com/WordPress/gutenberg/pull/54764))

### Block Editor
- Migrating `DownloadableBlocksList` to use updated `Composite` implementation. ([55272](https://github.com/WordPress/gutenberg/pull/55272))

#### Block Library
- Improve DimensionsTool control layout. ([55060](https://github.com/WordPress/gutenberg/pull/55060))
- Template Part block: Fall back to current theme if no theme attribute is given. ([55217](https://github.com/WordPress/gutenberg/pull/55217))

#### Post Editor
- Editor: Introduce PluginPostExcerpt slot. ([55200](https://github.com/WordPress/gutenberg/pull/55200))
- Editor: Use hooks instead of HoCs in PostExcerpt. ([55189](https://github.com/WordPress/gutenberg/pull/55189))

#### Design Tools
- Allow using CSS level 4 viewport-relative units. ([54415](https://github.com/WordPress/gutenberg/pull/54415))
- Add changelog entry for #54415. ([55201](https://github.com/WordPress/gutenberg/pull/55201))
- Remove 16:10 from 10:16 options from AspectRatioDropdown. ([55053](https://github.com/WordPress/gutenberg/pull/55053))

#### Data Views
- Add drop down with action in headers. ([55293](https://github.com/WordPress/gutenberg/pull/55293))

#### Icons
- Update fullscreen icon. ([55021](https://github.com/WordPress/gutenberg/pull/55021))

#### Format Library
- Link format: Auto link pasted urls. ([55195](https://github.com/WordPress/gutenberg/pull/55195))

#### Site Editor
- Migrating `AddCustomTemplateModalContent` to use updated `Composite` implementation. ([55256](https://github.com/WordPress/gutenberg/pull/55256))

#### Private APIs
- Update consent string for using private APIs. ([55182](https://github.com/WordPress/gutenberg/pull/55182))

### New APIs

- Core Data: Retrieve the pagination totals in the getEntityRecords calls. ([55164](https://github.com/WordPress/gutenberg/pull/55164))

### Bug Fixes

#### Block Library
- PHP notice when an image with lightbox is deleted. ([55370](https://github.com/WordPress/gutenberg/pull/55370))
- Cover Block: Check for previously uploaded media before setting the dimRatio. ([55422](https://github.com/WordPress/gutenberg/pull/55422))
- Cover: Fix media type check in the onSelectMedia hook. ([55168](https://github.com/WordPress/gutenberg/pull/55168))
- Fix Block Rename UI perf regression. ([55250](https://github.com/WordPress/gutenberg/pull/55250))
- Fix PHP notice when an image with lightbox is deleted in the behaviors file. ([55385](https://github.com/WordPress/gutenberg/pull/55385))
- Fix: Wrong condition on cover block dimRatioToClass. ([55356](https://github.com/WordPress/gutenberg/pull/55356))
- Focus submenu button when clicked. ([55198](https://github.com/WordPress/gutenberg/pull/55198))
- Hide footnotes block from the inserter. ([55058](https://github.com/WordPress/gutenberg/pull/55058))
- Image: Fix Lightbox display bug in Classic Themes. ([54837](https://github.com/WordPress/gutenberg/pull/54837))
- Latest Posts: Add screen reader title text to Read more links and use alternative to excerpt_more filter. ([55029](https://github.com/WordPress/gutenberg/pull/55029))
- Latest Posts: Sync updates from Core (6.4). ([55181](https://github.com/WordPress/gutenberg/pull/55181))
- List View: Change the aria-description attribute to aria-describedby. ([55264](https://github.com/WordPress/gutenberg/pull/55264))
- Query Loop block: Reuse existing screen-reader-text CSS class for the enhanced pagination aria-live region. ([55309](https://github.com/WordPress/gutenberg/pull/55309))

#### Site Editor
- Alternative: Fix template part area listing when a template has no edits. ([55115](https://github.com/WordPress/gutenberg/pull/55115))
- Do not display 'trashed' navigation menus in Sidebar. ([55072](https://github.com/WordPress/gutenberg/pull/55072))
- Pages list: Set `status` as no sortable. ([55210](https://github.com/WordPress/gutenberg/pull/55210))
- Remove duplicate template areas from the site view sidebar. ([54942](https://github.com/WordPress/gutenberg/pull/54942))
- Site Editor Styles Screen: Fix dancing styles previews. ([55183](https://github.com/WordPress/gutenberg/pull/55183))
- Use `accessorFn` instead of `cell` to render `status`. ([55196](https://github.com/WordPress/gutenberg/pull/55196))

#### Interactivity API
- Add `aria-label` attribute to navigation block only when it is open. ([54816](https://github.com/WordPress/gutenberg/pull/54816))
- Fix server processing of `wp-context` getting out of sync. ([55436](https://github.com/WordPress/gutenberg/pull/55436))
- Image: Disable lightbox editor UI for linked images. ([55141](https://github.com/WordPress/gutenberg/pull/55141))
- Image: Reimplement lightbox trigger as a minimal button in corner of image. ([55212](https://github.com/WordPress/gutenberg/pull/55212))
- Image: Stop crashing with Lightbox on image blocks without an image. ([55269](https://github.com/WordPress/gutenberg/pull/55269))
- Remove the lightbox filter and view file when the lightbox setting is disabled. ([55120](https://github.com/WordPress/gutenberg/pull/55120))
- Reset "Expand on click" image styles when window is resized. ([55077](https://github.com/WordPress/gutenberg/pull/55077))

#### Components
- Changing `Button` component toggled style selector. ([55065](https://github.com/WordPress/gutenberg/pull/55065))
- ColorPicker: Improve UX of dragging the handle when in popover on top of the editor. ([55149](https://github.com/WordPress/gutenberg/pull/55149))
- Colors: Fix color button border radii. ([55207](https://github.com/WordPress/gutenberg/pull/55207))
- Iframe / block drag chip: Fix positioning when dragging over an iframe. ([55150](https://github.com/WordPress/gutenberg/pull/55150))
- ProgressBar: Use text color to ensure enough contrast against background. ([55285](https://github.com/WordPress/gutenberg/pull/55285))
- Toolbar: Add unstyled variant. ([55139](https://github.com/WordPress/gutenberg/pull/55139))
- useBlockPreview: Try outputting EditorStyles to ensure local style overrides are rendered. ([55288](https://github.com/WordPress/gutenberg/pull/55288))

#### Block Editor
- LinkControl: Prevent horizontally long preview image from being stretched vertically. ([55156](https://github.com/WordPress/gutenberg/pull/55156))
- List: Fix forward merging of nested list. ([55121](https://github.com/WordPress/gutenberg/pull/55121))
- Paste: Fix MS Word list paste. ([55127](https://github.com/WordPress/gutenberg/pull/55127))
- Writing flow: Fix selecting synced pattern. ([55221](https://github.com/WordPress/gutenberg/pull/55221))
- Writing flow: Preserve block when merging into empty paragraph. ([55134](https://github.com/WordPress/gutenberg/pull/55134))
- url: Update `filterURLForDisplay` to include all image, video, and audio file types. ([54920](https://github.com/WordPress/gutenberg/pull/54920))
- Block Styles: Display default style label correctly in the block sidebar. ([55008](https://github.com/WordPress/gutenberg/pull/55008))
- useBlockSettings: Add missing useMemo dependencies. ([55204](https://github.com/WordPress/gutenberg/pull/55204))

#### Data Views
- Add linked title fallback. ([55248](https://github.com/WordPress/gutenberg/pull/55248))
- PagePages: Fix unintended object mutation inside component. ([55314](https://github.com/WordPress/gutenberg/pull/55314))
- Fix pagination. ([55387](https://github.com/WordPress/gutenberg/pull/55387))
- Make `date` header translatable. ([55445](https://github.com/WordPress/gutenberg/pull/55445))

#### Patterns
- Add category selector to pattern creation modal. ([55024](https://github.com/WordPress/gutenberg/pull/55024))
- Fix scrollbars on pattern transforms. ([55069](https://github.com/WordPress/gutenberg/pull/55069))

#### HTML API
- Fix: Directive processor failing on updated HTML API. ([55404](https://github.com/WordPress/gutenberg/pull/55404))

#### Widgets Editor
- Only suppress admin notices when JavaScript is enabled. ([55403](https://github.com/WordPress/gutenberg/pull/55403))

#### Data Layer
- Fix `combineReducers()` types. ([55321](https://github.com/WordPress/gutenberg/pull/55321))
- Get the page count as derived data. ([55316](https://github.com/WordPress/gutenberg/pull/55316))

#### Layout
- Add selector as id to layout style overrides. ([55291](https://github.com/WordPress/gutenberg/pull/55291))

#### History
- Try: Only render LastRevision component if plugin is active. ([55253](https://github.com/WordPress/gutenberg/pull/55253))

#### Block Directory
- Fix filtering for downloadable blocks in inserter. ([55243](https://github.com/WordPress/gutenberg/pull/55243))

#### Global Styles
- Use all the settings origins for a block that consumes paths with merge. ([55219](https://github.com/WordPress/gutenberg/pull/55219))

#### Post Editor
- Fix wrong notification message shown when an entity is moved to trash. ([55155](https://github.com/WordPress/gutenberg/pull/55155))

#### Typography
- Font Library: Show error if fetching collection fails. ([54919](https://github.com/WordPress/gutenberg/pull/54919))

#### Colors
- I18n Make `No color selected` translatable text. ([54814](https://github.com/WordPress/gutenberg/pull/54814))

#### Rich Text
- Paste: Only link selection if URL protocol is http(s). ([53000](https://github.com/WordPress/gutenberg/pull/53000))

#### Patterns
- Remove the version enforcement for npm in `engines` field. ([55245](https://github.com/WordPress/gutenberg/pull/55245))

#### Code Quality
- Fix: Use y-webrtc room name terminology instead of docName. ([55260](https://github.com/WordPress/gutenberg/pull/55260))

### Accessibility

#### Global Styles
- Fix flickering when focusing on global style variations. ([55267](https://github.com/WordPress/gutenberg/pull/55267))

#### Interactivity API
- Fix Image block lightbox missing alt attribute and improve accessibility. ([55010](https://github.com/WordPress/gutenberg/pull/55010))

#### Components
- `Modal`: Fix closing when contained iframe is focused. ([51602](https://github.com/WordPress/gutenberg/pull/51602))

#### Block Library
- Cover: Add aria-label to fixed and repeated image backgrounds. ([50990](https://github.com/WordPress/gutenberg/pull/50990))


### Performance

#### Block Editor
- Rich Text: Cleanup excess `focusin`/`focusout` listeners. ([55382](https://github.com/WordPress/gutenberg/pull/55382))
- Optimize 'customClassName' controls. ([55345](https://github.com/WordPress/gutenberg/pull/55345))
- useBlockControlsFill: Avoid unneeded store subscriptions. ([55340](https://github.com/WordPress/gutenberg/pull/55340))

#### Parsing
- Remove empty attrs. ([54496](https://github.com/WordPress/gutenberg/pull/54496))

#### Data Layer
- Fix resolver resolution status key types mismatch causing unwanted resolver calls for identical state data. ([52120](https://github.com/WordPress/gutenberg/pull/52120))


### Experiments

#### Data Views
- Add `status` entity and use it in "admin views" experiment. ([55050](https://github.com/WordPress/gutenberg/pull/55050))
- Add Grid Layout. ([55353](https://github.com/WordPress/gutenberg/pull/55353))
- Add featured image field to the page list. ([55246](https://github.com/WordPress/gutenberg/pull/55246))
- Adds a control to the views actions to switch layouts. ([55311](https://github.com/WordPress/gutenberg/pull/55311))
- Fix the actions menu in the list view. ([55426](https://github.com/WordPress/gutenberg/pull/55426))

#### Block Library
- Introduce experimental form & inputs blocks to allow building basic forms. ([44214](https://github.com/WordPress/gutenberg/pull/44214))
- Mark forms blocks as experimental in `block.json` files. ([55187](https://github.com/WordPress/gutenberg/pull/55187))
- Update the apiVersion in experimental blocks block.json files. ([55186](https://github.com/WordPress/gutenberg/pull/55186))

#### Components
- Expose `Tabs` as private API. ([55327](https://github.com/WordPress/gutenberg/pull/55327))

#### Site Editor
- Add author and status filter to the page list. ([55270](https://github.com/WordPress/gutenberg/pull/55270))


### Documentation

- Add "Get started with create-block" doc to the Getting Started section. ([55373](https://github.com/WordPress/gutenberg/pull/55373))
- Add a "Get started with wp-scripts" doc to the Getting Started section. ([55372](https://github.com/WordPress/gutenberg/pull/55372))
- Add backgroundImage to the theme json documentation for appearanceTools. ([55376](https://github.com/WordPress/gutenberg/pull/55376))
- Add initial documentation for the `DataViews` component. ([55435](https://github.com/WordPress/gutenberg/pull/55435))
- Augment `Block.Edit` filter documentation with performance guidance. ([55252](https://github.com/WordPress/gutenberg/pull/55252))
- Correct the documented type for the `$w` parameter of `block_core_navigation_add_directives_to_submenu()`. ([53585](https://github.com/WordPress/gutenberg/pull/53585))
- Document `kind`, `name`, `plural` for entity configuration. ([55158](https://github.com/WordPress/gutenberg/pull/55158))
- Document updating the consent string to unlock private APIs. ([55235](https://github.com/WordPress/gutenberg/pull/55235))
- Explain how to translate Gutenberg in standalone apps using the editor packages. ([55080](https://github.com/WordPress/gutenberg/pull/55080))
- Fix callouts in end-to-end test documentation. ([55300](https://github.com/WordPress/gutenberg/pull/55300))
- Fix code formatting due to bug in the "Get started with wp-env" doc. ([55458](https://github.com/WordPress/gutenberg/pull/55458))
- Fix the position of the callout in the "Get started with wp-scripts" doc. ([55457](https://github.com/WordPress/gutenberg/pull/55457))
- Font Library: Change all references to 6.4.0 by 6.5.0 core version. ([55320](https://github.com/WordPress/gutenberg/pull/55320))
- Initial documentation of entity configuration. ([55103](https://github.com/WordPress/gutenberg/pull/55103))
- PHP lib docs: Update to include information about prefixes in block PHP code. ([55402](https://github.com/WordPress/gutenberg/pull/55402))
- Platform docs: Add a page to explain how to render HTML from a list of blocks. ([55140](https://github.com/WordPress/gutenberg/pull/55140))
- Remove `@return void` from PHP function docs. ([55237](https://github.com/WordPress/gutenberg/pull/55237))
- Remove the `wp-now` getting started doc. ([55136](https://github.com/WordPress/gutenberg/pull/55136))
- Update LinkControl documentation with advice to memoize value prop. ([54659](https://github.com/WordPress/gutenberg/pull/54659))
- Update nested-blocks-inner-blocks.md for WP 6.4 release. ([55375](https://github.com/WordPress/gutenberg/pull/55375))
- docs/get-started-with-wp-env: Diagram and links added. ([55381](https://github.com/WordPress/gutenberg/pull/55381))
- Update broken anchor link. ([55233](https://github.com/WordPress/gutenberg/pull/55233))


### Code Quality

#### Data Views
- Allow actions to be provided declaratively as a prop. ([55192](https://github.com/WordPress/gutenberg/pull/55192))
- In list view, automatically insert header menu separators. ([55412](https://github.com/WordPress/gutenberg/pull/55412))
- Update the data views component to pass an view object. ([55154](https://github.com/WordPress/gutenberg/pull/55154))
- Update the view actions menu to be independent from current view APIs. ([55294](https://github.com/WordPress/gutenberg/pull/55294))
- Normalize `render` fields function. ([55411](https://github.com/WordPress/gutenberg/pull/55411))
- Rename accessorFn to getValue. ([55434](https://github.com/WordPress/gutenberg/pull/55434))
- Update the view configuration to include fields visibility. ([55247](https://github.com/WordPress/gutenberg/pull/55247))

#### Block Library
- Query block: Remove unnecessary class. ([55438](https://github.com/WordPress/gutenberg/pull/55438))

#### Site Editor
- Fix: Remove unrequired nullish coalescing operator on canEditCss con…. ([55357](https://github.com/WordPress/gutenberg/pull/55357))

#### Global Styles
- Update: Unset variable set by reference after a foreach loop. ([55261](https://github.com/WordPress/gutenberg/pull/55261))

#### Design Tools
- Elements: Add unit tests for class and style generation. ([55113](https://github.com/WordPress/gutenberg/pull/55113))

#### Block Editor
- Remove value syncing in Link Control. ([51387](https://github.com/WordPress/gutenberg/pull/51387))
- Chore: Fix: Remove third parameter passed to shouldDismissPastedFiles. ([55262](https://github.com/WordPress/gutenberg/pull/55262))
- Chore: Simplify code by removing unnecessary and condition. ([55268](https://github.com/WordPress/gutenberg/pull/55268))
- useBlockSync: Fix typo and simplify test. ([55203](https://github.com/WordPress/gutenberg/pull/55203))

#### Data Layer
- Update status entity label to `Status` and plural to `getStatuses`. ([55160](https://github.com/WordPress/gutenberg/pull/55160))

#### Gutenberg Plugin
- Text Component: Typescript'n. ([54953](https://github.com/WordPress/gutenberg/pull/54953))

### Tools

#### Testing
- Don't change error handling in WP_Theme_JSON_Gutenberg::Set_spacing_sizes(). ([55354](https://github.com/WordPress/gutenberg/pull/55354))
- E2E: Add missing comment. ([55093](https://github.com/WordPress/gutenberg/pull/55093))
- E2E: Try to fix the flaky autocomplete spec. ([55081](https://github.com/WordPress/gutenberg/pull/55081))
- Migrate 'Post Title block' end-to-end tests to Playwright. ([55297](https://github.com/WordPress/gutenberg/pull/55297))
- Migrate 'text color' end-to-end test to Playwright. ([55323](https://github.com/WordPress/gutenberg/pull/55323))
- Migrate demo page tests to Playwright. ([55054](https://github.com/WordPress/gutenberg/pull/55054))
- Migrate remaining Link UI tests to Playwright. ([52828](https://github.com/WordPress/gutenberg/pull/52828))
- Playwright Utils: Introduce the 'editor.saveDraft' helper. ([55308](https://github.com/WordPress/gutenberg/pull/55308))
- Try to fix flaky synced pattern test. ([55406](https://github.com/WordPress/gutenberg/pull/55406))
- Try to fix multi-block-selection flakiness. ([55075](https://github.com/WordPress/gutenberg/pull/55075))
- WP_Theme_JSON_Gutenberg Unit tests: Fix phpunit warnings about set_spacing_sizes. ([55313](https://github.com/WordPress/gutenberg/pull/55313))
- end-to-end Utils: Use frameLocator for retrieving editor canvas. ([54911](https://github.com/WordPress/gutenberg/pull/54911))

#### Build Tooling
- Packages: Ensure only changed packages get published for WP releases. ([55334](https://github.com/WordPress/gutenberg/pull/55334))
- WP_Env: tests-cli phpunit executable file not found in $PATH: Unknown. ([54508](https://github.com/WordPress/gutenberg/pull/54508))


## First time contributors

The following PRs were merged by first time contributors:

- @unscripted: docs: Update broken anchor link. ([55233](https://github.com/WordPress/gutenberg/pull/55233))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @afercia @andrewhayward @andrewserong @anton-vlasenko @apeatling @aristath @artemiomorales @brookewp @carolinan @chad1008 @ciampo @dcalhoun @dmsnell @ecgan @ellatrix @fluiddot @getdave @glendaviesnz @gziolo @jffng @jhnstn @johnbillion @jorgefilipecosta @jrtashjian @jsnajdr @juanmaguitar @kevin940726 @kishanjasani @luisherranz @MaggieCabrera @Mamaduka @margolisj @matiasbenedetto @mcsf @michalczaplinski @mikachan @ndiego @ntsekouras @oandregal @ockham @peterwilsoncc @ramonjd @retrofox @richtabor @ryanwelcher @SantosGuillamot @scruffian @sethrubenstein @shimotmk @SiobhyB @spacedmonkey @stokesman @t-hamano @talldan @tellthemachines @tyxla @unscripted @WunderBart @youknowriad


= 16.8.1 =



## Changelog

### Enhancements

- Update: Improve footnotes sanitisation by removing unrequired keys. ([55305](https://github.com/WordPress/gutenberg/pull/55305))


### Code Quality

- Update: Navigation link force arrow attribute to be part of the hardcoded set. ([55306](https://github.com/WordPress/gutenberg/pull/55306))




## Contributors

The following contributors merged PRs in this release:

@jorgefilipecosta


= 16.8.0 =

= 16.8.0-rc.2 =

## Changelog
This copies the commits from the 16.7.1 patch release into the 16.8.0 main release.
 
### Tools

#### Build Tooling
- Fix incorrect resource URL in source map for sources coming from @wordpress packages. ([51401](https://github.com/WordPress/gutenberg/pull/51401))

### Various

- Add missing schema `type` attribute for in WP 6.4 compat's `block-hooks.php`. ([55138](https://github.com/WordPress/gutenberg/pull/55138))

## Contributors

The following contributors merged PRs in this release:

@fullofcaffeine @torounit


= 16.8.0-rc.1 =

## Changelog

### Features

#### Block Editor
- Adds 'nofollow' setting to Button block. ([54110](https://github.com/WordPress/gutenberg/pull/54110))

#### Site Editor
- Add 'Show template' toggle when editing pages. ([52674](https://github.com/WordPress/gutenberg/pull/52674))


### Enhancements

- Update pattern import menu item. ([54782](https://github.com/WordPress/gutenberg/pull/54782))

#### Components
- Adding label/description to `BlockEditor/DuotoneControl`. ([54473](https://github.com/WordPress/gutenberg/pull/54473))
- Deprecating `isPressed` in `Button` component. ([54740](https://github.com/WordPress/gutenberg/pull/54740))
- Follow ariakit best practices. ([54696](https://github.com/WordPress/gutenberg/pull/54696))
- InputControl-based components: Add opt-in prop for next 40px default size. ([53819](https://github.com/WordPress/gutenberg/pull/53819))
- Modal: Add `contentWidth` prop to support a selection of preset modal sizes. ([54471](https://github.com/WordPress/gutenberg/pull/54471))
- Remove unused components from `ui/`. ([54573](https://github.com/WordPress/gutenberg/pull/54573))
- Update ariakit to 0.3.3. ([54818](https://github.com/WordPress/gutenberg/pull/54818))
- Update compact search control metrics. ([54663](https://github.com/WordPress/gutenberg/pull/54663))
- Wrapped `TextareaControl` in a `forwardRef` call. ([54975](https://github.com/WordPress/gutenberg/pull/54975))

#### Block Library
- Add a brief description to the Footnotes block. ([54613](https://github.com/WordPress/gutenberg/pull/54613))
- Footnotes: Use core’s meta revisioning if available. ([52988](https://github.com/WordPress/gutenberg/pull/52988))
- Login/out: Add spacing support. ([45147](https://github.com/WordPress/gutenberg/pull/45147))
- Query view.js: Code quality. ([54982](https://github.com/WordPress/gutenberg/pull/54982))
- Set custom color when applying initial background image. ([54054](https://github.com/WordPress/gutenberg/pull/54054))
- Use `wp_get_inline_script_tag()` in `build_dropdown_script_block_core_categories()`. ([54637](https://github.com/WordPress/gutenberg/pull/54637))

#### Block Editor
